// This is the master version include file.
// It is (to be) included in all projects.

// To create a new version:
// a) change one or all of the following constants for a different version (___v* and ___sv* must stay in sync)
// b) add a text entry in the version history comment below, explaining the use of the new version
// c) rebuild the projects.
#define ___v_major				6		// major version number, must fit in 4 bits, i.e. 0..15
#define ___sv_major				"6"
#define ___v_minor				4		// minor version number, must fit in 4 bits, i.e. 0..15
#define ___sv_minor				"4"
#define ___v_point				0		// point version number, must fit in 8 bits, i.e. 0..255
#define ___sv_point				"0"
#define ___v_build				4648	// build number, must fit in 16 bits, i.e. 0..65535
#define ___sv_build				"4648"
#define ___sv_version			"6.4.0.4648"
#define ___sv_copyright			"(c) Copyright 1995-2007: Impuls computergestützte Bildanalyse GmbH\0"
#define ___sv_company			"Impuls computergestützte Bildanalyse GmbH\0"
#define ___sv_filename			"\0"
#define ___sv_filedescription	"\0"
#define ___sv_internal			"\0"
#define ___sv_trademarks		"\0"
#define ___sv_productname		"\0"
#define ___sv_comment			"\0"

// version history

	// 03.04.2007
	// build 4528 = 0x11B0, release 6.3.1 (continuing development)
	// modifiying the build number was necessary, because we had to
	// send a mvIMPACT_NET.dll to a customer

	// 11.01.2007
	// build 4527 = 0x11AF, release 6.3.1 (continuing development)

	// 13.10.2006
	// build 4526 = 0x11AE, release 6.3.0 (release candidate for internal testing)

	// 10.10.2006
	// build 4525 = 0x11AD, release 6.3.0 (release candidate for internal testing)

	// 4.10.2006
	// build 4524 = 0x11AC, release 6.3.0 (release candidate for internal testing)

	// 19.09.2006
	// build 4523 = 0x11AB, release 6.3.0 (release candidate for internal testing)
	// it was decided that the next release for Vision 2006 will be 6.3

	// 06.09.2006
	// build 4522 = 0x11AA, release 6.2.1 (ongoing work)
	// modifiying the build number was necessary, because we had to
	// send a mvIMPACT_NET.dll (6.2.1.4521) to a customer

	// 29.4.2006
	// build 4521 = 0x11A9, release 6.2.1 (ongoing work)

	// 12.4.2006
	// build 4520 = 0x11A8, release 6.2.0 (release)

	// 05.4.2006
	// build 4519 = 0x11A7, release 6.2.0 (release candidate for internal testing)

	// 31.3.2006
	// build 4518 = 0x11A6, release 6.2.0 (release candidate for internal testing)

	// 27.3.2006
	// build 4517 = 0x11A5, release 6.2.0 (release candidate)

	// 24.1.2006
	// build 4516 = 0x11A4, release 6.1.2 (development)

	// 1.12.2005
	// build 4515 = 0x11A3, release 6.1.1 (beta)

	// 18.10.2005
	// build 4514 = 0x11A2, release 6.1.1 (development)

	// 11.10.2005
	// build 4513 = 0x11A1, release 6.1.0 (release)

	// 27.09.2005
	// build 4512 = 0x11A0, release 6.1.0 (candidate for testing)

	// 02.09.2005
	// build 4511 = 0x119F, release 6.0.1 (candidate for testing, 6.0.1 skipped)

	// 02.09.2005
	// build 4510 = 0x119E, release 6.0.1 (candidate for testing)

	// 16.08.2005
	// build 4509 = 0x119D, release 6.0.1 (candidate for testing)

	// 01.08.2005
	// build 4508 = 0x119C, release 6.0 (release)

	// 12.07.2005
	// build 4507 = 0x119B, release 6.0 (candidate for testing)

	// 27.06.2005
	// build 4506 = 0x119A, release 6.0 (candidate for testing)

	// 24.06.2005
	// build 4505 = 0x1199, release 6.0 (candidate for testing)

	// 24.05.2005
	// build 4504 = 0x1198, release 5.4 (ongoing development)

	// 12.05.2005
	// build 4503 = 0x1197, release 5.3 (ongoing development)

	// 14.03.2005
	// build 4502 = 0x1196, release 5.3 (ongoing development)

	// 08.03.2005
	// build 4501 = 0x1195, release 5.3 (intermediate release, ongoing development)

	// 16.12.2004
	// build 4500 = 0x1194, release 5.3 (continuing development)

	// 08.11.2004
	// build 4434 = 0x1152, release 5.2 (new release for MV)

	// 30.09.2004
	// build 4433 = 0x1151, release 5.2 (new beta release for MV)

	// 15.09.2004
	// build 4432 = 0x114F, release 5.2 (new beta release for MV)

	// 25.08.2004
	// build 4431 = 0x114E, release 5.2 (new beta release for MV)

	// 13.07.2004
	// build 4430 = 0x114D, release 5.1.1 (bugfix release for MV)

	// 14.05.2004
	// build 4429 = 0x114C, release 5.1.0 (release candidate, still has vl_cr2d but the next will be the release)

	// 07.05.2004
	// build 4428 = 0x114B, release 5.1.0 (release candidate)

	// 23.04.2004
	// build 4427 = 0x114A, release 5.1.0 (second beta for new release with correct version number)

	// 21.04.2004
	// build 4426 = 0x1149, release 5.1.0 (first beta for new release with correct version number)


	// 15.04.2004
	// build 4425 = 0x1149, release 5.0.1 (continuing development - new version number has not been determined)

	// 19.02.2004
	// build 4424 = 0x1148, release 5.0.1 (continuing development - new version number has not been determined)

	// 12.02.2004
	// build 4423 = 0x1147, release 5.0.1 (continuing development - new version number has not been determined)

	// 04.02.2004
	// build 4422 = 0x1146, release 5.0.1 (continuing development - new version number has not been determined)

	// 07.01.2004
	// build 4421 = 0x1145, release 5.0.1 (continuing development - new version number has not been determined)


	// 05.11.2003
	// build 4420 = 0x1144, release 5.0.1 (continuing development - new version number has not been determined)

	// 20.10.2003
	// build 4419 = 0x1143, release 5.0.1 (continuing development - new version number has not been determined)


	// 09.09.2003
	// build 4418 = 0x1142, release 5.0.0 (release 5.0)

	// 08.08.2003
	// build 4417 = 0x1141, release 5.0.0 (continuing development - new version number has not been determined)

	// 19.05.2003
	// build 4416 = 0x1140, release 4.2.0 (continuing development - new version number has not been determined)

	// 12.03.2003
	// build 4415 = 0x113F, release 4.2.0 (continuing development - new version number has not been determined)

	// 07.03.2003
	// build 4414 = 0x113E, release 4.2.0

	// 03.03.2003
	// build 4413 = 0x113D, version 4.2.0 (4.2 release candidate for MV - for fourth test round)


	// 21.02.2003
	// build 4412 = 0x113C, version 4.2.0 (Prerelease5 for MV - for third test round)

	// 19.02.2003
	// build 4411 = 0x113B, version 5.0.0 (Prerelease4 for MV - for second test round)

	// 10.02.2003
	// build 4410 = 0x113A, version 5.0.0 (Prerelease3 for MV - for first test round)

	// 17.01.2003
	// build 4409 = 0x1139, version 5.0.0 (Prerelease2 for MV)

	// 10.01.2003
	// build 4408 = 0x1138, version 5.0.0 (incorporating TD 12/02 changes, in sync with Linux)

	// 20.12.2002
	// build 4407 = 0x1137, version 5.0.0 pre-release (the next release should be 5.0)

	// 13.12.2002
	// build 4406 = 0x1136, version 4.1.0 pre-release

	// 04.11.2002
	// build 4405 = 0x1135, version 4.1.0 pre-release (for Vision show)

	// 16.10.2002
	// build 4404 = 0x1134, version 4.1.0 pre-release (backport to VC6)

	// 13.09.2002
	// build 4403 = 0x1133, version 4.1.0 pre-release (port to VC.NET)

	// 16.07.2002
	// build 4402 = 0x1132, version 4.0.2 release (fixes minor bugs)

	// 14.06.2002
	// build 4401 = 0x1131, version 4.0.1 release (fixes severe bug in uninstaller)

	// ??.??.2002
	// build 4400 = 0x1130, version 4.0 release

	// ??.??.2002
	// build 4378 = 0x1118, version 4.0 development

	// 22.01.2002
	// build 4377 = 0x1118, version 4.0 development

	// 02.01.2002
	// build 4376 = 0x1117, version 4.0 development

	// 23.11.2001
	// build 4375 = 0x1116, version 4.0 development

	// 12.07.2001
	// build 4374 = 0x1116, version 4.0 development

	// ??.??.2001
	// build 4373 = 0x1115, version 3.1 development

	// 07.03.2001
	// build 4372 = 0x1114, version 3.1 development

	// 12.02.2001
	// build 4371 = 0x1113, version 3.0 RELEASE

	// 14.12.2000
	// build 4370 = 0x1112, version 3.0 gamma 7

	// 30.10.2000
	// build 4369 = 0x1111, version 3.0 gamma 6

	// 27.09.2000
	// build 4368 = 0x1110, version 3.0 gamma 5, hope that it'll make it on the MV CD

	// 14.09.2000
	// build 4367 = 0x110f, version 3.0 gamma 4, work in progress

	// 31.08.2000
	// build 4366 = 0x110e, version 3.0 gamma 2, work in progress

	// 30.06.2000
	// build 4365 = 0x110d, version 3.0 gamma 1.1, work in progress

	// 23.06.2000
	// build 4364 = 0x110c, version 3.0 gamma 1, work in progress

	// 16.06.2000
	// build 4363 = 0x110b, version 3.0 beta 5, work in progress

	// 09.06.2000
	// build 4362 = 0x110a, version 3.0 beta 4, work in progress

	// 02.05.2000
	// build 4361 = 0x1109, version 3.0 beta 3, work in progress

	// 11.04.2000
	// build 4360 = 0x1108, version 3.0 beta 2, work in progress

	// 17.03.2000
	// build 4359 = 0x1107, version 3.0 beta 1, work in progress, shipped to MGM

	// 21.02.2000
	// build 4358 = 0x1106, version 3.0, work in progress, reworked versioning

	// 17.01.00
	// build 4357 == 0x1105, version 3.0 -> work in progress, release alpha 4

	// 16.09.99
	// build 4356 == 0x1104, version 3.0 -> work in progress related to 3D module

	// 13.08.99
	// build 1103, version 3.0 -> work in progress related to color lib, some minor bugfixes

	// 26.07.99
	// build 1102, version 3.0 -> work in progress related to ActiveView, ActiveLib, 3D hardware support, taken to M&M show in Portland, Pixelvision

	// 29.06.99
	// build 1101, version 3.0 -> work in progress related to ActiveView, ActiveLib, 3D, shipped to MG Microscope

	// 08.12.98
	// build 1100, version 2.50 -> added Cheops framegrabbers, minor bugfixes

	// xx.yy.98 ???
	// return 0x10092500;		// build 1009, version 2.50 -> 2.5 release candidate

	// xx.yy.98 ???
	// return 0x10082090;		// build 1008, version 2.09 -> not shipped to anybody

	// 20.07.98 progress version for TILL
	// return 0x10072080;		// build 1007, version 2.08 -> erroneously returned earlier version

	// 18.06.98 progress version for TILL
	// return 0x10062070;		// build 1006, version 2.07

	// 12.05.98 progress version, for new DT3157/DT3152 drivers DT England
	// return 0x10052060;		// build 1005, version 2.06

	// 12.05.98 progress version, for visit Singh/Seattle
	// return 0x10042050;		// build 1004, version 2.05

	// ??.??.98 progress version
	// return 0x10032040;		// build 1003, version 2.04

	// 27.4.98 progress version
	// return 0x10022030;		// build 1002, version 2.03

	// 16.4.98 Beta version
	// return 0x10012020;		// build 1001, version 2.02

	// 5.1.98 Fixed IE-ref bug
	// return 0x10002010;		// build 1000, version 2.01

// This file defines the following public macros
//
// V_MAJOR		to access the major version number
// V_MINOR		to access the minor version number
// V_POINT		to access the point release version number
// V_BUILD		to access the build number
// V_STRING		to access a composite version number for the version resource
// V_TYPELIB	to access a composite version number for the type library
// V_STYPELIB	to access a composite version number for the type library in string form
// V_VERSION	to access a composite version number in a 32bit word
// V_SCOPYRIGHT	to access the copyright string
// V_SCOMPANY	to access the company name
//
// Don't use any user macros defined in this file, they are designed for internal
// use only.



//
// DONT CHANGE BELOW, UNLESS YOU HAVE A GOOD REASON
//

// combine the major and minor version components into one number
#define ___v_tl(major, minor)	major##.##minor
// combine the major and minor version components into one string
#define ___sv_tl(major, minor)	major##"."##minor
// use this macro to get an expanded macro string, such as "3, 0, 0, 4355\0"
#define V_STRING	___sv_version
// use this macro to get a version number for typelibs, such as 3.0
#define V_TYPELIB	___v_tl(___v_major, ___v_minor)
// use this macro to get a version number string for typelibs, such as "3.0"
#define V_STYPELIB	___sv_tl(___sv_major, ___sv_minor)

// for programmatic access
// the BUILD is in the high WORD, the version is in the low WORD
#define V_VERSION	((___v_build << 16) | (___v_major << 12) | (___v_minor << 8) | ___v_point)

// for component access
#define V_MAJOR	___v_major
#define V_MINOR	___v_minor
#define V_POINT	___v_point
#define V_BUILD	___v_build

// check parameter ranges
#if ___v_major < 0
	#error Major version number out of range
#elif ___v_major > 15
	#error Major version number out of range
#endif

#if ___v_minor < 0
	#error Minor version number out of range
#elif ___v_minor > 15
	#error Minor version number out of range
#endif

#if ___v_point < 0
	#error Point version number out of range
#elif ___v_point > 255
	#error Point version number out of range
#endif

#if ___v_build < 0
	#error Build number out of range
#elif ___v_build > 65535
	#error Build number out of range
#endif

#ifndef V_SCOMMENT
#define V_SCOMMENT		___sv_comment
#endif

#ifndef V_SCOMPANY
#define V_SCOMPANY		___sv_company
#endif

#ifndef V_SFILEDESCRIPTION
#define V_SFILEDESCRIPTION	___sv_filedescription
#endif

#ifndef V_SINTERNAL
#define V_SINTERNAL		___sv_internal
#endif

#ifndef V_SCOPYRIGHT
#define V_SCOPYRIGHT	___sv_copyright
#endif

#ifndef V_STRADEMARKS
#define V_STRADEMARKS	___sv_trademarks
#endif

#ifndef V_SFILENAME
#define V_SFILENAME		___sv_filename
#endif

#ifndef V_SPRODUCTNAME
#define V_SPRODUCTNAME	___sv_productname
#endif

#ifndef VS_VERSION_INFO
#define VL_VERSION_INFO 1
#endif


