//----------------------------------------------------------------------
//----------------------------------------------------------------------
/*! \file spinedit.h
 *  \brief MATRIX VISION GmbH
 *
 * $Id: spinedit.h,v 1.1 2004/09/03 08:02:10 td Exp $
 *
 *
 */

//----------------------------------------------------------------------
//----------------------------------------------------------------------
#ifndef __spinedit_h__
#define __spinedit_h__

//----------------------------------------------------------------------
//----------------------------------------------------------------------
#include <stdio.h>
#include <pgtools.h>

//----------------------------------------------------------------------
//----------------------------------------------------------------------
struct SPGSpinEdit
{
	pghandle wBox;
	PGT_STATUS_INFO si;

	pghandle wBtnUp;
	pghandle wBtnDown;

	pghandle wLabel;

	long DefaultValue;
	long MinValue;
	long MaxValue;
};
typedef struct SPGSpinEdit PG_SPIN_EDIT;


//----------------------------------------------------------------------
//----------------------------------------------------------------------
#ifdef __cplusplus
extern "C"{
#endif
/* this functions have to be implemented */
int evtSEBtnUp  ( struct pgEvent *evt );
int evtSEBtnDown( struct pgEvent *evt );

#ifdef __cplusplus
}
#endif

//----------------------------------------------------------------------
//----------------------------------------------------------------------
class CSpinEdit : public CPGTools
{
public:
	/* ------------------------------------------------------- */
	CSpinEdit( )
	: CPGTools( )
	{
		PGT_FCT_START( DBG_START_END );
		m_se_cnt = 0;
		m_se_step = 1;
		PGT_FCT_END( DBG_START_END, 0 );
	};

	/* ------------------------------------------------------- */
	~CSpinEdit( )
	{
		PGT_FCT_START( DBG_START_END );
		PGT_FCT_END( DBG_START_END, 0 );
	};

	/* ------------------------------------------------------- */
	int SE_mkSpinEdit( const pghandle wParent, const int position, const int size,
						const char *pLabel, const int TBoxW, PG_SPIN_EDIT& se );

	int SE_mkSpinEdit( const pghandle wParent, const long value, const char *pLabel, PG_SPIN_EDIT& se );

	/* ------------------------------------------------------- */
	void SE_Init( PG_SPIN_EDIT& se );
	void SE_Delete( PG_SPIN_EDIT& se );

	/* ------------------------------------------------------- */
	void SE_IncreaseValue( PG_SPIN_EDIT& se );
	void SE_DecreaseValue( PG_SPIN_EDIT& se );
	int  SE_SetVal( const long value, PG_SPIN_EDIT& se );

	/* ------------------------------------------------------- */
	int SE_ChechValue( const long value, PG_SPIN_EDIT& se )
	{
		PGT_FCT_START( DBG_START_END );
		int ret = 0;

		if( value < se.MinValue )
			se.DefaultValue = se.MinValue;
		else if( value > se.MaxValue )
			se.DefaultValue = se.MaxValue;
		else
			se.DefaultValue = value;

		PGT_FCT_END( DBG_START_END, ret );
		return ret;
	}

	/* ------------------------------------------------------- */
	long m_se_step;

private:
	long m_se_cnt;
	char m_se_msg[PGT_MSG_SIZE];

	void se_CleanMsgBuf() { memset( m_se_msg, 0, PGT_MSG_SIZE ); };

	int se_mkSEBox( const pghandle wParent, const int position, const int size, PG_SPIN_EDIT& se );
	int se_mkSEBtns( PG_SPIN_EDIT& se );
	int se_mkSELabel( const char *pLabel, PG_SPIN_EDIT& se );

};

//----------------------------------------------------------------------
//----------------------------------------------------------------------
#endif	// __spinedit_h__

