




#include "rpc.h"
#include "rpcndr.h"

#ifndef __RPCNDR_H_VERSION__
#error this stub requires an updated version of <rpcndr.h>
#endif // __RPCNDR_H_VERSION__


#ifndef __vl_autofocus_h__
#define __vl_autofocus_h__

#if defined(_MSC_VER) && (_MSC_VER >= 1020)
#pragma once
#endif

/* Forward Declarations */ 

/* header files for imported files */
#include "vl_base.h"

#ifdef __cplusplus
extern "C"{
#endif 

void * __RPC_USER MIDL_user_allocate(size_t);
void __RPC_USER MIDL_user_free( void * ); 

/* interface __MIDL_itf_vl_autofocus_0000 */
/* [local] */ 

//=--------------------------------------------------------------------------=
// (C) Copyright 2002-2008 MATRIX VISION GmbH.  All Rights Reserved.
// (C) Copyright 1997-2008 Impuls computergesttzte Bildanalyse GmbH.
//
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY OF
// ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO
// THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
// PARTICULAR PURPOSE.
//=--------------------------------------------------------------------------=

#if defined(__BORLANDC__)
#pragma option -b
#endif
#if !defined(NO_VL_AUTOFOCUS_AUTOLINK)
#if defined(__BORLANDC__)
#pragma comment(lib,"vlb_autofocus.lib")
#pragma message ("Automatically linking with vlb_autofocus.lib")
#else
#if defined(_M_X64)
#pragma comment(lib,"vl_autofocus64.lib")
#pragma message ("Automatically linking with vl_autofocus64.lib")
#else
#pragma comment(lib,"vl_autofocus.lib")
#pragma message ("Automatically linking with vl_autofocus.lib")
#endif
#endif
#endif


#ifdef MVIMPACT_H_ // include guard of the main C++ header
namespace mvIMPACT {
	namespace mvIMPACT_C {
#endif // #ifdef MVIMPACT_H_


// Calling method for C Functions and C++ global and class methods.
// With other words: everything without a this-pointer
#define IPL_C_CALLTYPE __stdcall
#define IPL_C_CALLTYPEVAR __cdecl

// Calling method for the C++ methods with a this pointer.
// C++ static methods or C++ functions use IPL_C_CALLTYPE[VAR]
#define IPL_CPP_CALLTYPE // nothing == 'C++-call'
#define IPL_CPP_CALLTYPEVAR __cdecl

#ifdef VL_AUTOFOCUS_COMPILING
// when compiling the dll
#define VL_AUTOFOCUS_DLLEXPORT	__declspec(dllexport)
#undef __MIDL_DECLSPEC_DLLEXPORT
#define __MIDL_DECLSPEC_DLLEXPORT	__declspec(dllexport)
#undef __MIDL_DECLSPEC_DLLIMPORT
#define __MIDL_DECLSPEC_DLLIMPORT	__declspec(dllexport)
#else
// when using the dll
#define VL_AUTOFOCUS_DLLEXPORT	__declspec(dllimport)
#undef __MIDL_DECLSPEC_DLLEXPORT
#define __MIDL_DECLSPEC_DLLEXPORT	__declspec(dllimport)
#undef __MIDL_DECLSPEC_DLLIMPORT
#define __MIDL_DECLSPEC_DLLIMPORT	__declspec(dllimport)
#endif
typedef IPL_FRESULT ( __stdcall *AF_ONGRAB_PTR )( 
    IPL_BUFHANDLE *BufHandle,
    const IPL_VOID *Cookie);

/* [helpstring] */ 
enum AF_Z_DRIVE_MODE
    {	AF_CHANGE	= 1,
	AF_FOCUS	= 2
    } ;
typedef /* [public] */ enum AF_Z_DRIVE_MODE AF_Z_DRIVE_MODE;

typedef IPL_FRESULT ( __stdcall *AF_ONZPOS_PTR )( 
    AF_Z_DRIVE_MODE Status,
    IPL_DOUBLE Position,
    const IPL_VOID *Cookie);

typedef IPL_FRESULT ( __stdcall *AF_ONFOCUS_PTR )( 
    IPL_BUFHANDLE BufHandle,
    IPL_DOUBLE *FocusParam,
    const IPL_VOID *Cookie);

#define	AF_DONT_CARE	( -1 )

#define	AF_UNKNOWN_MIN	( -1e+008 )

#define	AF_UNKNOWN_MAX	( 1e+008 )

#define	AF_UNKNOWN	( 1e+008 )

#define	AF_SOBEL	( 1 )

#define	AF_AVERAGE_INTENSITY	( 2 )

#define	AF_CANNY	( 3 )

#define	AF_HOREDGE	( 4 )

#define	AF_VARIANCE	( 5 )



extern RPC_IF_HANDLE __MIDL_itf_vl_autofocus_0000_v0_0_c_ifspec;
extern RPC_IF_HANDLE __MIDL_itf_vl_autofocus_0000_v0_0_s_ifspec;


#ifndef __vl_autofocus_LIBRARY_DEFINED__
#define __vl_autofocus_LIBRARY_DEFINED__

/* library vl_autofocus */
/* [helpstring][version][uuid] */ 

/* [helpstring] */ 
enum AF_ERROR
    {	AF_PARAM_ERROR	= -200,
	AF_GRAB_ERROR	= -201,
	AF_DIMENSION_ERROR	= -202,
	AF_INTERPOLATION_ERROR	= -203,
	AF_REGPATH_ERROR	= -204,
	AF_GRAB_FUNC_ERROR	= -205,
	AF_Z_FUNC_ERROR	= -206,
	AF_FOCUS_FUNC_ERROR	= -207
    } ;
typedef /* [public] */ enum AF_ERROR AF_ERROR;

/* [helpstring] */ 
enum AF_CTRLFLAGS
    {	AF_SAMPLES_AFTER_MAX	= 1,
	AF_STEP_DECREMENT	= 2,
	AF_FILTER_TYPE	= 3,
	AF_ITERATIONS	= 4,
	AF_FILTER_STEP_WIDTH	= 5,
	AF_SAMPLES_DIRECTION	= 6,
	AF_MIN_POSITION	= 7,
	AF_MAX_POSITION	= 8,
	AF_START_POSITION	= 9,
	AF_STEP_INCREMENT_ROUGH	= 10,
	AF_STEP_INCREMENT	= 11
    } ;
typedef /* [public] */ enum AF_CTRLFLAGS AF_CTRLFLAGS;

/* [helpstring] */ 
enum AF_FOCUS_MODE
    {	AF_MAX_INTENSITY	= 1,
	AF_MAX_EDGE	= 2,
	AF_MAX_VARIANCE	= 3
    } ;
typedef /* [public] */ enum AF_FOCUS_MODE AF_FOCUS_MODE;

/* [helpstring] */ 
enum AF_MULTIFOCUS_MODE
    {	AF_MULTIFOCUS_IMAGE_EDGE	= 2,
	AF_MULTIFOCUS_IMAGE_INTENSITY	= 3
    } ;
typedef /* [public] */ enum AF_MULTIFOCUS_MODE AF_MULTIFOCUS_MODE;


EXTERN_C const IID LIBID_vl_autofocus;


#ifndef __vl_autofocus_MODULE_DEFINED__
#define __vl_autofocus_MODULE_DEFINED__


/* module vl_autofocus */
/* [dllname][uuid] */ 

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall AF_GetFocusImage( 
    /* [in] */ IPL_BUFHANDLE Destination,
    /* [in] */ IPL_BUFHANDLE FocusRegion,
    /* [in] */ AF_FOCUS_MODE Mode,
    /* [in] */ const IPL_VOID *GrabHookFuncPtr,
    /* [in] */ const IPL_VOID *ZHookFuncPtr,
    /* [in] */ const IPL_VOID *FocusHookFuncPtr,
    /* [out] */ IPL_DOUBLE *FocusPositionPtr,
    /* [in] */ const IPL_VOID *Cookie);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall AF_GetFocusValue( 
    /* [in] */ IPL_BUFHANDLE Source,
    /* [in] */ IPL_BUFHANDLE FocusRegion,
    /* [in] */ AF_FOCUS_MODE Mode,
    /* [full][out] */ IPL_DOUBLE *ValuePtr);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall AF_GetMultiFocusImage( 
    /* [size_is][full][in] */ const IPL_BUFHANDLE *Images,
    /* [in] */ IPL_ULONG nImages,
    /* [full][out][in] */ IPL_BUFHANDLE *Destination,
    /* [in] */ AF_MULTIFOCUS_MODE Method);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall AF_Control( 
    /* [in] */ AF_CTRLFLAGS Property,
    /* [in] */ IPL_DOUBLE Value);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall AF_Inquire( 
    /* [in] */ AF_CTRLFLAGS Property,
    /* [full][out] */ IPL_DOUBLE *Value);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall AF_SetRegPath( 
    /* [in] */ IPL_HKEY Key,
    /* [string][full][in] */ const IPL_CHAR *Subkey);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall AF_WriteInitializationValues( void);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall AF_ReadInitializationValues( void);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall AF_CheckLic( void);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall AF_GetVersion( 
    /* [full][in] */ const IPL_CHAR *Buffer,
    /* [in] */ IPL_INT Bytes);

#endif /* __vl_autofocus_MODULE_DEFINED__ */
#endif /* __vl_autofocus_LIBRARY_DEFINED__ */

/* interface __MIDL_itf_vl_autofocus_0119 */
/* [local] */ 


#ifdef MVIMPACT_H_ // include guard of the main C++ header
	} // namespace mvIMPACT_C
} // namespace mvIMPACT
#endif // #ifdef MVIMPACT_H_



extern RPC_IF_HANDLE __MIDL_itf_vl_autofocus_0119_v0_0_c_ifspec;
extern RPC_IF_HANDLE __MIDL_itf_vl_autofocus_0119_v0_0_s_ifspec;

/* Additional Prototypes for ALL interfaces */

/* end of Additional Prototypes */

#ifdef __cplusplus
}
#endif

#endif


