




#include "rpc.h"
#include "rpcndr.h"

#ifndef __RPCNDR_H_VERSION__
#error this stub requires an updated version of <rpcndr.h>
#endif // __RPCNDR_H_VERSION__


#ifndef __vl_autotrace_h__
#define __vl_autotrace_h__

#if defined(_MSC_VER) && (_MSC_VER >= 1020)
#pragma once
#endif

/* Forward Declarations */ 

/* header files for imported files */
#include "vl_base.h"

#ifdef __cplusplus
extern "C"{
#endif 

void * __RPC_USER MIDL_user_allocate(size_t);
void __RPC_USER MIDL_user_free( void * ); 

/* interface __MIDL_itf_vl_autotrace_0000 */
/* [local] */ 

//=--------------------------------------------------------------------------=
// (C) Copyright 2002-2008 MATRIX VISION GmbH.  All Rights Reserved.
// (C) Copyright 1997-2008 Impuls computergesttzte Bildanalyse GmbH.
//
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY OF
// ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO
// THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
// PARTICULAR PURPOSE.
//=--------------------------------------------------------------------------=

#if defined(__BORLANDC__)
#pragma option -b
#endif
#if !defined(NO_VL_AUTOTRACE_AUTOLINK)
#if defined(__BORLANDC__)
#pragma comment(lib,"vlb_autotrace.lib")
#pragma message ("Automatically linking with vlb_autofocus.lib")
#else
#if defined(_M_X64)
#pragma comment(lib,"vl_autotrace64.lib")
#pragma message ("Automatically linking with vl_autotrace64.lib")
#else
#pragma comment(lib,"vl_autotrace.lib")
#pragma message ("Automatically linking with vl_autotrace.lib")
#endif
#endif
#endif


#ifdef MVIMPACT_H_ // include guard of the main C++ header
namespace mvIMPACT {
	namespace mvIMPACT_C {
#endif // #ifdef MVIMPACT_H_


// Calling method for C Functions and C++ global and class methods.
// With other words: everything without a this-pointer
#define IPL_C_CALLTYPE __stdcall
#define IPL_C_CALLTYPEVAR __cdecl

// Calling method for the C++ methods with a this pointer.
// C++ static methods or C++ functions use IPL_C_CALLTYPE[VAR]
#define IPL_CPP_CALLTYPE // nothing == 'C++-call'
#define IPL_CPP_CALLTYPEVAR __cdecl

#ifdef VL_AUTOTRACE_COMPILING
// when compiling the dll
#define VL_AUTOTRACE_DLLEXPORT       __declspec(dllexport)
#undef __MIDL_DECLSPEC_DLLEXPORT
#define __MIDL_DECLSPEC_DLLEXPORT    __declspec(dllexport)
#undef __MIDL_DECLSPEC_DLLIMPORT
#define __MIDL_DECLSPEC_DLLIMPORT    __declspec(dllexport)
#else
// when using the dll
#define VL_AUTOTRACE_DLLEXPORT       __declspec(dllimport)
#undef __MIDL_DECLSPEC_DLLEXPORT
#define __MIDL_DECLSPEC_DLLEXPORT    __declspec(dllimport)
#undef __MIDL_DECLSPEC_DLLIMPORT
#define __MIDL_DECLSPEC_DLLIMPORT    __declspec(dllimport)
#endif
#define DllExport __declspec(dllexport)        //used for variables and pointers only
#define DllImport __declspec(dllimport)        //used for variables and pointers only
#define	ATR_2x2	( 2 )

#define	ATR_3x3	( 3 )

#define	ATR_5x5	( 5 )

#define	ATR_7x7	( 7 )

#define	ATR_9x9	( 9 )

#define	ATR_DIR_N	( 0 )

#define	ATR_DIR_NE	( 1 )

#define	ATR_DIR_E	( 2 )

#define	ATR_DIR_SE	( 3 )

#define	ATR_DIR_S	( 4 )

#define	ATR_DIR_SW	( 5 )

#define	ATR_DIR_W	( 6 )

#define	ATR_DIR_NW	( 7 )

#define	ATR_STS_OK	( 1 )

#define	ATR_STS_MAX_POINTS	( 2 )

#define	ATR_STS_POINT_TWICE	( 3 )

#define	ATR_STS_MIN_THRES	( 4 )

#define	ATR_STS_MAX_THRES	( 5 )

#define	ATR_STS_DONE	( 6 )

#define	ATR_STS_CANCELED	( 7 )

#define	ATR_STS_BORDER	( 8 )

#define	ATR_STOP	( 0 )

#define	ATR_CONTINUE	( 1 )

#define	ATR_4_CONNECTED	( 0 )

#define	ATR_8_CONNECTED	( 1 )



extern RPC_IF_HANDLE __MIDL_itf_vl_autotrace_0000_v0_0_c_ifspec;
extern RPC_IF_HANDLE __MIDL_itf_vl_autotrace_0000_v0_0_s_ifspec;


#ifndef __vl_autotrace_LIBRARY_DEFINED__
#define __vl_autotrace_LIBRARY_DEFINED__

/* library vl_autotrace */
/* [helpstring][version][uuid] */ 

/* [helpstring] */ 
enum ATR_ERROR
    {	ATR_PARAM_ERROR	= -1300,
	ATR_MEMORY_ERROR	= -1301,
	ATR_PTR_ERROR	= -1305,
	ATR_DIM_ERROR	= -1306,
	ATR_RESULT_ERROR	= -1307
    } ;
typedef /* [public] */ enum ATR_ERROR ATR_ERROR;

/* [helpstring] */ 
enum ATR_CALLBACK_TYPES
    {	ATR_CALLBACK_EVENT	= 1,
	ATR_CALLBACK_PIXEL	= 2
    } ;
typedef /* [public] */ enum ATR_CALLBACK_TYPES ATR_CALLBACK_TYPES;

/* [helpstring] */ 
enum ATR_CTRLFLAGS
    {	ATR_FILTER_SIZE	= 1,
	ATR_MAX_POINTS	= 2,
	ATR_TEST_POINTS	= 3,
	ATR_DIR	= 4,
	ATR_LATTICE_MODE	= 5,
	ATR_MIN_THRES	= 6,
	ATR_MAX_THRES	= 7
    } ;
typedef /* [public] */ enum ATR_CTRLFLAGS ATR_CTRLFLAGS;

/* [helpstring] */ 
enum ATR_EVENTFLAGS
    {	ATR_EVENT_MIN_THRES	= 1,
	ATR_EVENT_MAX_THRES	= 2,
	ATR_EVENT_POINT_TWICE	= 3,
	ATR_EVENT_DONE	= 4,
	ATR_EVENT_BORDER	= 5,
	ATR_EVENT_SAFE_MODE	= 6
    } ;
typedef /* [public] */ enum ATR_EVENTFLAGS ATR_EVENTFLAGS;

/* [helpstring] */ 
enum ATR_STATUSFLAGS
    {	ATR_ON	= 1,
	ATR_OFF	= 0
    } ;
typedef /* [public] */ enum ATR_STATUSFLAGS ATR_STATUSFLAGS;

/* [helpstring] */ 
enum ATR_RESULT_CTRLFLAGS
    {	ATR_STATUS	= 1,
	ATR_NB_POINTS	= 2,
	ATR_POINTS	= 3,
	ATR_POLYGON_BUFFER	= 4
    } ;
typedef /* [public] */ enum ATR_RESULT_CTRLFLAGS ATR_RESULT_CTRLFLAGS;

typedef /* [helpstring] */ IPL_POINT_DOUBLE ATR_POINT;

struct ATR_LIST
    {
    ATR_POINT *Points;
    IPL_ULONG FromPoint;
    ATR_POINT ToPoint;
    IPL_ULONG TotalPoints;
    IPL_LONG SearchRadius;
    } ;
typedef /* [helpstring] */ struct ATR_LIST ATR_LIST;

typedef IPL_LONG ( __stdcall *ATR_ON_EVENT )( 
    IPL_LONG Status,
    ATR_LIST *ListPtr,
    IPL_VOID *UserPtr);

typedef IPL_LONG ( __stdcall *ATR_ON_EVENT_PIXEL )( 
    IPL_LONG XPos,
    IPL_LONG YPos,
    IPL_VOID *UserPtr);


EXTERN_C const IID LIBID_vl_autotrace;


#ifndef __vl_autotrace_MODULE_DEFINED__
#define __vl_autotrace_MODULE_DEFINED__


/* module vl_autotrace */
/* [dllname][uuid] */ 

/* [helpstring][entry] */ IPL_FRESULT __stdcall ATR_Trace( 
    /* [in] */ IPL_BUFHANDLE BufHandle,
    /* [in] */ IPL_LONG Band,
    /* [in] */ IPL_LONG ZSlice,
    /* [in] */ IPL_LONG TSlice,
    /* [in] */ IPL_POINT *Point1,
    /* [in] */ IPL_POINT *Point2,
    /* [in] */ IPL_POINT *Point3,
    /* [in] */ IPL_POINT *Point4,
    /* [out] */ IPL_BUFHANDLE *ResultBufHandle);

/* [helpstring][entry] */ IPL_FRESULT __stdcall ATR_SetEvent( 
    /* [in] */ ATR_EVENTFLAGS EventFlags,
    /* [in] */ ATR_STATUSFLAGS OnOrOff);

/* [helpstring][entry] */ IPL_FRESULT __stdcall ATR_InquireEvent( 
    /* [in] */ ATR_EVENTFLAGS EventFlags,
    /* [full][out] */ ATR_STATUSFLAGS *OnOrOffPtr);

/* [helpstring][entry] */ IPL_FRESULT __stdcall ATR_Control( 
    /* [in] */ ATR_CTRLFLAGS ControlFlags,
    /* [in] */ IPL_VOID *ControlValuePtr);

/* [helpstring][entry] */ IPL_FRESULT __stdcall ATR_Inquire( 
    /* [in] */ ATR_CTRLFLAGS ControlFlags,
    /* [out] */ IPL_VOID *InquireValuePtr);

/* [helpstring][entry] */ IPL_FRESULT __stdcall ATR_Free( 
    /* [in] */ IPL_BUFHANDLE BufHandle);

/* [helpstring][entry] */ IPL_FRESULT __stdcall ATR_GetResults( 
    /* [in] */ IPL_BUFHANDLE BufHandle,
    /* [in] */ ATR_RESULT_CTRLFLAGS ControlType,
    /* [full][out] */ IPL_VOID *Ptr);

/* [helpstring][entry] */ IPL_FRESULT __stdcall ATR_SetEventFunction( 
    /* [in] */ ATR_CALLBACK_TYPES CallbackType,
    /* [full][in] */ IPL_VOID *Func,
    /* [full][in] */ IPL_VOID *UserPtr);

/* [helpstring][entry] */ IPL_FRESULT __stdcall ATR_CheckLic( void);

/* [helpstring][entry] */ IPL_FRESULT __stdcall ATR_GetVersion( 
    /* [full][in] */ const IPL_CHAR *Buffer,
    /* [in] */ IPL_INT Bytes);

#endif /* __vl_autotrace_MODULE_DEFINED__ */
#endif /* __vl_autotrace_LIBRARY_DEFINED__ */

/* interface __MIDL_itf_vl_autotrace_0119 */
/* [local] */ 


#ifdef MVIMPACT_H_ // include guard of the main C++ header
	} // namespace mvIMPACT_C
} // namespace mvIMPACT
#endif // #ifdef MVIMPACT_H_



extern RPC_IF_HANDLE __MIDL_itf_vl_autotrace_0119_v0_0_c_ifspec;
extern RPC_IF_HANDLE __MIDL_itf_vl_autotrace_0119_v0_0_s_ifspec;

/* Additional Prototypes for ALL interfaces */

/* end of Additional Prototypes */

#ifdef __cplusplus
}
#endif

#endif


