




#include "rpc.h"
#include "rpcndr.h"

#ifndef __RPCNDR_H_VERSION__
#error this stub requires an updated version of <rpcndr.h>
#endif // __RPCNDR_H_VERSION__


#ifndef __vl_cr1d_h__
#define __vl_cr1d_h__

#if defined(_MSC_VER) && (_MSC_VER >= 1020)
#pragma once
#endif

/* Forward Declarations */ 

/* header files for imported files */
#include "vl_base.h"
#include "vl_display.h"

#ifdef __cplusplus
extern "C"{
#endif 

void * __RPC_USER MIDL_user_allocate(size_t);
void __RPC_USER MIDL_user_free( void * ); 

/* interface __MIDL_itf_vl_cr1d_0000 */
/* [local] */ 

//=--------------------------------------------------------------------------=
// (C) Copyright 2002-2008 MATRIX Vision GmbH.  All Rights Reserved.
// (C) Copyright 2002-2008 Impuls computergesttzte Bildanalyse GmbH.
//
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY OF
// ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO
// THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
// PARTICULAR PURPOSE.
//=--------------------------------------------------------------------------=

#if defined(__BORLANDC__)
#pragma option -b
#endif
#if !defined(NO_VL_CR1D_AUTOLINK)
#if defined(__BORLANDC__)
#pragma comment(lib,"vlb_cr1d.lib")
#pragma message ("Automatically linking with vlb_cr1d.lib")
#else
#if defined(_M_X64)
#pragma comment(lib,"vl_cr1d64.lib")
#pragma message ("Automatically linking with vl_cr1d64.lib")
#else
#pragma comment(lib,"vl_cr1d.lib")
#pragma message ("Automatically linking with vl_cr1d.lib")
#endif
#endif
#endif


#ifdef MVIMPACT_H_ // include guard of the main C++ header
namespace mvIMPACT {
	namespace mvIMPACT_C {
#endif // #ifdef MVIMPACT_H_

#ifdef VL_CR1D_COMPILING
// when compiling the dll
#define VL_CR1D_DLLEXPORT	__declspec(dllexport)
#undef __MIDL_DECLSPEC_DLLEXPORT
#define __MIDL_DECLSPEC_DLLEXPORT	__declspec(dllexport)
#undef __MIDL_DECLSPEC_DLLIMPORT
#define __MIDL_DECLSPEC_DLLIMPORT	__declspec(dllexport)
#else
// when using the dll
#define VL_CR1D_DLLEXPORT	__declspec(dllimport)
#undef __MIDL_DECLSPEC_DLLEXPORT
#define __MIDL_DECLSPEC_DLLEXPORT	__declspec(dllimport)
#undef __MIDL_DECLSPEC_DLLIMPORT
#define __MIDL_DECLSPEC_DLLIMPORT	__declspec(dllimport)
#endif


extern RPC_IF_HANDLE __MIDL_itf_vl_cr1d_0000_v0_0_c_ifspec;
extern RPC_IF_HANDLE __MIDL_itf_vl_cr1d_0000_v0_0_s_ifspec;


#ifndef __vl_cr1d_LIBRARY_DEFINED__
#define __vl_cr1d_LIBRARY_DEFINED__

/* library vl_cr1d */
/* [helpstring][version][uuid] */ 

typedef _CR1D_BUFHANDLE CR1D_BUFHANDLE;

/* [helpstring] */ 
enum CR1D_ERROR
    {	CR1D_E_UNKNOWN_PARAMETER	= -1800,
	CR1D_E_WRONG_IMAGE_TYPE	= -1801,
	CR1D_E_HANDLE_ERROR	= -1802,
	CR1D_E_BAD_PTR	= -1803,
	CR1D_E_WRONG_PARAMETER_VALUE	= -1804,
	CR1D_E_INVALID_DECODER	= -1805,
	CR1D_E_COULD_NOT_LOAD	= -1806,
	CR1D_E_WRONG_PROFILE_TYPE	= -1807,
	CR1D_E_PRINT_QUALITY_DATA_NA	= -1808
    } ;
typedef /* [hidden] */ enum CR1D_ERROR CR1D_ERROR;

/* [helpstring] */ 
enum CR1D_CONFIG_INQUIRE
    {	CR1D_CFG_SPACING	= 1,
	CR1D_CFG_CONTRAST	= 2,
	CR1D_CFG_GAP_SIZE	= 4,
	CR1D_CFG_MIN_GAPS	= 5,
	CR1D_CFG_NOISE_THRESHOLD	= 7,
	CR1D_CFG_DIRECTIONS	= 9,
	CR1D_CFG_FILTER_ORPHANED_RAYS	= 10,
	CR1D_CFG_FILTER_ORPHANED_DECODES	= 11,
	CR1D_CFG_CHECK_PRINT_QUALITY	= 12,
	CR1D_GET_NUMBER_OF_CANDIDATES	= -1,
	CR1D_GET_NUMBER_OF_CODES	= -2,
	CR1D_GET_CODETYPE_LENGTH	= -3,
	CR1D_GET_CODETYPE	= -4,
	CR1D_GET_CODEDATA_LENGTH	= -5,
	CR1D_GET_CODEDATA	= -6,
	CR1D_GET_LOCATION	= -7,
	CR1D_GET_CHECKSUM_LENGTH	= -8,
	CR1D_GET_CHECKSUM	= -9,
	CR1D_GET_OVERPRINT	= -10,
	CR1D_GET_TOTAL_DECODING_TIME	= -11,
	CR1D_GET_DECODING_TIME	= -12,
	CR1D_GET_DIRECTION	= -13,
	CR1D_GET_REFLECTANCE_MINIMUM	= -14,
	CR1D_GET_REFLECTANCE_MAXIMUM	= -15,
	CR1D_GET_SYMBOL_CONTRAST	= -16,
	CR1D_GET_GLOBAL_THRESHOLD	= -17,
	CR1D_GET_MINIMUM_EDGE_CONTRAST	= -18,
	CR1D_GET_MODULATION	= -19,
	CR1D_GET_MAXIMUM_NON_UNIFORMITY	= -20,
	CR1D_GET_EDGE_DETERMINATION_TEST	= -21,
	CR1D_GET_MINIMUM_REFLECTANCE_TEST	= -22,
	CR1D_GET_MINIMUM_EDGE_CONTRAST_TEST	= -23,
	CR1D_GET_SYMBOL_CONTRAST_GRADE	= -24,
	CR1D_GET_MODULATION_GRADE	= -25,
	CR1D_GET_DEFECTS_GRADE	= -26,
	CR1D_GET_DECODABILITY_GRADE	= -27,
	CR1D_GET_SCAN_GRADE	= -28,
	CR1D_GET_TOTAL_DECODING_TIME_AS_DOUBLE	= -29,
	CR1D_GET_DECODING_TIME_AS_DOUBLE	= -30
    } ;
typedef /* [hidden] */ enum CR1D_CONFIG_INQUIRE CR1D_CONFIG_INQUIRE;

/* [helpstring] */ 
enum CR1D_DIRECTIONS
    {	CR1D_DIRHORIZONTAL	= 0x11,
	CR1D_DIRVERTICAL	= 0x44,
	CR1D_DIRORTHOGONAL	= 0x55,
	CR1D_DIRALL	= 0xff,
	CR1D_DIR000	= 0x1,
	CR1D_DIR045	= 0x2,
	CR1D_DIR090	= 0x4,
	CR1D_DIR135	= 0x8,
	CR1D_DIR180	= 0x10,
	CR1D_DIR225	= 0x20,
	CR1D_DIR270	= 0x40,
	CR1D_DIR315	= 0x80
    } ;
typedef /* [hidden] */ enum CR1D_DIRECTIONS CR1D_DIRECTIONS;

/* [helpstring] */ 
enum CR1D_CHECKSUMFLAGS
    {	CR1D_NO_CHECKSUM	= 0,
	CR1D_CHECKSUM_TRANSMIT	= 1,
	CR1D_CHECKSUM_NO_TRANSMIT	= 2
    } ;
typedef /* [hidden] */ enum CR1D_CHECKSUMFLAGS CR1D_CHECKSUMFLAGS;

/* [helpstring] */ 
enum CR1D_DECODERFLAGS
    {	CR1D_DECODER_COUNT	= 0,
	CR1D_DECODER_NAME	= 1,
	CR1D_DECODER_FILENAME	= 2,
	CR1D_DECODER_TRY_NEXT_ON_SUCCESS	= 3,
	CR1D_DECODER_CHECKSUM	= 4,
	CR1D_DECODER_NAME_LENGTH	= 5,
	CR1D_DECODER_FILENAME_LENGTH	= 6
    } ;
typedef /* [hidden] */ enum CR1D_DECODERFLAGS CR1D_DECODERFLAGS;


EXTERN_C const IID LIBID_vl_cr1d;


#ifndef __vl_cr1d_MODULE_DEFINED__
#define __vl_cr1d_MODULE_DEFINED__


/* module vl_cr1d */
/* [dllname][uuid] */ 

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall CR1D_IsValidBuffer( 
    /* [in] */ CR1D_BUFHANDLE Buffer,
    /* [full][out] */ IPL_BOOL *Valid);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall CR1D_Control( 
    /* [in] */ CR1D_BUFHANDLE Buffer,
    /* [in] */ CR1D_CONFIG_INQUIRE Parameter,
    /* [in] */ IPL_ULONG Value);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall CR1D_BufAlloc( 
    /* [full][out][in] */ CR1D_BUFHANDLE *Buffer);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall CR1D_BufFree( 
    /* [in] */ CR1D_BUFHANDLE Buffer);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall CR1D_Locate( 
    /* [in] */ IPL_BUFHANDLE Image,
    /* [full][out][in] */ CR1D_BUFHANDLE *Config,
    /* [full][out][in] */ CR1D_BUFHANDLE *Result);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall CR1D_LocateAndVisualizeRuns( 
    /* [in] */ IPL_BUFHANDLE Image,
    /* [full][out][in] */ CR1D_BUFHANDLE *Config,
    /* [full][out][in] */ CR1D_BUFHANDLE *Result,
    /* [in] */ DISP_OOISETHANDLE OoiSet,
    /* [full][out] */ DISP_OOIHANDLE *Ooi,
    /* [full][in] */ const IPL_VOID *UserPtr);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall CR1D_Decode( 
    /* [in] */ IPL_BUFHANDLE Image,
    /* [full][out][in] */ CR1D_BUFHANDLE *Config,
    /* [full][out][in] */ CR1D_BUFHANDLE *Result);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall CR1D_DecodeAndVisualizeRuns( 
    /* [in] */ IPL_BUFHANDLE Image,
    /* [full][out][in] */ CR1D_BUFHANDLE *Config,
    /* [full][out][in] */ CR1D_BUFHANDLE *Result,
    /* [in] */ DISP_OOISETHANDLE OoiSet,
    /* [full][out] */ DISP_OOIHANDLE *Ooi,
    /* [full][in] */ const IPL_VOID *UserPtr);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall CR1D_DecodeAtLocation( 
    /* [in] */ IPL_BUFHANDLE Image,
    /* [in] */ const IPL_LINE *Location,
    /* [full][out][in] */ CR1D_BUFHANDLE *Config,
    /* [full][out][in] */ CR1D_BUFHANDLE *Result);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall CR1D_DecodeProfile( 
    /* [in] */ IPL_BUFHANDLE Profile,
    /* [full][out][in] */ CR1D_BUFHANDLE *Config,
    /* [full][out][in] */ CR1D_BUFHANDLE *Result);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall CR1D_DecodeDistances( 
    /* [in] */ IPL_BUFHANDLE Profile,
    /* [full][out][in] */ CR1D_BUFHANDLE *Config,
    /* [full][out][in] */ CR1D_BUFHANDLE *Result);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall CR1D_Inquire( 
    /* [in] */ CR1D_BUFHANDLE Buffer,
    /* [in] */ CR1D_CONFIG_INQUIRE Item,
    /* [in] */ IPL_ULONG CandidateIndex,
    /* [in] */ IPL_ULONG DecoderIndex,
    /* [full][out] */ IPL_VOID *Value);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall CR1D_EdgeMap( 
    /* [in] */ IPL_BUFHANDLE Image,
    /* [full][out][in] */ CR1D_BUFHANDLE *Config,
    /* [full][out][in] */ IPL_BUFHANDLE *EdgeMap);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall CR1D_AddDecoder( 
    /* [string][full][in] */ const IPL_CHAR *Decoder,
    /* [in] */ IPL_LONG Index);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall CR1D_RemoveDecoder( 
    /* [string][full][in] */ const IPL_CHAR *Decoder);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall CR1D_ControlDecoder( 
    /* [in] */ IPL_ULONG Decoder,
    /* [in] */ CR1D_DECODERFLAGS Item,
    /* [full][in] */ const IPL_VOID *Value);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall CR1D_InquireDecoder( 
    /* [in] */ IPL_ULONG Decoder,
    /* [in] */ CR1D_DECODERFLAGS Item,
    /* [full][out] */ IPL_VOID *Value);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall CR1D_CheckLic( void);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall CR1D_GetVersion( 
    /* [full][in] */ const IPL_CHAR *Buffer,
    /* [in] */ IPL_INT Bytes);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall CR1D_GetVersionDecoder( 
    /* [full][in] */ const IPL_CHAR *Decoder,
    /* [full][in] */ const IPL_CHAR *Buffer,
    /* [in] */ IPL_INT Bytes);

#endif /* __vl_cr1d_MODULE_DEFINED__ */
#endif /* __vl_cr1d_LIBRARY_DEFINED__ */

/* interface __MIDL_itf_vl_cr1d_0122 */
/* [local] */ 


#ifdef MVIMPACT_H_ // include guard of the main C++ header
	} // namespace mvIMPACT_C
} // namespace mvIMPACT
#endif // #ifdef MVIMPACT_H_



extern RPC_IF_HANDLE __MIDL_itf_vl_cr1d_0122_v0_0_c_ifspec;
extern RPC_IF_HANDLE __MIDL_itf_vl_cr1d_0122_v0_0_s_ifspec;

/* Additional Prototypes for ALL interfaces */

/* end of Additional Prototypes */

#ifdef __cplusplus
}
#endif

#endif


