




#include "rpc.h"
#include "rpcndr.h"

#ifndef __RPCNDR_H_VERSION__
#error this stub requires an updated version of <rpcndr.h>
#endif // __RPCNDR_H_VERSION__


#ifndef __vl_file_h__
#define __vl_file_h__

#if defined(_MSC_VER) && (_MSC_VER >= 1020)
#pragma once
#endif

/* Forward Declarations */ 

/* header files for imported files */
#include "vl_base.h"

#ifdef __cplusplus
extern "C"{
#endif 

void * __RPC_USER MIDL_user_allocate(size_t);
void __RPC_USER MIDL_user_free( void * ); 

/* interface __MIDL_itf_vl_file_0000 */
/* [local] */ 

//=--------------------------------------------------------------------------=
// (C) Copyright 2002-2008 MATRIX VISION GmbH.  All Rights Reserved.
// (C) Copyright 1997-2008 Impuls computergesttzte Bildanalyse GmbH.
//
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY OF
// ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO
// THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
// PARTICULAR PURPOSE.
//=--------------------------------------------------------------------------=

#if defined(__BORLANDC__)
#pragma option -b
#endif
#if !defined(NO_VL_FILE_AUTOLINK)
#if defined(__BORLANDC__)
#pragma comment(lib,"vlb_file.lib")
#pragma message ("Automatically linking with vlb_file.lib")
#else
#if defined(_M_X64)
#pragma comment(lib,"vl_file64.lib")
#pragma message ("Automatically linking with vl_file64.lib")
#else
#pragma comment(lib,"vl_file.lib")
#pragma message ("Automatically linking with vl_file.lib")
#endif
#endif
#endif


#ifdef MVIMPACT_H_ // include guard of the main C++ header
namespace mvIMPACT {
	namespace mvIMPACT_C {
#endif // #ifdef MVIMPACT_H_

#ifdef VL_FILE_COMPILING
// when compiling the dll
#define VL_FILE_DLLEXPORT	__declspec(dllexport)
#undef __MIDL_DECLSPEC_DLLEXPORT
#define __MIDL_DECLSPEC_DLLEXPORT	__declspec(dllexport)
#undef __MIDL_DECLSPEC_DLLIMPORT
#define __MIDL_DECLSPEC_DLLIMPORT	__declspec(dllexport)
#else
// when using the dll
#define VL_FILE_DLLEXPORT	__declspec(dllimport)
#undef __MIDL_DECLSPEC_DLLEXPORT
#define __MIDL_DECLSPEC_DLLEXPORT	__declspec(dllimport)
#undef __MIDL_DECLSPEC_DLLIMPORT
#define __MIDL_DECLSPEC_DLLIMPORT	__declspec(dllimport)
#endif


extern RPC_IF_HANDLE __MIDL_itf_vl_file_0000_v0_0_c_ifspec;
extern RPC_IF_HANDLE __MIDL_itf_vl_file_0000_v0_0_s_ifspec;


#ifndef __vl_file_LIBRARY_DEFINED__
#define __vl_file_LIBRARY_DEFINED__

/* library vl_file */
/* [helpstring][version][uuid] */ 

/* [helpstring] */ 
enum FL_FILEFORMAT
    {	FL_DONT_CARE	= -1,
	IPL_BMP	= 0,
	IPL_TIFF	= 1,
	IPL_RLE	= 2
    } ;
typedef /* [hidden] */ enum FL_FILEFORMAT FL_FILEFORMAT;

/* [helpstring] */ 
enum FL_DATATYPE
    {	FL_DTUCHAR	= IPL_DTUCHAR,
	FL_DTUSHORT	= IPL_DTUSHORT,
	IPL_SWAPBYTES	= 0x80000000
    } ;
typedef /* [hidden] */ enum FL_DATATYPE FL_DATATYPE;

/* [helpstring] */ 
enum FL_PIXELFORMAT
    {	IPL_PLANAR	= 0,
	FL_RGB	= IPL_RGB
    } ;
typedef /* [hidden] */ enum FL_PIXELFORMAT FL_PIXELFORMAT;

/* [helpstring] */ 
enum FL_INQUIRE
    {	IPL_WIDTH	= 1,
	IPL_HEIGHT	= 2,
	IPL_SAMPLES_PER_PIXEL	= 3,
	IPL_BITS_PER_SAMPLE	= 4,
	IPL_COMPRESSED	= 5,
	IPL_PALETTE	= 6,
	IPL_SEQ_LENGTH	= 7
    } ;
typedef /* [hidden] */ enum FL_INQUIRE FL_INQUIRE;

/* [helpstring] */ 
enum FL_CONTROL
    {	IPL_SCALE_TO_BUFFER_SIZE	= 1,
	IPL_FILE_XPOS	= 2,
	IPL_FILE_YPOS	= 3,
	IPL_FILE_WIDTH	= 4,
	IPL_FILE_HEIGHT	= 5
    } ;
typedef /* [hidden] */ enum FL_CONTROL FL_CONTROL;

/* [helpstring] */ 
enum FL_ERROR
    {	IPL_FILE_ERROR	= -800,
	IPL_FILE_FORMAT_ERROR	= -801,
	IPL_FILE_UNKNOWN_CONTROL_TYPE	= -802,
	IPL_FILE_ROI_MISMATCH_ERROR	= -803,
	IPL_FILE_TIFF_TAG_ERROR	= -804,
	IPL_FILE_BUFFER_DATATYPE_INVALID	= -805,
	IPL_FILE_BUFFER_BANDS_INVALID	= -806
    } ;
typedef /* [hidden] */ enum FL_ERROR FL_ERROR;


EXTERN_C const IID LIBID_vl_file;


#ifndef __vl_file_MODULE_DEFINED__
#define __vl_file_MODULE_DEFINED__


/* module vl_file */
/* [dllname][uuid] */ 

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall IPL_FlImport( 
    /* [full][out][in] */ IPL_BUFHANDLE *Buffer,
    /* [full][out][in] */ IPL_BUFHANDLE *Palette,
    /* [in] */ FL_FILEFORMAT Filetype,
    /* [string][full][in] */ const IPL_CHAR *Filename);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall IPL_FlImportSequence( 
    /* [full][out][in] */ IPL_BUFHANDLE *Buffer,
    /* [full][out][in] */ IPL_BUFHANDLE *Palette,
    /* [in] */ FL_FILEFORMAT Filetype,
    /* [string][full][in] */ const IPL_CHAR *Filename);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall IPL_FlImportUser( 
    /* [full][out][in] */ IPL_BUFHANDLE *Buffer,
    /* [in] */ IPL_ULONG Width,
    /* [in] */ IPL_ULONG Height,
    /* [in] */ IPL_ULONG Bands,
    /* [in] */ FL_DATATYPE Datatype,
    /* [in] */ FL_PIXELFORMAT Samplestype,
    /* [in] */ IPL_ULONG PixelPitch,
    /* [in] */ IPL_ULONG Offset,
    /* [string][full][in] */ const IPL_CHAR *Filename);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall IPL_FlExport( 
    /* [in] */ IPL_BUFHANDLE Buffer,
    /* [in] */ IPL_BUFHANDLE Palette,
    /* [in] */ FL_FILEFORMAT Filetype,
    /* [string][full][in] */ const IPL_CHAR *Filename);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall IPL_FlExportSequence( 
    /* [in] */ IPL_BUFHANDLE Buffer,
    /* [in] */ IPL_BUFHANDLE Palette,
    /* [in] */ FL_FILEFORMAT Filetype,
    /* [string][full][in] */ const IPL_CHAR *Filename);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall IPL_FlControl( 
    /* [in] */ FL_CONTROL Control,
    /* [full][in] */ const IPL_VOID *Data);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall IPL_FlInquire( 
    /* [in] */ FL_FILEFORMAT Filetype,
    /* [in] */ FL_INQUIRE Property,
    /* [full][out] */ IPL_VOID *Data,
    /* [string][full][in] */ const IPL_CHAR *Filename);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall FL_CheckLic( void);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall FL_GetVersion( 
    /* [full][in] */ const IPL_CHAR *Buffer,
    /* [in] */ IPL_INT Bytes);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall FL_GetVersionFilter( 
    /* [full][in] */ const IPL_CHAR *Filter,
    /* [full][in] */ const IPL_CHAR *Buffer,
    /* [in] */ IPL_INT Bytes);

#endif /* __vl_file_MODULE_DEFINED__ */
#endif /* __vl_file_LIBRARY_DEFINED__ */

/* interface __MIDL_itf_vl_file_0119 */
/* [local] */ 


#ifdef MVIMPACT_H_ // include guard of the main C++ header
	} // namespace mvIMPACT_C
} // namespace mvIMPACT
#endif // #ifdef MVIMPACT_H_



extern RPC_IF_HANDLE __MIDL_itf_vl_file_0119_v0_0_c_ifspec;
extern RPC_IF_HANDLE __MIDL_itf_vl_file_0119_v0_0_s_ifspec;

/* Additional Prototypes for ALL interfaces */

/* end of Additional Prototypes */

#ifdef __cplusplus
}
#endif

#endif


