




#include "rpc.h"
#include "rpcndr.h"

#ifndef __RPCNDR_H_VERSION__
#error this stub requires an updated version of <rpcndr.h>
#endif // __RPCNDR_H_VERSION__


#ifndef __vl_gauge_h__
#define __vl_gauge_h__

#if defined(_MSC_VER) && (_MSC_VER >= 1020)
#pragma once
#endif

/* Forward Declarations */ 

/* header files for imported files */
#include "vl_base.h"

#ifdef __cplusplus
extern "C"{
#endif 

void * __RPC_USER MIDL_user_allocate(size_t);
void __RPC_USER MIDL_user_free( void * ); 

/* interface __MIDL_itf_vl_gauge_0000 */
/* [local] */ 

//=--------------------------------------------------------------------------=
// (C) Copyright 2002-2008 MATRIX VISION GmbH.  All Rights Reserved.
// (C) Copyright 1997-2008 Impuls computergesttzte Bildanalyse GmbH.
//
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY OF
// ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO
// THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
// PARTICULAR PURPOSE.
//=--------------------------------------------------------------------------=

#if defined(__BORLANDC__)
#pragma option -b
#endif
#if !defined(VL_GAUGE_STATIC)
#if !defined(NO_VL_GAUGE_AUTOLINK)
#if defined(__BORLANDC__)
#pragma comment(lib,"vlb_gauge.lib")
#pragma message ("Automatically linking with vlb_gauge.lib")
#else
#if defined(_M_X64)
#pragma comment(lib,"vl_gauge64.lib")
#pragma message ("Automatically linking with vl_gauge64.lib")
#else
#pragma comment(lib,"vl_gauge.lib")
#pragma message ("Automatically linking with vl_gauge.lib")
#endif
#endif
#endif

#else
#if !defined(_DEBUG)
#pragma comment(lib,"vls_gauge.lib")
#pragma message ("Automatically linking with vls_gauge.lib")
#else
#pragma comment(lib,"vls_gauge_d.lib")
#pragma message ("Automatically linking with vls_gauge_d.lib")
#endif
#endif


#ifdef MVIMPACT_H_ // include guard of the main C++ header
namespace mvIMPACT {
	namespace mvIMPACT_C {
#endif // #ifdef MVIMPACT_H_

#if !defined(VL_GAUGE_STATIC)
#ifdef VL_GAUGE_COMPILING
// when compiling the dll
#define VL_GAUGE_DLLEXPORT	__declspec(dllexport)
#undef __MIDL_DECLSPEC_DLLEXPORT
#define __MIDL_DECLSPEC_DLLEXPORT	__declspec(dllexport)
#undef __MIDL_DECLSPEC_DLLIMPORT
#define __MIDL_DECLSPEC_DLLIMPORT	__declspec(dllexport)
#else
// when using the dll
#define VL_GAUGE_DLLEXPORT	__declspec(dllimport)
#undef __MIDL_DECLSPEC_DLLEXPORT
#define __MIDL_DECLSPEC_DLLEXPORT	__declspec(dllimport)
#undef __MIDL_DECLSPEC_DLLIMPORT
#define __MIDL_DECLSPEC_DLLIMPORT	__declspec(dllimport)
#endif
#else
#define VL_GAUGE_DLLEXPORT
#undef __MIDL_DECLSPEC_DLLEXPORT
#define __MIDL_DECLSPEC_DLLEXPORT
#endif
#include <float.h>
const IPL_DOUBLE GAU_NOT_DEFINED = DBL_MIN;
const IPL_DOUBLE GAU_INFINITE = DBL_MAX;


extern RPC_IF_HANDLE __MIDL_itf_vl_gauge_0000_v0_0_c_ifspec;
extern RPC_IF_HANDLE __MIDL_itf_vl_gauge_0000_v0_0_s_ifspec;


#ifndef __vl_gauge_LIBRARY_DEFINED__
#define __vl_gauge_LIBRARY_DEFINED__

/* library vl_gauge */
/* [helpstring][version][uuid] */ 

typedef /* [helpstring] */ _GAU_BUFHANDLE GAU_BUFHANDLE;

/* [helpstring] */ 
enum GAU_CONTROL
    {	GAU_POLARITY	= 4,
	GAU_SCORE	= 5,
	GAU_INT_MODE	= 7,
	GAU_EDGE_MODE	= 8,
	GAU_EDGE_TYPE	= 9,
	GAU_CONTRAST_AUTO	= 10,
	GAU_STEEPNESS_AUTO	= 12,
	GAU_CONTRAST_WEIGHT	= 14,
	GAU_STEEPNESS_WEIGHT	= 15,
	GAU_POLARITY_WEIGHT	= 16,
	GAU_CONTRAST_TYPICAL	= 17,
	GAU_STEEPNESS_TYPICAL	= 18,
	GAU_BEST_MATCH_ONLY	= 19,
	GAU_KERNEL_TYPE	= 22,
	GAU_SMOOTH_PASSES	= 23,
	GAU_POLARITY_2	= 54,
	GAU_SCORE_2	= 55,
	GAU_CONTRAST_2_WEIGHT	= 60,
	GAU_STEEPNESS_2_WEIGHT	= 61,
	GAU_POLARITY_2_WEIGHT	= 62,
	GAU_CONTRAST_2_TYPICAL	= 63,
	GAU_STEEPNESS_2_TYPICAL	= 64,
	GAU_MEASUREMENT_DIRECTION	= 65,
	GAU_GRAD_THRESHOLD	= 300,
	GAU_MAX_ITERATIONS	= 301,
	GAU_TOLERANCE	= 302,
	GAU_DIST_TOLERANCE	= 303,
	GAU_ITERATIONS	= 304
    } ;
typedef /* [hidden] */ enum GAU_CONTROL GAU_CONTROL;

/* [helpstring] */ 
enum GAU_POLARITY_MODE
    {	GAU_NEGATIVE	= -1,
	GAU_ANY	= 0,
	GAU_POSITIVE	= 1
    } ;
typedef /* [hidden] */ enum GAU_POLARITY_MODE GAU_POLARITY_MODE;

/* [helpstring] */ 
enum GAU_EDGE_TYPE_MODE
    {	GAU_ANY_EDGE	= 0,
	GAU_VERTICAL	= 1,
	GAU_HORIZONTAL	= 2,
	GAU_HORIZONTAL_RIGHT_TO_LEFT	= 3,
	GAU_HORIZONTAL_LEFT_TO_RIGHT	= 4,
	GAU_VERTICAL_TOP_TO_BOTTOM	= 5,
	GAU_VERTICAL_BOTTOM_TO_TOP	= 6
    } ;
typedef /* [hidden] */ enum GAU_EDGE_TYPE_MODE GAU_EDGE_TYPE_MODE;

/* [helpstring] */ 
enum GAU_INTERPOLATION_MODE
    {	GAU_NEAREST_NEIGHBOUR	= 0,
	GAU_BILINEAR	= 1
    } ;
typedef /* [hidden] */ enum GAU_INTERPOLATION_MODE GAU_INTERPOLATION_MODE;

/* [helpstring] */ 
enum GAU_DIRECTION_MODE
    {	GAU_NORMAL	= 0,
	GAU_PERPENDICULAR	= 1
    } ;
typedef /* [hidden] */ enum GAU_DIRECTION_MODE GAU_DIRECTION_MODE;

/* [helpstring] */ 
enum GAU_EDGE_PAIR_MODE
    {	GAU_SINGLE	= 0,
	GAU_PAIR_POS_NEG	= 1,
	GAU_PAIR_NEG_POS	= 2
    } ;
typedef /* [hidden] */ enum GAU_EDGE_PAIR_MODE GAU_EDGE_PAIR_MODE;

/* [helpstring] */ 
enum GAU_KERNEL_TYPE_MODE
    {	GAU_5x1	= 0,
	GAU_3x1	= 1,
	GAU_2x1	= 2
    } ;
typedef /* [hidden] */ enum GAU_KERNEL_TYPE_MODE GAU_KERNEL_TYPE_MODE;

/* [helpstring] */ 
enum GAU_ERROR
    {	GAU_INVALID_RANGE_ERROR	= -900,
	GAU_INVALID_RESULT_BUFFER_ERROR	= -901,
	GAU_INVALID_INDEX_ERROR	= -902,
	GAU_INVALID_PARAM_ERROR	= -903,
	GAU_SIZE_MISMATCH_ERROR	= -904,
	GAU_WINDOW_WIDTH_ERROR	= -905,
	GAU_FEATURE_LIST_ERROR	= -906,
	GAU_MEASUREMENT_ERROR	= -907,
	GAU_PROFILE_STRIPE_ERROR	= -908,
	GAU_GRADIENT_FILTER_SIZE_ERROR	= -909,
	GAU_INTERNAL_FUNCTION_ERROR	= -910,
	GAU_WEIGHT_FACTOR_ERROR	= -911,
	GAU_GRADIENT_THRESHOLD_ERROR	= -912,
	GAU_HANDLE_ERROR	= -913,
	GAU_FEATURE_MIX_ERROR	= -914,
	GAU_WRONG_MODE_ERROR	= -915
    } ;
typedef /* [hidden] */ enum GAU_ERROR GAU_ERROR;

/* [helpstring] */ 
enum GAU_FEATURE
    {	GAU_EDGE_NUMBER	= 100,
	GAU_EDGE_XPOS	= 101,
	GAU_EDGE_YPOS	= 102,
	GAU_EDGE_SLOPE	= 103,
	GAU_EDGE_POLARITY	= 104,
	GAU_EDGE_CONTRAST	= 105,
	GAU_EDGE_STEEPNESS	= 106,
	GAU_EDGE_SCORE	= 107,
	GAU_BOX_LEFT_X	= 108,
	GAU_BOX_LEFT_Y	= 109,
	GAU_BOX_TOP_X	= 110,
	GAU_BOX_TOP_Y	= 111,
	GAU_BOX_RIGHT_X	= 112,
	GAU_BOX_RIGHT_Y	= 113,
	GAU_BOX_BOTTOM_X	= 114,
	GAU_BOX_BOTTOM_Y	= 115,
	GAU_EDGE_PAIR_DIST	= 116,
	GAU_EDGE_XPOS_2	= 117,
	GAU_EDGE_XPOS_MEAN	= 118,
	GAU_EDGE_YPOS_2	= 119,
	GAU_EDGE_YPOS_MEAN	= 120,
	GAU_EDGE_POLARITY_2	= 121,
	GAU_EDGE_CONTRAST_2	= 122,
	GAU_EDGE_STEEPNESS_2	= 123,
	GAU_EDGE_POLARITY_MEAN	= 124,
	GAU_EDGE_CONTRAST_MEAN	= 125,
	GAU_EDGE_STEEPNESS_MEAN	= 126,
	GAU_EDGE_SCORE_2	= 127,
	GAU_EDGE_SCORE_MEAN	= 128,
	GAU_EDGE_Y_INTERCEPT	= 130,
	GAU_EDGE_CHI2	= 131,
	GAU_EDGE_HOR_ANGLE	= 132,
	GAU_EDGE_X0_INTERCEPT	= 133,
	GAU_EDGE_Y0_INTERCEPT	= 134,
	GAU_EDGE_X1_INTERCEPT	= 135,
	GAU_EDGE_Y1_INTERCEPT	= 136,
	GAU_EDGE_POINT_X	= 137,
	GAU_EDGE_POINT_Y	= 138,
	GAU_NB_BANDS	= 200,
	GAU_NB_SLICES	= 201,
	GAU_NB_FRAMES	= 202,
	GAU_CIRCLE_RADIUS	= 300,
	GAU_CIRCLE_CEN_X	= 301,
	GAU_CIRCLE_CEN_Y	= 302,
	GAU_CIRCLE_NUMBER	= 303,
	GAU_CIRCLE_TOLERANCE	= 304,
	GAU_CIRCLE_ITERATIONS	= 305,
	GAU_CIRCLE_RADIUS_MIN	= 306,
	GAU_CIRCLE_RADIUS_MAX	= 307,
	GAU_CIRCLE_RADIUS_MIN_X	= 308,
	GAU_CIRCLE_RADIUS_MIN_Y	= 309,
	GAU_CIRCLE_RADIUS_MAX_X	= 310,
	GAU_CIRCLE_RADIUS_MAX_Y	= 311
    } ;
typedef /* [hidden] */ enum GAU_FEATURE GAU_FEATURE;


EXTERN_C const IID LIBID_vl_gauge;


#ifndef __vl_gauge_MODULE_DEFINED__
#define __vl_gauge_MODULE_DEFINED__


/* module vl_gauge */
/* [dllname][uuid] */ 

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall GAU_BufAlloc( 
    /* [full][out] */ GAU_BUFHANDLE *Handle);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall GAU_BufFree( 
    /* [in] */ GAU_BUFHANDLE Handle);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall GAU_BufControl( 
    /* [in] */ GAU_BUFHANDLE Handle,
    /* [in] */ GAU_CONTROL Control,
    /* [full][in] */ const IPL_VOID *Value);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall GAU_BufInquire( 
    /* [in] */ GAU_BUFHANDLE Handle,
    /* [in] */ GAU_CONTROL Control,
    /* [full][out] */ IPL_VOID *Value);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall GAU_FindEdge( 
    /* [in] */ IPL_BUFHANDLE Image,
    /* [in] */ GAU_BUFHANDLE Handle,
    /* [in] */ IPL_DOUBLE X1,
    /* [in] */ IPL_DOUBLE Y1,
    /* [in] */ IPL_DOUBLE X2,
    /* [in] */ IPL_DOUBLE Y2,
    /* [in] */ IPL_ULONG Width);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall GAU_GetResults( 
    /* [in] */ GAU_BUFHANDLE Handle,
    /* [in] */ IPL_LONG Index,
    /* [in] */ GAU_FEATURE Feature,
    /* [in] */ IPL_ULONG Band,
    /* [in] */ IPL_ULONG Slice,
    /* [in] */ IPL_ULONG Frame,
    /* [full][out] */ IPL_DOUBLE *Value);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall GAU_AddFeature( 
    /* [in] */ GAU_BUFHANDLE Handle,
    /* [in] */ GAU_FEATURE Feature,
    /* [in] */ IPL_ULONG Delete);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall GAU_SetCrdSystem( 
    /* [in] */ GAU_BUFHANDLE Handle,
    /* [in] */ IPL_DOUBLE OrgX,
    /* [in] */ IPL_DOUBLE OrgY,
    /* [in] */ IPL_DOUBLE ScaleX,
    /* [in] */ IPL_DOUBLE ScaleY,
    /* [in] */ IPL_DOUBLE Angle);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall GAU_GetCrdSystem( 
    /* [in] */ GAU_BUFHANDLE Handle,
    /* [full][out] */ IPL_DOUBLE *OrgX,
    /* [full][out] */ IPL_DOUBLE *OrgY,
    /* [full][out] */ IPL_DOUBLE *ScaleX,
    /* [full][out] */ IPL_DOUBLE *ScaleY,
    /* [full][out] */ IPL_DOUBLE *Angle);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall GAU_FindCircle( 
    /* [in] */ IPL_BUFHANDLE Image,
    /* [in] */ GAU_BUFHANDLE Handle,
    /* [in] */ IPL_ULONG XTop,
    /* [in] */ IPL_ULONG YTop,
    /* [in] */ IPL_ULONG XSize,
    /* [in] */ IPL_ULONG YSize);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall GAU_FindCircleEx( 
    /* [in] */ IPL_BUFHANDLE BufHandleSrc,
    /* [in] */ GAU_BUFHANDLE BufHandleMeasResult,
    /* [full][in] */ GAU_BUFHANDLE *BufHandleMeas,
    /* [full][in] */ IPL_RECT *MeasWindows,
    /* [in] */ IPL_ULONG NbWindows);

/* [helpstring][entry] */ IPL_FRESULT __stdcall GAU_CheckLic( void);

/* [helpstring][entry] */ IPL_FRESULT __stdcall GAU_GetVersion( 
    /* [full][in] */ const IPL_CHAR *Buffer,
    /* [in] */ IPL_INT Bytes);

#endif /* __vl_gauge_MODULE_DEFINED__ */
#endif /* __vl_gauge_LIBRARY_DEFINED__ */

/* interface __MIDL_itf_vl_gauge_0119 */
/* [local] */ 


#ifdef MVIMPACT_H_ // include guard of the main C++ header
	} // namespace mvIMPACT_C
} // namespace mvIMPACT
#endif // #ifdef MVIMPACT_H_



extern RPC_IF_HANDLE __MIDL_itf_vl_gauge_0119_v0_0_c_ifspec;
extern RPC_IF_HANDLE __MIDL_itf_vl_gauge_0119_v0_0_s_ifspec;

/* Additional Prototypes for ALL interfaces */

/* end of Additional Prototypes */

#ifdef __cplusplus
}
#endif

#endif


