




#include "rpc.h"
#include "rpcndr.h"

#ifndef __RPCNDR_H_VERSION__
#error this stub requires an updated version of <rpcndr.h>
#endif // __RPCNDR_H_VERSION__


#ifndef __vl_gmm_h__
#define __vl_gmm_h__

#if defined(_MSC_VER) && (_MSC_VER >= 1020)
#pragma once
#endif

/* Forward Declarations */ 

/* header files for imported files */
#include "vl_base.h"

#ifdef __cplusplus
extern "C"{
#endif 

void * __RPC_USER MIDL_user_allocate(size_t);
void __RPC_USER MIDL_user_free( void * ); 

/* interface __MIDL_itf_vl_gmm_0000 */
/* [local] */ 

//=--------------------------------------------------------------------------=
// (C) Copyright 2002-2008 MATRIX VISION GmbH.  All Rights Reserved.
// (C) Copyright 2002-2008 Impuls computergesttzte Bildanalyse GmbH.
//
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY OF
// ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO
// THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
// PARTICULAR PURPOSE.
//=--------------------------------------------------------------------------=

#if defined(__BORLANDC__)
#pragma option -b
#endif
#if !defined(NO_VL_GMM_AUTOLINK)
#if defined(__BORLANDC__)
#pragma comment(lib,"vlb_gmm.lib")
#pragma message ("Automatically linking with vlb_gmm.lib")
#else
#if defined(_M_X64)
#pragma comment(lib,"vl_gmm64.lib")
#pragma message ("Automatically linking with vl_gmm64.lib")
#else
#pragma comment(lib,"vl_gmm.lib")
#pragma message ("Automatically linking with vl_gmm.lib")
#endif
#endif
#endif


#ifdef MVIMPACT_H_ // include guard of the main C++ header
namespace mvIMPACT {
	namespace mvIMPACT_C {
#endif // #ifdef MVIMPACT_H_


// Calling method for C Functions and C++ global and class methods.
// With other words: everything without a this-pointer
#define IPL_C_CALLTYPE __stdcall
#define IPL_C_CALLTYPEVAR __cdecl

// Calling method for the C++ methods with a this pointer.
// C++ static methods or C++ functions use IPL_C_CALLTYPE[VAR]
#define IPL_CPP_CALLTYPE // nothing == 'C++-call'
#define IPL_CPP_CALLTYPEVAR __cdecl

#ifdef VL_GMM_COMPILING
// when compiling the dll
#define VL_GMM_DLLEXPORT	__declspec(dllexport)
#undef __MIDL_DECLSPEC_DLLEXPORT
#define __MIDL_DECLSPEC_DLLEXPORT	__declspec(dllexport)
#undef __MIDL_DECLSPEC_DLLIMPORT
#define __MIDL_DECLSPEC_DLLIMPORT	__declspec(dllexport)
#else
// when using the dll
#define VL_GMM_DLLEXPORT	__declspec(dllimport)
#undef __MIDL_DECLSPEC_DLLEXPORT
#define __MIDL_DECLSPEC_DLLEXPORT	__declspec(dllimport)
#undef __MIDL_DECLSPEC_DLLIMPORT
#define __MIDL_DECLSPEC_DLLIMPORT	__declspec(dllimport)
#endif


extern RPC_IF_HANDLE __MIDL_itf_vl_gmm_0000_v0_0_c_ifspec;
extern RPC_IF_HANDLE __MIDL_itf_vl_gmm_0000_v0_0_s_ifspec;


#ifndef __vl_gmm_LIBRARY_DEFINED__
#define __vl_gmm_LIBRARY_DEFINED__

/* library vl_gmm */
/* [helpstring][version][uuid] */ 

typedef /* [helpstring] */ IPL_BUFHANDLE GMM_MODELHANDLE;

typedef /* [helpstring] */ IPL_BUFHANDLE GMM_MATCHERHANDLE;

typedef /* [helpstring] */ IPL_VOID *GMM_FEATUREHANDLE;

/* [helpstring] */ 
enum GMM_ERROR
    {	GMM_INTERNAL_ERROR	= -1700,
	GMM_WRONG_IMAGE_SIZE	= -1701,
	GMM_OUT_OF_BOUNDS	= -1702,
	GMM_NO_EIGHT_BIT_IMAGE	= -1703,
	GMM_NO_MODEL_IMAGE	= -1704,
	GMM_FILE_NOT_FOUND	= -1705,
	GMM_FEATURE_NOT_FOUND	= -1706,
	GMM_IMAGE_TOO_SMALL	= -1707,
	GMM_MODEL_DESCRIPTION_CORRUPT	= -1708,
	GMM_BAD_OPTION_KEY	= -1709,
	GMM_MODEL_NOT_CREATED	= -1710,
	GMM_INVALID_CONTROL_PARAM	= -1711,
	GMM_READ_ONLY_PARAMETER	= -1712,
	GMM_MODEL_NOT_READY	= -1713,
	GMM_MATCH_TIME_OUT	= -1714
    } ;
typedef /* [public] */ enum GMM_ERROR GMM_ERROR;

/* [helpstring] */ 
enum GMM_MODELFIND_CONTROL
    {	GMM_MODEL_FIND_ALL	= -2,
	GMM_MODEL_FIND_ALL_STABLE	= -1
    } ;
/* [helpstring] */ 
enum GMM_MATCHER_CONTROL
    {	MATCHER_MAX_ROTATION	= 0,
	MATCHER_LOWER_SCALING_BOUND	= 1,
	MATCHER_UPPER_SCALING_BOUND	= 2,
	MATCHER_MIN_SCORE	= 3,
	MATCHER_NUMBER_OF_MATCHES	= 4,
	MATCHER_VERIFICATION_THRESHOLD	= 5,
	MATCHER_MAX_ALLOWED_TIME	= 6,
	MATCHER_ANGLE_TOLERANCE	= 500,
	MATCHER_RADIUS_TOLERANCE	= 501,
	MATCHER_DISTANCE_TOLERANCE	= 502,
	SCENE_EDGE_DETECTOR_THRESHOLD	= 1000,
	SCENE_UPPER_THRESHOLD	= 1001,
	SCENE_VECTORIZATION_ERROR	= 1002,
	SCENE_MIN_RATIO_ARC	= 1005
    } ;
typedef /* [public] */ enum GMM_MATCHER_CONTROL GMM_MATCHER_CONTROL;

/* [helpstring] */ 
enum GMM_MATCHNUMBER_CONTROL
    {	GMM_MATCHER_FIND_ALL	= -1
    } ;
/* [helpstring] */ 
enum GMM_MODEL_CONTROL
    {	MODEL_WIDTH	= 0,
	MODEL_HEIGHT	= 1,
	MODEL_ROTATION_CENTER_X	= 2,
	MODEL_ROTATION_CENTER_Y	= 3,
	MODEL_EDGE_DETECTOR_THRESHOLD	= 1000,
	MODEL_UPPER_THRESHOLD	= 1001,
	MODEL_VECTORIZATION_ERROR	= 1002,
	MODEL_MIN_RATIO_ARC	= 1005,
	MODEL_INQUIRE_FUNCTION_SCOPE	= 1006,
	MODEL_ADD_FUNCTION_SCOPE	= 1007,
	MODEL_ENABLE_CORNER	= 1008,
	MODEL_ENABLE_ARC	= 1009,
	MODEL_DISABLE_CORNER	= 1010,
	MODEL_DISABLE_ARC	= 1011,
	MODEL_SCALING_STEPS	= 1012
    } ;
/* [helpstring] */ 
enum GMM_MODEL_INQUIRE_FUNCTION_SCOPE
    {	INQUIRE_SCOPE_ENABLED	= 1000,
	INQUIRE_SCOPE_DISABLED	= 1001,
	INQUIRE_SCOPE_ALL	= 1002
    } ;
/* [helpstring] */ 
enum GMM_MODEL_ADD_FUNCTION_SCOPE
    {	ADD_SCOPE_ENABLED	= 1000,
	ADD_SCOPE_DISABLED	= 1001
    } ;
typedef /* [public] */ enum GMM_MODEL_CONTROL GMM_MODEL_CONTROL;

struct IPL_LINE_FLOAT
    {
    IPL_FLOAT x1;
    IPL_FLOAT y1;
    IPL_FLOAT x2;
    IPL_FLOAT y2;
    } ;
typedef /* [helpstring] */ struct IPL_LINE_FLOAT IPL_LINE_FLOAT;

struct IPL_POINT_FLOAT
    {
    IPL_FLOAT x;
    IPL_FLOAT y;
    } ;
typedef /* [helpstring] */ struct IPL_POINT_FLOAT IPL_POINT_FLOAT;

struct GMM_ARC
    {
    IPL_FLOAT x;
    IPL_FLOAT y;
    IPL_FLOAT radius;
    IPL_ULONG subArcs;
    IPL_FLOAT *pfStartAngles;
    IPL_FLOAT *pfIncAngles;
    } ;
typedef /* [helpstring] */ struct GMM_ARC GMM_ARC;

struct GMM_CORNER
    {
    IPL_FLOAT x;
    IPL_FLOAT y;
    IPL_FLOAT openingAngle;
    IPL_FLOAT bisector;
    IPL_LINE_FLOAT line1;
    IPL_LINE_FLOAT line2;
    } ;
typedef /* [helpstring] */ struct GMM_CORNER GMM_CORNER;

struct GMM_MATCH
    {
    IPL_FLOAT x;
    IPL_FLOAT y;
    IPL_FLOAT r;
    IPL_FLOAT s;
    IPL_FLOAT score;
    IPL_ULONG foundArcs;
    IPL_ULONG foundCorners;
    GMM_FEATUREHANDLE *pArcHandles;
    GMM_FEATUREHANDLE *pCornerHandles;
    GMM_ARC *pSceneArcs;
    GMM_CORNER *pSceneCorners;
    } ;
typedef /* [helpstring] */ struct GMM_MATCH GMM_MATCH;


EXTERN_C const IID LIBID_vl_gmm;


#ifndef __vl_gmm_MODULE_DEFINED__
#define __vl_gmm_MODULE_DEFINED__


/* module vl_gmm */
/* [dllname][uuid] */ 

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall GMM_ModelAlloc( 
    /* [full][out] */ GMM_MODELHANDLE *phModel);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall GMM_ModelCreateUserDefined( 
    /* [in] */ GMM_MODELHANDLE hModel,
    /* [in] */ IPL_ULONG Width,
    /* [in] */ IPL_ULONG Height);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall GMM_ModelCreateFromImage( 
    /* [in] */ GMM_MODELHANDLE hModel,
    /* [in] */ IPL_BUFHANDLE hBuffer,
    /* [in] */ IPL_SHORT Number,
    /* [in] */ IPL_ULONG Threshold);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall GMM_ModelCreateFromFile( 
    /* [in] */ GMM_MODELHANDLE hModel,
    /* [full][in] */ IPL_CHAR *pszFileName);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall GMM_ModelSetImage( 
    /* [in] */ GMM_MODELHANDLE hModel,
    /* [in] */ IPL_BUFHANDLE hBuffer);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall GMM_ModelGetImage( 
    /* [in] */ GMM_MODELHANDLE hModel,
    /* [full][out][in] */ IPL_BUFHANDLE *phBuffer);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall GMM_ModelFree( 
    /* [in] */ GMM_MODELHANDLE hModel);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall GMM_ModelIgnoreRect( 
    /* [in] */ GMM_MODELHANDLE hModel,
    /* [full][in] */ const IPL_RECT *Rect);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall GMM_ModelUseRect( 
    /* [in] */ GMM_MODELHANDLE hModel,
    /* [full][in] */ const IPL_RECT *Rect);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall GMM_ModelGetMask( 
    /* [in] */ GMM_MODELHANDLE hModel,
    /* [full][out][in] */ IPL_BUFHANDLE *phBuffer);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall GMM_ModelSetMask( 
    /* [in] */ GMM_MODELHANDLE hModel,
    /* [in] */ IPL_BUFHANDLE hBuffer);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall GMM_ModelGetEdgePoints( 
    /* [in] */ GMM_MODELHANDLE hModel,
    /* [full][out][in] */ IPL_BUFHANDLE *phBuffer);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall GMM_ModelSetEdgePoints( 
    /* [in] */ GMM_MODELHANDLE hModel,
    /* [in] */ IPL_BUFHANDLE hBuffer);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall GMM_ModelCountEdgePoints( 
    /* [in] */ GMM_MODELHANDLE hModel,
    /* [full][out] */ IPL_ULONG *pCount);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall GMM_ModelSelectEdgePoints( 
    /* [in] */ GMM_MODELHANDLE hModel,
    /* [in] */ IPL_ULONG Threshold);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall GMM_ModelFindFeatures( 
    /* [in] */ GMM_MODELHANDLE hModel,
    /* [in] */ IPL_SHORT Number);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall GMM_ModelCountCorners( 
    /* [in] */ GMM_MODELHANDLE hModel,
    /* [full][out] */ IPL_ULONG *pCount);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall GMM_ModelCountArcs( 
    /* [in] */ GMM_MODELHANDLE hModel,
    /* [full][out] */ IPL_ULONG *pCount);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall GMM_ModelGetCornerHandles( 
    /* [in] */ GMM_MODELHANDLE hModel,
    /* [full][out][in] */ GMM_FEATUREHANDLE *pHandles);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall GMM_ModelGetCorner( 
    /* [in] */ GMM_MODELHANDLE hModel,
    /* [in] */ GMM_FEATUREHANDLE hFeature,
    /* [full][out][in] */ GMM_CORNER *pCorner);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall GMM_ModelGetArcHandles( 
    /* [in] */ GMM_MODELHANDLE hModel,
    /* [full][out] */ GMM_FEATUREHANDLE *pHandles);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall GMM_ModelGetArc( 
    /* [in] */ GMM_MODELHANDLE hModel,
    /* [in] */ GMM_FEATUREHANDLE hFeature,
    /* [full][out][in] */ GMM_ARC *pArc);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall GMM_ModelFreeArc( 
    /* [in] */ GMM_MODELHANDLE hModel,
    /* [full][in] */ GMM_ARC *pArc);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall GMM_ModelAddCorner( 
    /* [in] */ GMM_MODELHANDLE hModel,
    /* [full][in] */ GMM_CORNER *pCorner,
    /* [full][out] */ GMM_FEATUREHANDLE *phFeature);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall GMM_ModelAddArc( 
    /* [in] */ GMM_MODELHANDLE hModel,
    /* [full][in] */ GMM_ARC *pArc,
    /* [full][out] */ GMM_FEATUREHANDLE *phFeature);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall GMM_ModelRemoveCorner( 
    /* [in] */ GMM_MODELHANDLE hModel,
    /* [in] */ GMM_FEATUREHANDLE hFeature);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall GMM_ModelRemoveArc( 
    /* [in] */ GMM_MODELHANDLE hModel,
    /* [in] */ GMM_FEATUREHANDLE hFeature);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall GMM_ModelControl( 
    /* [in] */ GMM_MODELHANDLE hModel,
    /* [in] */ GMM_MODEL_CONTROL Item,
    /* [full][out] */ IPL_VOID *pParam);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall GMM_ModelInquire( 
    /* [in] */ GMM_MODELHANDLE hModel,
    /* [in] */ GMM_MODEL_CONTROL Item,
    /* [full][out] */ IPL_VOID *pParam);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall GMM_ModelSave( 
    /* [in] */ GMM_MODELHANDLE hModel,
    /* [full][in] */ IPL_CHAR *pszFileName);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall GMM_ModelCheckValidity( 
    /* [in] */ GMM_MODELHANDLE hModel,
    /* [full][out] */ IPL_BOOL *pIsValid);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall GMM_MatcherAlloc( 
    /* [full][out] */ GMM_MATCHERHANDLE *phMatcher);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall GMM_MatcherFree( 
    /* [in] */ GMM_MATCHERHANDLE hMatcher);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall GMM_MatcherControl( 
    /* [in] */ GMM_MATCHERHANDLE hMatcher,
    /* [in] */ GMM_MATCHER_CONTROL Item,
    /* [full][in] */ IPL_VOID *pParam);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall GMM_MatcherInquire( 
    /* [in] */ GMM_MATCHERHANDLE hMatcher,
    /* [in] */ GMM_MATCHER_CONTROL Item,
    /* [full][out] */ IPL_VOID *pParam);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall GMM_MatcherFindModel( 
    /* [in] */ GMM_MATCHERHANDLE hMatcher,
    /* [in] */ GMM_MODELHANDLE hModel,
    /* [in] */ IPL_BUFHANDLE hBuffer);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall GMM_MatcherGetMatches( 
    /* [in] */ GMM_MATCHERHANDLE hMatcher,
    /* [full][out] */ GMM_MATCH **ppMatches,
    /* [full][out] */ IPL_ULONG *pCount);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall GMM_MatcherGetSceneEdgePoints( 
    /* [in] */ GMM_MATCHERHANDLE hMatcher,
    /* [in] */ GMM_MATCH *pMatch,
    /* [full][out] */ IPL_POINT *pPoints);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall GMM_MatcherFreeMatches( 
    /* [in] */ GMM_MATCHERHANDLE hMatcher,
    /* [full][in] */ GMM_MATCH *pMatches);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall GMM_CheckLic( void);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall GMM_GetVersion( 
    /* [full][in] */ const IPL_CHAR *Buffer,
    /* [in] */ IPL_INT Bytes);

#endif /* __vl_gmm_MODULE_DEFINED__ */
#endif /* __vl_gmm_LIBRARY_DEFINED__ */

/* interface __MIDL_itf_vl_gmm_0119 */
/* [local] */ 


#ifdef MVIMPACT_H_ // include guard of the main C++ header
	} // namespace mvIMPACT_C
} // namespace mvIMPACT
#endif // #ifdef MVIMPACT_H_



extern RPC_IF_HANDLE __MIDL_itf_vl_gmm_0119_v0_0_c_ifspec;
extern RPC_IF_HANDLE __MIDL_itf_vl_gmm_0119_v0_0_s_ifspec;

/* Additional Prototypes for ALL interfaces */

/* end of Additional Prototypes */

#ifdef __cplusplus
}
#endif

#endif


