




#include "rpc.h"
#include "rpcndr.h"

#ifndef __RPCNDR_H_VERSION__
#error this stub requires an updated version of <rpcndr.h>
#endif // __RPCNDR_H_VERSION__


#ifndef __vl_ipl_h__
#define __vl_ipl_h__

#if defined(_MSC_VER) && (_MSC_VER >= 1020)
#pragma once
#endif

/* Forward Declarations */ 

/* header files for imported files */
#include "vl_base.h"

#ifdef __cplusplus
extern "C"{
#endif 

void * __RPC_USER MIDL_user_allocate(size_t);
void __RPC_USER MIDL_user_free( void * ); 

/* interface __MIDL_itf_vl_ipl_0000 */
/* [local] */ 

//=--------------------------------------------------------------------------=
// (C) Copyright 2002-2008 MATRIX VISION GmbH.  All Rights Reserved.
// (C) Copyright 1997-2008 Impuls computergesttzte Bildanalyse GmbH.
//
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY OF
// ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO
// THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
// PARTICULAR PURPOSE.
//=--------------------------------------------------------------------------=

#if defined(__BORLANDC__)
#pragma option -b
#endif
#if !defined(NO_VL_IPL_AUTOLINK)
#if defined(__BORLANDC__)
#pragma comment(lib,"vlb_ipl.lib")
#pragma message ("Automatically linking with vlb_ipl.lib")
#else
#if defined(_M_X64)
#pragma comment(lib,"vl_ipl64.lib")
#pragma message ("Automatically linking with vl_ipl64.lib")
#else
#pragma comment(lib,"vl_ipl.lib")
#pragma message ("Automatically linking with vl_ipl.lib")
#endif
#endif
#endif


#ifdef MVIMPACT_H_ // include guard of the main C++ header
namespace mvIMPACT {
	namespace mvIMPACT_C {
#endif // #ifdef MVIMPACT_H_

#ifdef VL_IPL_COMPILING
// when compiling the dll
#define VL_IPL_DLLEXPORT	__declspec(dllexport)
#undef __MIDL_DECLSPEC_DLLEXPORT
#define __MIDL_DECLSPEC_DLLEXPORT	__declspec(dllexport)
#undef __MIDL_DECLSPEC_DLLIMPORT
#define __MIDL_DECLSPEC_DLLIMPORT	__declspec(dllexport)
#else
// when using the dll
#define VL_IPL_DLLEXPORT	__declspec(dllimport)
#undef __MIDL_DECLSPEC_DLLEXPORT
#define __MIDL_DECLSPEC_DLLEXPORT	__declspec(dllimport)
#undef __MIDL_DECLSPEC_DLLIMPORT
#define __MIDL_DECLSPEC_DLLIMPORT	__declspec(dllimport)
#endif


extern RPC_IF_HANDLE __MIDL_itf_vl_ipl_0000_v0_0_c_ifspec;
extern RPC_IF_HANDLE __MIDL_itf_vl_ipl_0000_v0_0_s_ifspec;


#ifndef __vl_ipl_LIBRARY_DEFINED__
#define __vl_ipl_LIBRARY_DEFINED__

/* library vl_ipl */
/* [helpstring][version][uuid] */ 

/* [helpstring] */ 
enum IPL_ERROR
    {	IPL_GENERATE_ERROR	= -1000,
	IPL_THRESHOLD_NOT_FOUND	= -1001,
	IPL_DIVIDE_BY_ZERO_ERROR	= -1002,
	IPL_STRUCT_ELEMENT_ERROR	= -1003,
	IPL_RANK_INDEX_ERROR	= -1004,
	IPL_PARAM_OUT_OF_RANGE	= -1005
    } ;
typedef /* [hidden] */ enum IPL_ERROR IPL_ERROR;

/* [helpstring] */ 
enum IPL_PREDEFINED_KERNEL
    {	IPL_HOR_EDGE	= -1,
	IPL_VER_EDGE	= -2,
	IPL_SHARPEN_1	= -3,
	IPL_SHARPEN_2	= -4,
	IPL_SMOOTH_1	= -5,
	IPL_SMOOTH_2	= -6,
	IPL_SOBEL	= -7,
	IPL_PREWITT	= -8,
	IPL_MORPH_GRAD	= -9,
	IPL_LAPLACE_1	= -10,
	IPL_LAPLACE_2	= -11,
	IPL_MIDRANGE_1	= -12,
	IPL_MIDRANGE_2	= -13,
	IPL_SMOOTH_3	= -14,
	IPL_SMOOTH_4	= -15,
	IPL_SHARPEN_3	= -16,
	IPL_SHARPEN_4	= -17,
	IPL_DIAG_EDGE_1	= -18,
	IPL_DIAG_EDGE_2	= -19,
	IPL_LAPLACE_3	= -20,
	IPL_LAPLACE_4	= -21
    } ;
typedef /* [hidden] */ enum IPL_PREDEFINED_KERNEL IPL_PREDEFINED_KERNEL;

/* [helpstring] */ 
enum IPL_LUTSEGMENT
    {	IPL_LN	= 0,
	IPL_SQRT	= 1,
	IPL_SQUARE	= 2,
	IPL_EXP	= 3
    } ;
typedef /* [hidden] */ enum IPL_LUTSEGMENT IPL_LUTSEGMENT;

/* [helpstring] */ 
enum IPL_MORPH_OPMODE
    {	IPL_GRAYSCALE	= 0,
	IPL_BINARY	= 1
    } ;
typedef /* [hidden] */ enum IPL_MORPH_OPMODE IPL_MORPH_OPMODE;

/* [helpstring] */ 
enum IPL_FLIPMODE
    {	IPL_HOR	= 0,
	IPL_VER	= 1,
	IPL_HOR_AND_VER	= 2,
	IPL_90_CLOCKWISE	= 3,
	IPL_90_ANTI_CLOCKWISE	= 4
    } ;
typedef /* [hidden] */ enum IPL_FLIPMODE IPL_FLIPMODE;

/* [helpstring] */ 
enum IPL_MORPH_DISTANCE
    {	IPL_DISTANCE	= 21,
	IPL_MEDIAL_AXIS	= 22
    } ;
typedef /* [hidden] */ enum IPL_MORPH_DISTANCE IPL_MORPH_DISTANCE;

/* [helpstring] */ 
enum IPL_RECONSTRUCT_MODE
    {	IPL_RECONSTRUCT_MARKER	= 10,
	IPL_KILL_BORDER_BLOBS	= 11,
	IPL_FILL_HOLES_BLOBS	= 12,
	IPL_EXTRACT_HOLES_BLOBS	= 13,
	IPL_TOP	= 0x10000000,
	IPL_BOTTOM	= 0x20000000,
	IPL_LEFT	= 0x40000000,
	IPL_RIGHT	= 0x80000000,
	IPL_ALL	= 0xf0000000
    } ;
typedef /* [hidden] */ enum IPL_RECONSTRUCT_MODE IPL_RECONSTRUCT_MODE;

/* [helpstring] */ 
enum IPL_KERNEL_ROTATE
    {	IPL_ROTATE_KERNEL	= 1,
	IPL_DONOT_ROTATE_KERNEL	= 0,
	IPL_ROTATE_KERNEL_ITERATION	= 2,
	IPL_ROTATE_KERNEL_CONVERGENCE	= 3
    } ;
typedef /* [hidden] */ enum IPL_KERNEL_ROTATE IPL_KERNEL_ROTATE;

/* [helpstring] */ 
enum IPL_POINT_MODE
    {	IPL_ADD	= 0,
	IPL_SUB	= 1,
	IPL_MUL	= 2,
	IPL_DIV	= 3,
	IPL_SUB_ABS	= 4,
	IPL_SUB_CLIP	= 5,
	IPL_AND	= 6,
	IPL_OR	= 7,
	IPL_NAND	= 8,
	IPL_NOR	= 9,
	IPL_XOR	= 10,
	IPL_XNOR	= 11,
	IPL_NXOR	= 11,
	IPL_MAX	= 12,
	IPL_MIN	= 13,
	IPL_EQUAL	= 14,
	IPL_NOT_EQUAL	= 15,
	IPL_GREATER	= 16,
	IPL_GREATER_OR_EQUAL	= 17,
	IPL_LESS	= 18,
	IPL_LESS_OR_EQUAL	= 19,
	IPL_ADD_AVR	= 20,
	IPL_ADD_SAT	= 21,
	IPL_SUB_STRETCHED	= 22,
	IPL_SUB_OFFSET	= 23,
	IPL_SUB_NEG	= 24,
	IPL_MUL_STRETCHED	= 25,
	IPL_MUL_SAT	= 26,
	IPL_DIV_STRETCHED	= 27,
	IPL_COPY_COND	= 28,
	IPL_ANDN	= 29,
	IPL_NANDN	= 30,
	IPL_ORN	= 31,
	IPL_NORN	= 32,
	IPL_NOT	= 50,
	IPL_ABS	= 51,
	IPL_CLIP	= 52,
	IPL_NEG	= 53,
	IPL_ADD_CST	= 100,
	IPL_SUB_SRC1_CST	= 101,
	IPL_SUB_CST_SRC2	= 102,
	IPL_MUL_CST	= 103,
	IPL_DIV_SRC1_CST	= 104,
	IPL_DIV_CST_SRC2	= 105,
	IPL_SUB_ABS_CST	= 106,
	IPL_SUB_CLIP_CST	= 107,
	IPL_AND_CST	= 108,
	IPL_OR_CST	= 109,
	IPL_NAND_CST	= 110,
	IPL_NOR_CST	= 111,
	IPL_XOR_CST	= 112,
	IPL_XNOR_CST	= 113,
	IPL_NXOR_CST	= 113,
	IPL_MAX_CST	= 114,
	IPL_MIN_CST	= 115,
	IPL_EQUAL_CST	= 116,
	IPL_NOT_EQUAL_CST	= 117,
	IPL_GREATER_CST	= 118,
	IPL_GREATER_OR_EQUAL_CST	= 119,
	IPL_LESS_CST	= 120,
	IPL_LESS_OR_EQUAL_CST	= 121,
	IPL_COPY_COND_CST	= 122,
	IPL_PASS_CST	= 150
    } ;
typedef /* [hidden] */ enum IPL_POINT_MODE IPL_POINT_MODE;

/* [helpstring] */ 
enum IPL_DEFAULT_KERNEL
    {	IPL_RECT_3x3	= -101,
	IPL_CROSS_3x3	= -102,
	IPL_MEDIAN	= -5,
	IPL_CONVERGENCE	= -6
    } ;
typedef /* [hidden] */ enum IPL_DEFAULT_KERNEL IPL_DEFAULT_KERNEL;

/* [helpstring] */ 
enum IPL_STAT_MODE
    {	IPL_MIN_VALUE	= 0,
	IPL_MAX_VALUE	= 1,
	IPL_MIN_AND_MAX_VALUE	= 2,
	IPL_COUNT_DIFFERENCES	= 3,
	IPL_MEAN_GRAY_VALUE	= 4,
	IPL_STANDARD_DEVIATION	= 5
    } ;
typedef /* [hidden] */ enum IPL_STAT_MODE IPL_STAT_MODE;

/* [helpstring] */ 
enum IPL_SIZE_MODE
    {	IPL_SIZE_GREATER	= 0,
	IPL_SIZE_SMALLER	= 1,
	IPL_SIZE_LEAVE_MAX	= 2
    } ;
typedef /* [hidden] */ enum IPL_SIZE_MODE IPL_SIZE_MODE;

/* [helpstring] */ 
enum IPL_OBJECT_STATES
    {	IPL_SIZE_WHITE	= 0,
	IPL_SIZE_BLACK	= 1,
	IPL_SIZE_NOT_EQUAL_ZERO	= 2
    } ;
typedef /* [hidden] */ enum IPL_OBJECT_STATES IPL_OBJECT_STATES;

/* [helpstring] */ 
enum IPL_EQUALIZE_MODE
    {	IPL_UNIFORM	= 0,
	IPL_HYPER_LOG	= 1,
	IPL_HYPER_CUBE	= 2,
	IPL_EXPONENTIAL	= 3,
	IPL_RAYLEIGH	= 4
    } ;
typedef /* [hidden] */ enum IPL_EQUALIZE_MODE IPL_EQUALIZE_MODE;

/* [helpstring] */ 
enum IPL_LOCMIN_MODE
    {	IPL_SINGLE_THRES	= 0,
	IPL_MULT_THRES	= 1
    } ;
typedef /* [hidden] */ enum IPL_LOCMIN_MODE IPL_LOCMIN_MODE;

/* [helpstring] */ 
enum IPL_PROFILE_MODE
    {	IPL_XPROF	= 0,
	IPL_YPROF	= 1
    } ;
typedef /* [hidden] */ enum IPL_PROFILE_MODE IPL_PROFILE_MODE;

/* [helpstring] */ 
enum IPL_TOPHAT_MODE
    {	IPL_WHITE_OBJECTS	= 0,
	IPL_BLACK_OBJECTS	= 1
    } ;
typedef /* [hidden] */ enum IPL_TOPHAT_MODE IPL_TOPHAT_MODE;

/* [helpstring] */ 
enum IPL_SHADING_MODE
    {	IPL_MULTIPLICATIVE	= 0,
	IPL_MULTIPLICATIVE_BLACK_CST	= 1,
	IPL_ADDITIVE	= 2,
	IPL_ADDITIVE_BLACK_CST	= 3
    } ;
typedef /* [hidden] */ enum IPL_SHADING_MODE IPL_SHADING_MODE;

/* [helpstring] */ 
enum IPL_FFT_DIR
    {	IPL_FORWARD_FFT	= 1,
	IPL_INVERSE_FFT	= 0
    } ;
typedef /* [hidden] */ enum IPL_FFT_DIR IPL_FFT_DIR;

/* [helpstring] */ 
enum IPL_FFT_MODE
    {	IPL_2D_FFT	= 2,
	IPL_1D_FFT	= 3
    } ;
typedef /* [hidden] */ enum IPL_FFT_MODE IPL_FFT_MODE;

/* [helpstring] */ 
enum IPL_FFT_SPECTRUM
    {	IPL_AMPL_SPEC	= 10,
	IPL_POWER_SPEC	= 11,
	IPL_PHASE_SPEC	= 12
    } ;
typedef /* [hidden] */ enum IPL_FFT_SPECTRUM IPL_FFT_SPECTRUM;

/* [helpstring] */ 
enum IPL_FFT_DATA
    {	IPL_1D_DATA	= 1,
	IPL_2D_DATA	= 2
    } ;
typedef /* [hidden] */ enum IPL_FFT_DATA IPL_FFT_DATA;

/* [helpstring] */ 
enum IPL_PRESET_LUT_TYPE
    {	IPL_LUT_GRAY_FIRST	= 1,
	IPL_LUT_GRAY_LINEAR	= 1,
	IPL_LUT_GRAY_INVERSE	= 2,
	IPL_LUT_GRAY_SQUARE	= 3,
	IPL_LUT_GRAY_SQARE_ROOT	= 4,
	IPL_LUT_GRAY_EXP	= 5,
	IPL_LUT_GRAY_LOG	= 6,
	IPL_LUT_GRAY_GAMMA	= 7,
	IPL_LUT_GRAY_INVERSE_GAMMA	= 8,
	IPL_LUT_GRAY_LAST	= 8,
	IPL_LUT_COL_FIRST	= 100,
	IPL_LUT_COL_CONTOUR_8	= 101,
	IPL_LUT_COL_CONTOUR_16	= 102,
	IPL_LUT_COL_DISTRIBUTED	= 103,
	IPL_LUT_COL_RAINBOW	= 104,
	IPL_LUT_COL_FIRE	= 105,
	IPL_LUT_COL_GRASS	= 106,
	IPL_LUT_COL_ICE	= 107,
	IPL_LUT_COL_LAST	= 108
    } ;
typedef /* [hidden] */ enum IPL_PRESET_LUT_TYPE IPL_PRESET_LUT_TYPE;

/* [helpstring] */ 
enum IPL_FFT_FUNCTION
    {	IPL_LOW_PASS	= 1,
	IPL_HIGH_PASS	= 2,
	IPL_CUT_SPIKE	= 3,
	IPL_BOOST_SPIKE	= 4
    } ;
typedef /* [hidden] */ enum IPL_FFT_FUNCTION IPL_FFT_FUNCTION;

/* [helpstring] */ 
enum IPL_FFT_WINDOW
    {	IPL_SQUARE_WINDOW	= 1,
	IPL_HANNING_WINDOW	= 2,
	IPL_PARZEN_WINDOW	= 3,
	IPL_WELCH_WINDOW	= 4
    } ;
typedef /* [hidden] */ enum IPL_FFT_WINDOW IPL_FFT_WINDOW;

/* [helpstring] */ 
enum IPL_ADAPTIVE_MODE
    {	IPL_REGION	= 2,
	IPL_NEIGHBORHOOD	= 4
    } ;
typedef /* [hidden] */ enum IPL_ADAPTIVE_MODE IPL_ADAPTIVE_MODE;

/* [helpstring] */ 
enum IPL_WATERSHED_MODE
    {	IPL_SPLIT_OBJECTS	= 1,
	IPL_SPLIT_BACKGROUND	= 2,
	IPL_MERGE	= 0x40000000,
	IPL_SEPARATE	= 0x80000000
    } ;
typedef /* [hidden] */ enum IPL_WATERSHED_MODE IPL_WATERSHED_MODE;

/* [helpstring] */ 
enum IPL_DITHER_MODE
    {	IPL_NO_DITHER	= 0,
	IPL_DITHER_1	= 1,
	IPL_DITHER_2	= 2,
	IPL_DITHER_4	= 3
    } ;
typedef /* [hidden] */ enum IPL_DITHER_MODE IPL_DITHER_MODE;

/* [helpstring] */ 
enum IPL_PRESET_TYPE
    {	IPL_PRESET_CONSTANT	= 0,
	IPL_PRESET_CHECKER	= 1,
	IPL_PRESET_WEDGE	= 2,
	IPL_PRESET_RING	= 3,
	IPL_PRESET_NOISE	= 4,
	IPL_PRESET_LUT	= 5
    } ;
typedef /* [hidden] */ enum IPL_PRESET_TYPE IPL_PRESET_TYPE;

/* [helpstring] */ 
enum IPL_PRESET_CURVETYPE
    {	IPL_PRESET_LINEAR	= 0,
	IPL_PRESET_COS	= 1,
	IPL_PRESET_COS2	= 2,
	IPL_PRESET_GAUSS	= 3
    } ;
typedef /* [hidden] */ enum IPL_PRESET_CURVETYPE IPL_PRESET_CURVETYPE;

/* [helpstring] */ 
enum IPL_PT_SCALE_MODE
    {	IPL_WRAP_AROUND	= 0
    } ;
typedef /* [hidden] */ enum IPL_PT_SCALE_MODE IPL_PT_SCALE_MODE;

struct IPL_THRESHOLD
    {
    IPL_LONG threshold_value;
    IPL_POINT_MODE threshold_type;
    } ;
typedef /* [helpstring] */ struct IPL_THRESHOLD IPL_THRESHOLD;

struct IPL_SHUFFLE
    {
    IPL_LONG from;
    IPL_LONG to;
    } ;
typedef /* [helpstring] */ struct IPL_SHUFFLE IPL_SHUFFLE;

struct IPL_PRESET_GEOTRANS
    {
    IPL_DOUBLE sx;
    IPL_DOUBLE sy;
    IPL_DOUBLE tx;
    IPL_DOUBLE ty;
    IPL_DOUBLE phi;
    } ;
typedef /* [helpstring] */ struct IPL_PRESET_GEOTRANS IPL_PRESET_GEOTRANS;

struct IPL_PRESET_VALUETRANS
    {
    IPL_DOUBLE black;
    IPL_DOUBLE white;
    IPL_PRESET_CURVETYPE type;
    } ;
typedef /* [helpstring] */ struct IPL_PRESET_VALUETRANS IPL_PRESET_VALUETRANS;

struct IPL_PRESET_CONSTANT_DATA
    {
    IPL_PRESET_VALUETRANS val;
    } ;
typedef /* [helpstring] */ struct IPL_PRESET_CONSTANT_DATA IPL_PRESET_CONSTANT_DATA;

struct IPL_PRESET_CHECKER_DATA
    {
    IPL_PRESET_VALUETRANS val;
    IPL_PRESET_GEOTRANS geo;
    } ;
typedef /* [helpstring] */ struct IPL_PRESET_CHECKER_DATA IPL_PRESET_CHECKER_DATA;

struct IPL_PRESET_WEDGE_DATA
    {
    IPL_PRESET_VALUETRANS val;
    IPL_PRESET_GEOTRANS geo;
    } ;
typedef /* [helpstring] */ struct IPL_PRESET_WEDGE_DATA IPL_PRESET_WEDGE_DATA;

struct IPL_PRESET_RING_DATA
    {
    IPL_PRESET_VALUETRANS val;
    IPL_PRESET_GEOTRANS geo;
    } ;
typedef /* [helpstring] */ struct IPL_PRESET_RING_DATA IPL_PRESET_RING_DATA;

struct IPL_PRESET_NOISE_DATA
    {
    IPL_PRESET_VALUETRANS val;
    IPL_LONG seed;
    } ;
typedef /* [helpstring] */ struct IPL_PRESET_NOISE_DATA IPL_PRESET_NOISE_DATA;

struct IPL_PRESET_LUT_DATA
    {
    IPL_PRESET_LUT_TYPE type;
    IPL_DOUBLE gamma;
    } ;
typedef /* [helpstring] */ struct IPL_PRESET_LUT_DATA IPL_PRESET_LUT_DATA;

union IPL_PRESET_DATA
    {
    IPL_PRESET_CONSTANT_DATA constant;
    IPL_PRESET_CHECKER_DATA checker;
    IPL_PRESET_WEDGE_DATA wedge;
    IPL_PRESET_RING_DATA ring;
    IPL_PRESET_NOISE_DATA noise;
    IPL_PRESET_LUT_DATA lut;
    } ;
typedef /* [helpstring] */ union IPL_PRESET_DATA IPL_PRESET_DATA;


EXTERN_C const IID LIBID_vl_ipl;


#ifndef __vl_ipl_MODULE_DEFINED__
#define __vl_ipl_MODULE_DEFINED__


/* module vl_ipl */
/* [dllname][uuid] */ 

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall IPL_Convolve( 
    /* [in] */ IPL_BUFHANDLE Source,
    /* [full][out][in] */ IPL_BUFHANDLE *Destination,
    /* [in] */ IPL_BUFHANDLE Kernel);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall IPL_LtGenerate( 
    /* [full][out][in] */ IPL_BUFHANDLE *Lut,
    /* [in] */ IPL_LUTSEGMENT Func,
    /* [in] */ IPL_ULONG Xs,
    /* [in] */ IPL_ULONG Ys,
    /* [in] */ IPL_ULONG Xe,
    /* [in] */ IPL_ULONG Ye);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall IPL_LtGenerateLGC( 
    /* [full][out][in] */ IPL_BUFHANDLE *Lut,
    /* [in] */ IPL_ULONG Width,
    /* [in] */ IPL_ULONG Height,
    /* [in] */ IPL_DOUBLE Contrast,
    /* [in] */ IPL_DOUBLE Luminance,
    /* [in] */ IPL_DOUBLE Gamma);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall IPL_LtRamp( 
    /* [full][out][in] */ IPL_BUFHANDLE *Lut,
    /* [in] */ IPL_ULONG Xs,
    /* [in] */ IPL_ULONG Ys,
    /* [in] */ IPL_ULONG Xe,
    /* [in] */ IPL_ULONG Ye);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall IPL_MoOpen( 
    /* [in] */ IPL_BUFHANDLE Source,
    /* [full][out][in] */ IPL_BUFHANDLE *Dest,
    /* [in] */ IPL_BUFHANDLE Struct,
    /* [in] */ IPL_ULONG NbIterations,
    /* [in] */ IPL_MORPH_OPMODE Mode);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall IPL_MoClose( 
    /* [in] */ IPL_BUFHANDLE Source,
    /* [full][out][in] */ IPL_BUFHANDLE *Dest,
    /* [in] */ IPL_BUFHANDLE Struct,
    /* [in] */ IPL_ULONG NbIterations,
    /* [in] */ IPL_MORPH_OPMODE Mode);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall IPL_MoConnectivity( 
    /* [in] */ IPL_BUFHANDLE Source,
    /* [full][out][in] */ IPL_BUFHANDLE *Dest,
    /* [in] */ IPL_BUFHANDLE Lut);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall IPL_MoDilate( 
    /* [in] */ IPL_BUFHANDLE Source,
    /* [full][out][in] */ IPL_BUFHANDLE *Dest,
    /* [in] */ IPL_BUFHANDLE Struct,
    /* [in] */ IPL_ULONG NbIterations,
    /* [in] */ IPL_MORPH_OPMODE Mode);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall IPL_MoDistance( 
    /* [in] */ IPL_BUFHANDLE Source,
    /* [full][out][in] */ IPL_BUFHANDLE *Dest,
    /* [in] */ IPL_MORPH_DISTANCE Mode);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall IPL_MoErode( 
    /* [in] */ IPL_BUFHANDLE Source,
    /* [full][out][in] */ IPL_BUFHANDLE *Dest,
    /* [in] */ IPL_BUFHANDLE Struct,
    /* [in] */ IPL_ULONG NbIterations,
    /* [in] */ IPL_MORPH_OPMODE Mode);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall IPL_MoFillObject( 
    /* [in] */ IPL_BUFHANDLE BufHandle,
    /* [in] */ IPL_BUFHANDLE Struct,
    /* [in] */ IPL_ULONG Band,
    /* [in] */ IPL_ULONG Z,
    /* [in] */ IPL_ULONG Time,
    /* [in] */ IPL_ULONG X,
    /* [in] */ IPL_ULONG Y,
    /* [in] */ IPL_ULONG ObjectIndex,
    /* [in] */ IPL_ULONG BackgroundIndex,
    /* [in] */ IPL_ULONG FillIndex);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall IPL_MoHitOrMiss( 
    /* [in] */ IPL_BUFHANDLE Source,
    /* [full][out][in] */ IPL_BUFHANDLE *Dest,
    /* [in] */ IPL_BUFHANDLE Struct,
    /* [in] */ IPL_MORPH_OPMODE Mode);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall IPL_MoLabel( 
    /* [in] */ IPL_BUFHANDLE Source,
    /* [full][out][in] */ IPL_BUFHANDLE *Dest,
    /* [in] */ IPL_ULONG StartLabel,
    /* [in] */ IPL_LABEL_MODE Mode,
    /* [full][out] */ IPL_ULONG *NbObjects);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall IPL_MoSizeFilter( 
    /* [in] */ IPL_BUFHANDLE Source,
    /* [full][out][in] */ IPL_BUFHANDLE *Destination,
    /* [in] */ IPL_SIZE_MODE FilterMode,
    /* [in] */ IPL_LONG SizeThreshold1,
    /* [in] */ IPL_LONG SizeThreshold2,
    /* [in] */ IPL_OBJECT_STATES ObjectState,
    /* [in] */ IPL_DEFAULT_KERNEL LatticeMode,
    /* [full][out][in] */ IPL_ULONG *ValuePtr);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall IPL_MoReconstruct( 
    /* [in] */ IPL_BUFHANDLE Source,
    /* [full][out][in] */ IPL_BUFHANDLE *Dest,
    /* [in] */ IPL_BUFHANDLE Marker,
    /* [in] */ IPL_RECONSTRUCT_MODE Operation,
    /* [in] */ IPL_MORPH_OPMODE Mode);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall IPL_MoThick( 
    /* [in] */ IPL_BUFHANDLE Source,
    /* [full][out][in] */ IPL_BUFHANDLE *Dest,
    /* [in] */ IPL_BUFHANDLE Struct,
    /* [in] */ IPL_ULONG NbIterations,
    /* [in] */ IPL_MORPH_OPMODE Mode,
    /* [in] */ IPL_KERNEL_ROTATE RotateKernel);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall IPL_MoThin( 
    /* [in] */ IPL_BUFHANDLE Source,
    /* [full][out][in] */ IPL_BUFHANDLE *Dest,
    /* [in] */ IPL_BUFHANDLE Struct,
    /* [in] */ IPL_ULONG NbIterations,
    /* [in] */ IPL_MORPH_OPMODE Mode,
    /* [in] */ IPL_KERNEL_ROTATE RotateKernel);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall IPL_PtBufCopy( 
    /* [in] */ IPL_BUFHANDLE Source,
    /* [full][out][in] */ IPL_BUFHANDLE *Dest,
    /* [in] */ IPL_ULONG MaskSource,
    /* [in] */ IPL_ULONG MaskDest,
    /* [in] */ IPL_ULONG Shift);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall IPL_PtLutMap( 
    /* [in] */ IPL_BUFHANDLE Source1,
    /* [in] */ IPL_BUFHANDLE Source2,
    /* [full][out][in] */ IPL_BUFHANDLE *Dest,
    /* [in] */ IPL_BUFHANDLE Lut);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall IPL_PtToPoint( 
    /* [in] */ IPL_BUFHANDLE Source1,
    /* [in] */ IPL_BUFHANDLE Source2,
    /* [full][out][in] */ IPL_BUFHANDLE *Dest,
    /* [in] */ IPL_POINT_MODE Opmode);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall IPL_PtToPointMix( 
    /* [in] */ IPL_BUFHANDLE Source1,
    /* [in] */ IPL_BUFHANDLE Source2,
    /* [in] */ IPL_BUFHANDLE Source3,
    /* [full][out][in] */ IPL_BUFHANDLE *Dest,
    /* [in] */ IPL_POINT_MODE Opmode);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall IPL_Rank( 
    /* [in] */ IPL_BUFHANDLE Source,
    /* [full][out][in] */ IPL_BUFHANDLE *Dest,
    /* [in] */ IPL_BUFHANDLE Struct,
    /* [in] */ IPL_ULONG RankIndex,
    /* [in] */ IPL_MORPH_OPMODE Mode);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall IPL_StatGetBufferStatistics( 
    /* [in] */ IPL_BUFHANDLE Source1,
    /* [in] */ IPL_BUFHANDLE Source2,
    /* [in] */ IPL_BUFHANDLE Result,
    /* [in] */ IPL_STAT_MODE Mode);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall IPL_StatGetLineProfileLength( 
    /* [in] */ IPL_ULONG X0,
    /* [in] */ IPL_ULONG Y0,
    /* [in] */ IPL_ULONG X1,
    /* [in] */ IPL_ULONG Y1,
    /* [full][out] */ IPL_ULONG *Length);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall IPL_StatHistogram( 
    /* [in] */ IPL_BUFHANDLE Source,
    /* [full][out][in] */ IPL_BUFHANDLE *Dest);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall IPL_StatHistogramEqualize( 
    /* [in] */ IPL_BUFHANDLE Source,
    /* [full][out][in] */ IPL_BUFHANDLE *Dest,
    /* [in] */ IPL_EQUALIZE_MODE Mode);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall IPL_StatHistogramLocalMin( 
    /* [in] */ IPL_BUFHANDLE Source1,
    /* [full][out] */ IPL_BUFHANDLE *Min,
    /* [in] */ IPL_DOUBLE Range1,
    /* [in] */ IPL_DOUBLE Range2,
    /* [in] */ IPL_LOCMIN_MODE Mode);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall IPL_StatHistogramSmooth( 
    /* [in] */ IPL_BUFHANDLE Source,
    /* [full][out][in] */ IPL_BUFHANDLE *Dest,
    /* [in] */ IPL_ULONG NbIterations);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall IPL_StatLineProfile( 
    /* [in] */ IPL_BUFHANDLE Source,
    /* [full][out][in] */ IPL_BUFHANDLE *Prof,
    /* [in] */ IPL_ULONG X0,
    /* [in] */ IPL_ULONG Y0,
    /* [in] */ IPL_ULONG X1,
    /* [in] */ IPL_ULONG Y1);

/* [helpstring][entry] */ IPL_FRESULT __stdcall IPL_StatLineProfileImage( 
    /* [in] */ IPL_BUFHANDLE BufHandleSrc,
    /* [full][out][in] */ IPL_BUFHANDLE *BufHandleImage,
    /* [in] */ IPL_ULONG X0,
    /* [in] */ IPL_ULONG Y0,
    /* [in] */ IPL_ULONG X1,
    /* [in] */ IPL_ULONG Y1,
    /* [in] */ IPL_ULONG Size,
    /* [in] */ IPL_GEOTRANS Mode);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall IPL_StatProfile( 
    /* [in] */ IPL_BUFHANDLE Source,
    /* [full][out][in] */ IPL_BUFHANDLE *Profile,
    /* [in] */ IPL_PROFILE_MODE Mode);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall IPL_BufSetupNeighborhood( 
    /* [in] */ IPL_BUFHANDLE Source,
    /* [in] */ IPL_NBHOOD_MODE Mode,
    /* [in] */ IPL_LONG Value);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall IPL_BufGetNeighborhood( 
    /* [in] */ IPL_BUFHANDLE Source,
    /* [in] */ IPL_NBHOOD_MODE Mode,
    /* [in] */ IPL_LONG *Value);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall IPL_PtAverage( 
    /* [in] */ IPL_BUFHANDLE Source,
    /* [full][out][in] */ IPL_BUFHANDLE *Dest,
    /* [in] */ IPL_ULONG Mode);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall IPL_StatCurveProfile( 
    /* [in] */ IPL_BUFHANDLE Source,
    /* [full][out] */ IPL_BUFHANDLE *Dest,
    /* [size_is][full][in] */ const IPL_POINT *PointPtr,
    /* [in] */ IPL_ULONG NbPoints);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall IPL_MoTophat( 
    /* [in] */ IPL_BUFHANDLE Source,
    /* [full][out][in] */ IPL_BUFHANDLE *Dest,
    /* [in] */ IPL_ULONG Size,
    /* [in] */ IPL_TOPHAT_MODE Mode,
    /* [in] */ IPL_ULONG Threshold);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall IPL_PtShadingCorrection( 
    /* [in] */ IPL_BUFHANDLE Source,
    /* [full][out][in] */ IPL_BUFHANDLE *Dest,
    /* [in] */ IPL_BUFHANDLE White,
    /* [in] */ IPL_BUFHANDLE Black,
    /* [in] */ IPL_SHADING_MODE Mode);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall IPL_TrFFT( 
    /* [in] */ IPL_BUFHANDLE SourceReal,
    /* [in] */ IPL_BUFHANDLE SourceImage,
    /* [full][out][in] */ IPL_BUFHANDLE *DestReal,
    /* [full][out][in] */ IPL_BUFHANDLE *DestImag,
    /* [in] */ IPL_FFT_DIR Direction,
    /* [in] */ IPL_FFT_MODE Mode);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall IPL_TrGetSpectrum( 
    /* [in] */ IPL_BUFHANDLE SourceReal,
    /* [in] */ IPL_BUFHANDLE SourceImage,
    /* [full][out][in] */ IPL_BUFHANDLE *Dest,
    /* [in] */ IPL_FFT_SPECTRUM Spectrum,
    /* [in] */ IPL_FFT_MODE Mode,
    /* [in] */ IPL_DOUBLE Gamma);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall IPL_TrDataWindow( 
    /* [in] */ IPL_BUFHANDLE SourceReal,
    /* [in] */ IPL_BUFHANDLE SourceImage,
    /* [in] */ IPL_LONG XPosWin,
    /* [in] */ IPL_LONG YPosWin,
    /* [in] */ IPL_ULONG XSizeWin,
    /* [in] */ IPL_ULONG YSizeWin,
    /* [in] */ IPL_FFT_DATA Data,
    /* [in] */ IPL_FFT_FUNCTION FFTFunction,
    /* [in] */ IPL_FFT_WINDOW Window,
    /* [in] */ IPL_DOUBLE Scale);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall IPL_TrScale( 
    /* [in] */ IPL_BUFHANDLE Source,
    /* [full][out][in] */ IPL_BUFHANDLE *Dest,
    /* [in] */ IPL_DOUBLE ScaleX,
    /* [in] */ IPL_DOUBLE ScaleY,
    /* [in] */ IPL_GEOTRANS Mode);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall IPL_TrRotate( 
    /* [in] */ IPL_BUFHANDLE Source,
    /* [full][out][in] */ IPL_BUFHANDLE *Dest,
    /* [in] */ IPL_DOUBLE SourceCenterX,
    /* [in] */ IPL_DOUBLE SourceCenterY,
    /* [in] */ IPL_DOUBLE DestCenterX,
    /* [in] */ IPL_DOUBLE DestCenterY,
    /* [in] */ IPL_DOUBLE Angle,
    /* [in] */ IPL_GEOTRANS Mode);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall IPL_TrFlip( 
    /* [in] */ IPL_BUFHANDLE Source,
    /* [full][out][in] */ IPL_BUFHANDLE *Dest,
    /* [in] */ IPL_FLIPMODE Mode);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall IPL_TrUnwind( 
    /* [in] */ IPL_BUFHANDLE Source,
    /* [full][out][in] */ IPL_BUFHANDLE *Dest,
    /* [in] */ IPL_LONG XExtent,
    /* [in] */ IPL_LONG YExtent,
    /* [in] */ IPL_DOUBLE XCen,
    /* [in] */ IPL_DOUBLE YCen,
    /* [in] */ IPL_DOUBLE FromAngle,
    /* [in] */ IPL_DOUBLE ToAngle,
    /* [in] */ IPL_LONG FromSize,
    /* [in] */ IPL_LONG ToSize,
    /* [in] */ IPL_DOUBLE AngleStep,
    /* [in] */ IPL_DOUBLE RotationAngle,
    /* [in] */ IPL_GEOTRANS OperationMode);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall IPL_PtDynamicThreshold( 
    /* [in] */ IPL_BUFHANDLE Source,
    /* [full][out][in] */ IPL_BUFHANDLE *Dest,
    /* [in] */ IPL_ADAPTIVE_MODE Mode,
    /* [in] */ IPL_ULONG XSize,
    /* [in] */ IPL_ULONG YSize,
    /* [in] */ IPL_ULONG Contrast);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall IPL_TrTranslate( 
    /* [in] */ IPL_BUFHANDLE Source,
    /* [full][out][in] */ IPL_BUFHANDLE *Dest,
    /* [in] */ IPL_DOUBLE dX,
    /* [in] */ IPL_DOUBLE dY,
    /* [in] */ IPL_GEOTRANS Mode);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall IPL_TrMatrix( 
    /* [in] */ IPL_BUFHANDLE Source,
    /* [full][out][in] */ IPL_BUFHANDLE *Dest,
    /* [size_is][full][in] */ const IPL_DOUBLE *Matrix,
    /* [in] */ IPL_GEOTRANS Mode);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall IPL_TrGetMatrixPassPoint( 
    /* [size_is][full][in] */ const IPL_POINT_DOUBLE *Reference,
    /* [size_is][full][in] */ const IPL_POINT_DOUBLE *Distorted,
    /* [in] */ IPL_ULONG NbPoints,
    /* [size_is][full][out] */ IPL_DOUBLE *Matrix);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall IPL_MoWaterShed( 
    /* [in] */ IPL_BUFHANDLE Source,
    /* [full][out][in] */ IPL_BUFHANDLE *Dest,
    /* [in] */ IPL_WATERSHED_MODE Mode,
    /* [in] */ IPL_ULONG ColorIndex,
    /* [in] */ IPL_ULONG Threshold);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall IPL_MoUltimate( 
    /* [in] */ IPL_BUFHANDLE Source,
    /* [full][out][in] */ IPL_BUFHANDLE *Dest);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall IPL_PtScale( 
    /* [in] */ IPL_BUFHANDLE Source,
    /* [full][out][in] */ IPL_BUFHANDLE *Destination,
    /* [in] */ IPL_DOUBLE Offset,
    /* [in] */ IPL_DOUBLE Gain,
    /* [in] */ IPL_LONG Mode);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall IPL_Difference( 
    /* [in] */ IPL_BUFHANDLE Source1,
    /* [in] */ IPL_BUFHANDLE Source2,
    /* [full][out] */ IPL_DOUBLE *Difference);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall IPL_Quantize( 
    /* [in] */ IPL_BUFHANDLE Source,
    /* [full][out][in] */ IPL_BUFHANDLE *Dest,
    /* [full][out][in] */ IPL_BUFHANDLE *Palette,
    /* [in] */ IPL_ULONG Colors,
    /* [in] */ IPL_DITHER_MODE Dither);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall IPL_ThresholdPalette( 
    /* [full][in] */ const IPL_THRESHOLD *Thresholds,
    /* [in] */ IPL_ULONG Count,
    /* [full][out][in] */ IPL_BUFHANDLE *Palette,
    /* [in] */ IPL_BUFFER_DATATYPE ImageType);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall IPL_ShuffleBitplanePalette( 
    /* [full][in] */ const IPL_SHUFFLE *Bitplanes,
    /* [in] */ IPL_ULONG Count,
    /* [full][out][in] */ IPL_BUFHANDLE *Palette);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall IPL_BufPreset( 
    /* [in] */ IPL_BUFHANDLE Buffer,
    /* [in] */ IPL_PRESET_TYPE PresetType,
    /* [in] */ IPL_PRESET_DATA *Data);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall IPL_StatBestThreshold( 
    /* [in] */ IPL_BUFHANDLE Buffer,
    /* [full][out] */ IPL_LONG *Threshold);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall IPL_PtDynamicLineThreshold( 
    /* [in] */ const IPL_BUFHANDLE BufHandleSrc,
    /* [full][out][in] */ IPL_BUFHANDLE *BufHandleDest,
    /* [in] */ const IPL_POLARITY Polarity,
    /* [in] */ const IPL_ULONG OperatorWidth,
    /* [in] */ const IPL_ULONG MinDistance);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall IPL_GetRLEData( 
    /* [in] */ const IPL_BUFHANDLE hGreyImage,
    /* [full][out] */ IPL_BUFHANDLE *hRLEImage,
    /* [in] */ const IPL_LONG lThreshold,
    /* [in] */ const IPL_POLARITY Polarity,
    /* [in] */ const IPL_BOOL bDeleteBorderPixel);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall IPL_CheckLic( void);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall IPL_GetVersion( 
    /* [full][in] */ const IPL_CHAR *Buffer,
    /* [in] */ IPL_INT Bytes);

#endif /* __vl_ipl_MODULE_DEFINED__ */
#endif /* __vl_ipl_LIBRARY_DEFINED__ */

/* interface __MIDL_itf_vl_ipl_0119 */
/* [local] */ 


#ifdef MVIMPACT_H_ // include guard of the main C++ header
	} // namespace mvIMPACT_C
} // namespace mvIMPACT
#endif // #ifdef MVIMPACT_H_



extern RPC_IF_HANDLE __MIDL_itf_vl_ipl_0119_v0_0_c_ifspec;
extern RPC_IF_HANDLE __MIDL_itf_vl_ipl_0119_v0_0_s_ifspec;

/* Additional Prototypes for ALL interfaces */

/* end of Additional Prototypes */

#ifdef __cplusplus
}
#endif

#endif


