




#include "rpc.h"
#include "rpcndr.h"

#ifndef __RPCNDR_H_VERSION__
#error this stub requires an updated version of <rpcndr.h>
#endif // __RPCNDR_H_VERSION__


#ifndef __vl_ocr_h__
#define __vl_ocr_h__

#if defined(_MSC_VER) && (_MSC_VER >= 1020)
#pragma once
#endif

/* Forward Declarations */ 

/* header files for imported files */
#include "vl_base.h"

#ifdef __cplusplus
extern "C"{
#endif 

void * __RPC_USER MIDL_user_allocate(size_t);
void __RPC_USER MIDL_user_free( void * ); 

/* interface __MIDL_itf_vl_ocr_0000 */
/* [local] */ 

//=--------------------------------------------------------------------------=
// (C) Copyright 2002-2008 MATRIX VISION GmbH.  All Rights Reserved.
// (C) Copyright 2002-2008 Impuls computergesttzte Bildanalyse GmbH.
//
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY OF
// ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO
// THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
// PARTICULAR PURPOSE.
//=--------------------------------------------------------------------------=

#if defined(__BORLANDC__)
#pragma option -b
#endif
#if !defined(NO_VL_OCR_AUTOLINK)
#if defined(__BORLANDC__)
#pragma comment(lib,"vlb_ocr.lib")
#pragma message ("Automatically linking with vlb_ocr.lib")
#else
#if defined(_M_X64)
#pragma comment(lib,"vl_ocr64.lib")
#pragma message ("Automatically linking with vl_ocr64.lib")
#else
#pragma comment(lib,"vl_ocr.lib")
#pragma message ("Automatically linking with vl_ocr.lib")
#endif
#endif
#endif


#ifdef MVIMPACT_H_ // include guard of the main C++ header
namespace mvIMPACT {
	namespace mvIMPACT_C {
#endif // #ifdef MVIMPACT_H_

#ifdef VL_OCR_COMPILING
// when compiling the dll
#define VL_OCR_DLLEXPORT	__declspec(dllexport)
#undef __MIDL_DECLSPEC_DLLEXPORT
#define __MIDL_DECLSPEC_DLLEXPORT	__declspec(dllexport)
#undef __MIDL_DECLSPEC_DLLIMPORT
#define __MIDL_DECLSPEC_DLLIMPORT	__declspec(dllexport)
#else
// when using the dll
#define VL_OCR_DLLEXPORT	__declspce(dllimport)
#undef __MIDL_DECLSPEC_DLLEXPORT
#define __MIDL_DECLSPEC_DLLEXPORT	__declspec(dllimport)
#undef __MIDL_DECLSPEC_DLLIMPORT
#define __MIDL_DECLSPEC_DLLIMPORT	__declspec(dllimport)
#endif


extern RPC_IF_HANDLE __MIDL_itf_vl_ocr_0000_v0_0_c_ifspec;
extern RPC_IF_HANDLE __MIDL_itf_vl_ocr_0000_v0_0_s_ifspec;


#ifndef __vl_ocr_LIBRARY_DEFINED__
#define __vl_ocr_LIBRARY_DEFINED__

/* library vl_ocr */
/* [helpstring][version][uuid] */ 

typedef /* [helpstring] */ IPL_BUFHANDLE OCR_BUFHANDLE;

/* [helpstring] */ 
enum OCR_ERROR
    {	OCR_INIT_ERROR	= -401,
	OCR_SEGMENT_ERROR	= -402,
	OCR_DATA_ERROR	= -404
    } ;
typedef /* [hidden] */ enum OCR_ERROR OCR_ERROR;

/* [helpstring] */ 
enum OCR_CLASSIFICATION
    {	OCR_NO_CLAS	= 0,
	OCR_KOR_CLAS	= OCR_NO_CLAS + 1,
	OCR_DFT_CLAS	= OCR_KOR_CLAS + 1
    } ;
typedef /* [hidden] */ enum OCR_CLASSIFICATION OCR_CLASSIFICATION;

/* [helpstring] */ 
enum OCR_CONTROL
    {	OCRSEG_THRESHOLD	= 0,
	OCRSEG_CHAR_COLOR	= OCRSEG_THRESHOLD + 1,
	OCRSEG_MINWIDTH	= OCRSEG_CHAR_COLOR + 1,
	OCRSEG_MINHEIGHT	= OCRSEG_MINWIDTH + 1,
	OCRSEG_MAXWIDTH	= OCRSEG_MINHEIGHT + 1,
	OCRSEG_MAXHEIGHT	= OCRSEG_MAXWIDTH + 1,
	OCRSEG_SORTFLAG	= OCRSEG_MAXHEIGHT + 1,
	OCR_CLASSIFICATIONTYPE	= OCRSEG_SORTFLAG + 1,
	OCR_PATTERNNUMBER	= OCR_CLASSIFICATIONTYPE + 1,
	OCR_NORMALIZEFLAG	= OCR_PATTERNNUMBER + 1,
	OCR_NORMWIDTH	= OCR_NORMALIZEFLAG + 1,
	OCR_NORMHEIGHT	= OCR_NORMWIDTH + 1,
	OCRCHAR_MINWIDTH	= OCR_NORMHEIGHT + 1,
	OCRCHAR_MINHEIGHT	= OCRCHAR_MINWIDTH + 1,
	OCRCHAR_MAXWIDTH	= OCRCHAR_MINHEIGHT + 1,
	OCRCHAR_MAXHEIGHT	= OCRCHAR_MAXWIDTH + 1
    } ;
typedef /* [hidden] */ enum OCR_CONTROL OCR_CONTROL;

// old definitions
#define OCRSEG_CHAR_MINWIDTH OCRSEG_MINWIDTH
#define OCRSEG_CHAR_MINHEIGHT OCRSEG_MINHEIGHT
#define OCRSEG_CHAR_MAXWIDTH OCRSEG_MAXWIDTH
#define OCRSEG_CHAR_MAXHEIGHT OCRSEG_MAXHEIGHT

struct OCR_RESULT
    {
    IPL_INT ascii;
    IPL_FLOAT quality;
    IPL_FLOAT angle;
    } ;
typedef /* [helpstring] */ struct OCR_RESULT OCR_RESULT;

struct OCR_PATTERN
    {
    IPL_ULONG w;
    IPL_ULONG h;
    IPL_INT ascii;
    IPL_VOID *data;
    } ;
typedef /* [helpstring] */ struct OCR_PATTERN OCR_PATTERN;


EXTERN_C const IID LIBID_vl_ocr;


#ifndef __vl_ocr_MODULE_DEFINED__
#define __vl_ocr_MODULE_DEFINED__


/* module vl_ocr */
/* [dllname][uuid] */ 

/* [helpstring][entry] */ IPL_FRESULT __stdcall OCR_Open( 
    /* [full][out] */ OCR_BUFHANDLE *OcrBufHandlePtr,
    /* [in] */ IPL_CHAR *Filename,
    /* [in] */ IPL_LONG Flags);

/* [helpstring][entry] */ IPL_FRESULT __stdcall OCR_Close( 
    /* [in] */ OCR_BUFHANDLE OcrBufHandle);

/* [helpstring][entry] */ IPL_FRESULT __stdcall OCR_Segment( 
    /* [in] */ OCR_BUFHANDLE OcrBufHandle,
    /* [in] */ IPL_BUFHANDLE IplBufHandle,
    /* [in] */ IPL_LONG MaxSegments,
    /* [full][out] */ IPL_RECT *Rect,
    /* [full][out] */ IPL_LONG *Count);

/* [helpstring][entry] */ IPL_FRESULT __stdcall OCR_SortSegment( 
    /* [in] */ OCR_BUFHANDLE OcrBufHandle,
    /* [in] */ IPL_BUFHANDLE IplBufHandle,
    /* [full][in] */ IPL_RECT *Rect,
    /* [in] */ IPL_LONG Count);

/* [helpstring][entry] */ IPL_FRESULT __stdcall OCR_SplitSegment( 
    /* [in] */ OCR_BUFHANDLE OcrBufHandle,
    /* [in] */ IPL_BUFHANDLE IplBufHandle,
    /* [in] */ IPL_LONG MaxSegments,
    /* [full][out] */ IPL_RECT *Rect,
    /* [full][out] */ IPL_LONG *Count);

/* [helpstring][entry] */ IPL_FRESULT __stdcall OCR_MergeSegment( 
    /* [in] */ OCR_BUFHANDLE OcrBufHandle,
    /* [in] */ IPL_BUFHANDLE IplBufHandle,
    /* [in] */ IPL_LONG MaxSegments,
    /* [full][out] */ IPL_RECT *Rect,
    /* [full][out] */ IPL_LONG *Count);

/* [helpstring][entry] */ IPL_FRESULT __stdcall OCR_ReadChar( 
    /* [in] */ OCR_BUFHANDLE OcrBufHandle,
    /* [in] */ IPL_BUFHANDLE IplBufHandle,
    /* [full][in] */ IPL_RECT *Rect,
    /* [full][out][in] */ IPL_LONG *maxres,
    /* [full][out] */ OCR_RESULT *Result);

/* [helpstring][entry] */ IPL_FRESULT __stdcall OCR_ReadString( 
    /* [in] */ OCR_BUFHANDLE OcrBufHandle,
    /* [in] */ IPL_BUFHANDLE IplBufHandle,
    /* [full][in] */ IPL_RECT *Rect,
    /* [in] */ IPL_LONG Count,
    /* [full][out] */ IPL_CHAR *Result,
    /* [in] */ IPL_LONG Length);

/* [helpstring][entry] */ IPL_FRESULT __stdcall OCR_Control( 
    /* [in] */ OCR_BUFHANDLE OcrBufHandle,
    /* [in] */ OCR_CONTROL ControlId,
    /* [full][in] */ const IPL_VOID *ValuePtr);

/* [helpstring][entry] */ IPL_FRESULT __stdcall OCR_Inquire( 
    /* [in] */ OCR_BUFHANDLE OcrBufHandle,
    /* [in] */ OCR_CONTROL ControlId,
    /* [full][out] */ IPL_VOID *ValuePtr);

/* [helpstring][entry] */ IPL_FRESULT __stdcall OCR_Teach( 
    /* [in] */ OCR_BUFHANDLE OcrBufHandle,
    /* [in] */ IPL_BUFHANDLE IplBufHandle,
    /* [full][in] */ IPL_RECT *Rect,
    /* [in] */ IPL_INT Ascii);

/* [helpstring][entry] */ IPL_FRESULT __stdcall OCR_Pattern( 
    /* [in] */ OCR_BUFHANDLE OcrBufHandle,
    /* [in] */ IPL_ULONG Index,
    /* [in] */ IPL_BUFHANDLE *IplBufHandle,
    /* [full][out] */ IPL_INT *AsciiPtr);

/* [helpstring][entry] */ IPL_FRESULT __stdcall OCR_GetPattern( 
    /* [in] */ OCR_BUFHANDLE OcrBufHandle,
    /* [in] */ IPL_ULONG Index,
    /* [full][out] */ OCR_PATTERN *PatternPtr);

/* [helpstring][entry] */ IPL_FRESULT __stdcall OCR_DelPattern( 
    /* [in] */ OCR_BUFHANDLE OcrBufHandle,
    /* [in] */ IPL_ULONG Index);

/* [helpstring][entry] */ IPL_FRESULT __stdcall OCR_VerifyChar( 
    /* [in] */ OCR_BUFHANDLE BufHandle,
    /* [in] */ IPL_BUFHANDLE ImageHandle,
    /* [full][in] */ IPL_RECT *RectPtr,
    /* [in] */ IPL_LONG NumberOfPossibleCharacters,
    /* [full][out] */ OCR_RESULT *ResultPtr);

/* [helpstring][entry] */ IPL_FRESULT __stdcall OCR_CheckLic( void);

/* [helpstring][entry] */ IPL_FRESULT __stdcall OCR_GetVersion( 
    /* [full][in] */ const IPL_CHAR *Buffer,
    /* [in] */ IPL_INT Bytes);

/* [helpstring][entry] */ IPL_FRESULT __stdcall OCR_CompareChar( 
    /* [in] */ OCR_BUFHANDLE OcrBufHandle,
    /* [in] */ IPL_BUFHANDLE IplBufHandle,
    /* [full][in] */ IPL_RECT *Rect,
    /* [in] */ IPL_LONG Index,
    /* [full][out] */ OCR_RESULT *Result);

#endif /* __vl_ocr_MODULE_DEFINED__ */
#endif /* __vl_ocr_LIBRARY_DEFINED__ */

/* interface __MIDL_itf_vl_ocr_0119 */
/* [local] */ 


#ifdef MVIMPACT_H_ // include guard of the main C++ header
	} // namespace mvIMPACT_C
} // namespace mvIMPACT
#endif // #ifdef MVIMPACT_H_



extern RPC_IF_HANDLE __MIDL_itf_vl_ocr_0119_v0_0_c_ifspec;
extern RPC_IF_HANDLE __MIDL_itf_vl_ocr_0119_v0_0_s_ifspec;

/* Additional Prototypes for ALL interfaces */

/* end of Additional Prototypes */

#ifdef __cplusplus
}
#endif

#endif


