




#include "rpc.h"
#include "rpcndr.h"

#ifndef __RPCNDR_H_VERSION__
#error this stub requires an updated version of <rpcndr.h>
#endif // __RPCNDR_H_VERSION__


#ifndef __vl_pat_h__
#define __vl_pat_h__

#if defined(_MSC_VER) && (_MSC_VER >= 1020)
#pragma once
#endif

/* Forward Declarations */ 

/* header files for imported files */
#include "vl_base.h"

#ifdef __cplusplus
extern "C"{
#endif 

void * __RPC_USER MIDL_user_allocate(size_t);
void __RPC_USER MIDL_user_free( void * ); 

/* interface __MIDL_itf_vl_pat_0000 */
/* [local] */ 

//=--------------------------------------------------------------------------=
// (C) Copyright 2002-2008 MATRIX VISION GmbH.  All Rights Reserved.
// (C) Copyright 1997-2008 Impuls computergesttzte Bildanalyse GmbH.
//
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY OF
// ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO
// THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
// PARTICULAR PURPOSE.
//=--------------------------------------------------------------------------=

#if defined(__BORLANDC__)
#pragma option -b
#endif
#if !defined(NO_VL_PAT_AUTOLINK)
#if defined(__BORLANDC__)
#pragma comment(lib,"vlb_pat.lib")
#pragma message ("Automatically linking with vlb_pat.lib")
#else
#if defined(_M_X64)
#pragma comment(lib,"vl_pat64.lib")
#pragma message ("Automatically linking with vl_pat64.lib")
#else
#pragma comment(lib,"vl_pat.lib")
#pragma message ("Automatically linking with vl_pat.lib")
#endif
#endif
#endif


#ifdef MVIMPACT_H_ // include guard of the main C++ header
namespace mvIMPACT {
	namespace mvIMPACT_C {
#endif // #ifdef MVIMPACT_H_

#ifdef VL_PAT_COMPILING
// when compiling the dll
#define VL_PAT_DLLEXPORT	__declspec(dllexport)
#undef __MIDL_DECLSPEC_DLLEXPORT
#define __MIDL_DECLSPEC_DLLEXPORT	__declspec(dllexport)
#undef __MIDL_DECLSPEC_DLLIMPORT
#define __MIDL_DECLSPEC_DLLIMPORT	__declspec(dllexport)
#else
// when using the dll
#define VL_PAT_DLLEXPORT	__declspec(dllimport)
#undef __MIDL_DECLSPEC_DLLEXPORT
#define __MIDL_DECLSPEC_DLLEXPORT	__declspec(dllimport)
#undef __MIDL_DECLSPEC_DLLIMPORT
#define __MIDL_DECLSPEC_DLLIMPORT	__declspec(dllimport)
#endif
#define	PAT_DONT_CARE	( -1 )

#define	PAT_FIND_ALL	( -2 )



extern RPC_IF_HANDLE __MIDL_itf_vl_pat_0000_v0_0_c_ifspec;
extern RPC_IF_HANDLE __MIDL_itf_vl_pat_0000_v0_0_s_ifspec;


#ifndef __vl_pat_LIBRARY_DEFINED__
#define __vl_pat_LIBRARY_DEFINED__

/* library vl_pat */
/* [helpstring][version][uuid] */ 

typedef /* [helpstring] */ _PAT_BUFHANDLE PAT_BUFHANDLE;

/* [helpstring] */ 
enum PAT_ERROR
    {	PAT_OFFSET_ERROR	= -1100,
	PAT_OVERFLOW_ERROR	= -1101,
	PAT_INDEX_ERROR	= -1102,
	PAT_PARAM_ERROR	= -1103,
	PAT_SIZE_MISMATCH_ERROR	= -1104,
	PAT_RANGE_ERROR	= -1105,
	PAT_HANDLE_ERROR	= -1106
    } ;
typedef /* [hidden] */ enum PAT_ERROR PAT_ERROR;

/* [helpstring] */ 
enum PAT_BUF_ATTRIBUTE
    {	PAT_MODEL	= 1,
	PAT_RESULT	= 2
    } ;
typedef /* [hidden] */ enum PAT_BUF_ATTRIBUTE PAT_BUF_ATTRIBUTE;

/* [helpstring] */ 
enum PAT_MODEL_CONTROL
    {	PAT_ATTRIBUTE	= 0,
	PAT_NB_MATCHES	= 1,
	PAT_ACCEPTANCE_LEVEL	= 2,
	PAT_FIRST_LEVEL	= 3,
	PAT_CERTAINTY_LEVEL	= 4,
	PAT_INITIAL_PASSES	= 5,
	PAT_BINNING_METHOD	= 6,
	PAT_XPOS_SEARCH_REGION	= 30,
	PAT_YPOS_SEARCH_REGION	= 31,
	PAT_XSIZE_SEARCH_REGION	= 32,
	PAT_YSIZE_SEARCH_REGION	= 33,
	PAT_XSIZE_MODEL	= 34,
	PAT_YSIZE_MODEL	= 35,
	PAT_XCEN_MODEL	= 36,
	PAT_YCEN_MODEL	= 37,
	PAT_XOFF_MODEL	= 38,
	PAT_YOFF_MODEL	= 39,
	PAT_PRESET_VALUE	= 40,
	PAT_USE_PRESET_VALUE	= 41,
	PAT_NB_BANDS	= 42,
	PAT_NB_ZSLICES	= 43,
	PAT_NB_TSLICES	= 44
    } ;
typedef /* [hidden] */ enum PAT_MODEL_CONTROL PAT_MODEL_CONTROL;

/* [helpstring] */ 
enum PAT_RESULT_CONTROL
    {	PAT_NB_MATCHES_FOUND	= 1,
	PAT_SCORE	= 2,
	PAT_XPOS	= 3,
	PAT_YPOS	= 4
    } ;
typedef /* [hidden] */ enum PAT_RESULT_CONTROL PAT_RESULT_CONTROL;

/* [helpstring] */ 
enum PAT_PRESET_CONDITION
    {	PAT_LESS	= 1,
	PAT_GREATER	= 2,
	PAT_EQUAL	= 3,
	PAT_IN_RANGE	= 4,
	PAT_OUT_RANGE	= 5
    } ;
typedef /* [hidden] */ enum PAT_PRESET_CONDITION PAT_PRESET_CONDITION;

/* [helpstring] */ 
enum PAT_BESTMODEL
    {	PAT_ENTROPY	= 1,
	PAT_CONTRAST	= 2,
	PAT_GRADIENT	= 4
    } ;
typedef /* [hidden] */ enum PAT_BESTMODEL PAT_BESTMODEL;

struct PAT_MODEL_RESULT
    {
    IPL_ULONG XPos;
    IPL_ULONG YPos;
    IPL_DOUBLE Value;
    } ;
typedef struct PAT_MODEL_RESULT PAT_MODEL_RESULT;


EXTERN_C const IID LIBID_vl_pat;


#ifndef __vl_pat_MODULE_DEFINED__
#define __vl_pat_MODULE_DEFINED__


/* module vl_pat */
/* [dllname][uuid] */ 

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall PAT_BufAlloc( 
    /* [full][out] */ PAT_BUFHANDLE *BufHandle,
    /* [in] */ IPL_BUFHANDLE BufHandleSrc,
    /* [in] */ IPL_ULONG XOff,
    /* [in] */ IPL_ULONG YOff,
    /* [in] */ IPL_ULONG Width,
    /* [in] */ IPL_ULONG Height,
    /* [in] */ PAT_BUF_ATTRIBUTE Attribute);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall PAT_BufFree( 
    /* [in] */ PAT_BUFHANDLE BufHandle);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall PAT_SetControl( 
    /* [in] */ PAT_BUFHANDLE BufHandle,
    /* [in] */ PAT_MODEL_CONTROL ControlId,
    /* [full][in] */ const IPL_VOID *ControlPtr);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall PAT_GetResultBufData( 
    /* [in] */ PAT_BUFHANDLE BufHandleResult,
    /* [in] */ IPL_ULONG BandOff,
    /* [in] */ IPL_ULONG ZOff,
    /* [in] */ IPL_ULONG TimeOff,
    /* [in] */ IPL_ULONG Index,
    /* [in] */ PAT_RESULT_CONTROL ControlId,
    /* [full][out] */ IPL_VOID *ControlPtr);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall PAT_BufInquire( 
    /* [in] */ PAT_BUFHANDLE BufHandle,
    /* [in] */ PAT_MODEL_CONTROL ControlId,
    /* [full][out] */ IPL_VOID *ControlPtr);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall PAT_MatchTemplate( 
    /* [in] */ IPL_BUFHANDLE BufHandleSrc,
    /* [in] */ IPL_BUFHANDLE BufHandleDest,
    /* [in] */ PAT_BUFHANDLE BufHandle);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall PAT_SetWindow( 
    /* [in] */ PAT_BUFHANDLE BufHandle,
    /* [in] */ IPL_ULONG XPos,
    /* [in] */ IPL_ULONG YPos,
    /* [in] */ IPL_ULONG XSize,
    /* [in] */ IPL_ULONG YSize);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall PAT_SearchModel( 
    /* [in] */ IPL_BUFHANDLE BufHandleSrc,
    /* [in] */ PAT_BUFHANDLE BufHandleModel,
    /* [full][out] */ PAT_BUFHANDLE *BufHandleResultPtr);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall PAT_SetModelCenter( 
    /* [in] */ PAT_BUFHANDLE BufHandle,
    /* [in] */ IPL_DOUBLE X,
    /* [in] */ IPL_DOUBLE Y);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall PAT_PresetModelPixel( 
    /* [in] */ PAT_BUFHANDLE BufHandle,
    /* [in] */ IPL_BUFHANDLE BufHandleSrc,
    /* [in] */ IPL_ULONG XOff,
    /* [in] */ IPL_ULONG YOff,
    /* [in] */ IPL_LONG Value,
    /* [in] */ IPL_LONG CondValue1,
    /* [in] */ IPL_LONG CondValue2,
    /* [in] */ PAT_PRESET_CONDITION Mode);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall PAT_CopyModel( 
    /* [in] */ PAT_BUFHANDLE Source,
    /* [full][out] */ PAT_BUFHANDLE *Dest);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall PAT_FindBestModel( 
    /* [full][out] */ PAT_MODEL_RESULT *ResultPtr,
    /* [in] */ IPL_BUFHANDLE Src,
    /* [in] */ IPL_ULONG ModelWidth,
    /* [in] */ IPL_ULONG ModelHeight,
    /* [in] */ IPL_ULONG StepWidth,
    /* [in] */ IPL_ULONG StepHeight,
    /* [in] */ PAT_BESTMODEL Mode);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall PAT_CheckLic( void);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall PAT_GetVersion( 
    /* [full][in] */ const IPL_CHAR *Buffer,
    /* [in] */ IPL_INT Bytes);

#endif /* __vl_pat_MODULE_DEFINED__ */
#endif /* __vl_pat_LIBRARY_DEFINED__ */

/* interface __MIDL_itf_vl_pat_0119 */
/* [local] */ 


#ifdef MVIMPACT_H_ // include guard of the main C++ header
	} // namespace mvIMPACT_C
} // namespace mvIMPACT
#endif // #ifdef MVIMPACT_H_



extern RPC_IF_HANDLE __MIDL_itf_vl_pat_0119_v0_0_c_ifspec;
extern RPC_IF_HANDLE __MIDL_itf_vl_pat_0119_v0_0_s_ifspec;

/* Additional Prototypes for ALL interfaces */

/* end of Additional Prototypes */

#ifdef __cplusplus
}
#endif

#endif


