




#include "rpc.h"
#include "rpcndr.h"

#ifndef __RPCNDR_H_VERSION__
#error this stub requires an updated version of <rpcndr.h>
#endif // __RPCNDR_H_VERSION__


#ifndef __vl_slice_h__
#define __vl_slice_h__

#if defined(_MSC_VER) && (_MSC_VER >= 1020)
#pragma once
#endif

/* Forward Declarations */ 

/* header files for imported files */
#include "vl_base.h"

#ifdef __cplusplus
extern "C"{
#endif 

void * __RPC_USER MIDL_user_allocate(size_t);
void __RPC_USER MIDL_user_free( void * ); 

/* interface __MIDL_itf_vl_slice_0000 */
/* [local] */ 

//=--------------------------------------------------------------------------=
// (C) Copyright 2002-2008 MATRIX VISION GmbH.  All Rights Reserved.
// (C) Copyright 1997-2008 Impuls computergesttzte Bildanalyse GmbH.
//
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY OF
// ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO
// THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
// PARTICULAR PURPOSE.
//=--------------------------------------------------------------------------=

#if defined(__BORLANDC__)
#pragma option -b
#endif
#if !defined(NO_VL_SLICE_AUTOLINK)
#if defined(__BORLANDC__)
#pragma comment(lib,"vlb_slice.lib")
#pragma message ("Automatically linking with vlb_slice.lib")
#else
#if defined(_M_X64)
#pragma comment(lib,"vl_slice64.lib")
#pragma message ("Automatically linking with vl_slice64.lib")
#else
#pragma comment(lib,"vl_slice.lib")
#pragma message ("Automatically linking with vl_slice.lib")
#endif
#endif
#endif


#ifdef MVIMPACT_H_ // include guard of the main C++ header
namespace mvIMPACT {
	namespace mvIMPACT_C {
#endif // #ifdef MVIMPACT_H_

#ifdef VL_SLICE_COMPILING
// when compiling the dll
#define VL_SLICE_DLLEXPORT __declspec(dllexport)
#undef __MIDL_DECLSPEC_DLLEXPORT
#define __MIDL_DECLSPEC_DLLEXPORT	__declspec(dllexport)
#undef __MIDL_DECLSPEC_DLLIMPORT
#define __MIDL_DECLSPEC_DLLIMPORT	__declspec(dllexport)
#else
// when using the dll
#define VL_SLICE_DLLEXPORT __declspec(dllimport)
#undef __MIDL_DECLSPEC_DLLEXPORT
#define __MIDL_DECLSPEC_DLLEXPORT	__declspec(dllimport)
#undef __MIDL_DECLSPEC_DLLIMPORT
#define __MIDL_DECLSPEC_DLLIMPORT	__declspec(dllimport)
#endif


extern RPC_IF_HANDLE __MIDL_itf_vl_slice_0000_v0_0_c_ifspec;
extern RPC_IF_HANDLE __MIDL_itf_vl_slice_0000_v0_0_s_ifspec;


#ifndef __vl_slice_LIBRARY_DEFINED__
#define __vl_slice_LIBRARY_DEFINED__

/* library vl_slice */
/* [helpstring][version][uuid] */ 

/* [helpstring] */ 
enum SL_ORTHOSLICE
    {	SL_RAW	= 0,
	SL_XCUT	= 1,
	SL_YCUT	= 2
    } ;
typedef /* [hidden] */ enum SL_ORTHOSLICE SL_ORTHOSLICE;

/* [helpstring] */ 
enum SL_OBLSLICE
    {	SL_XY	= 0,
	SL_ZY	= 1,
	SL_XZ	= 2,
	SL_TOP_PRJ	= 0x10000000,
	SL_BOTTOM_PRJ	= 0x20000000,
	SL_LEFT_PRJ	= 0x40000000,
	SL_RIGHT_PRJ	= 0x80000000,
	SL_ALL_PRJ	= 0xf0000000
    } ;
typedef /* [hidden] */ enum SL_OBLSLICE SL_OBLSLICE;


EXTERN_C const IID LIBID_vl_slice;


#ifndef __vl_slice_MODULE_DEFINED__
#define __vl_slice_MODULE_DEFINED__


/* module vl_slice */
/* [dllname][uuid] */ 

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall SL_SlcGetSliceOrt( 
    /* [in] */ IPL_BUFHANDLE Source,
    /* [full][out] */ IPL_BUFHANDLE *Destination,
    /* [in] */ SL_ORTHOSLICE Mode,
    /* [in] */ IPL_ULONG X,
    /* [in] */ IPL_ULONG Y,
    /* [in] */ IPL_ULONG Band,
    /* [in] */ IPL_ULONG Slice,
    /* [in] */ IPL_ULONG Frame);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall SL_SlcGetSliceObl( 
    /* [in] */ IPL_BUFHANDLE Source,
    /* [full][out] */ IPL_BUFHANDLE *Destination,
    /* [in] */ SL_OBLSLICE Mode,
    /* [in] */ IPL_ULONG P1,
    /* [in] */ IPL_ULONG P2,
    /* [in] */ IPL_ULONG P3,
    /* [in] */ IPL_ULONG P4,
    /* [in] */ IPL_ULONG Band,
    /* [in] */ IPL_ULONG Slice,
    /* [in] */ IPL_ULONG Frame);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall SL_SlcLineProfile( 
    /* [in] */ IPL_BUFHANDLE Source,
    /* [full][out] */ IPL_BUFHANDLE *Destination,
    /* [in] */ IPL_ULONG X0,
    /* [in] */ IPL_ULONG Y0,
    /* [in] */ IPL_ULONG B0,
    /* [in] */ IPL_ULONG Z0,
    /* [in] */ IPL_ULONG T0,
    /* [in] */ IPL_ULONG X1,
    /* [in] */ IPL_ULONG Y1,
    /* [in] */ IPL_ULONG B1,
    /* [in] */ IPL_ULONG Z1,
    /* [in] */ IPL_ULONG T1);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall SL_CheckLic( void);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall SL_GetVersion( 
    /* [full][in] */ const IPL_CHAR *Buffer,
    /* [in] */ IPL_INT Bytes);

#endif /* __vl_slice_MODULE_DEFINED__ */
#endif /* __vl_slice_LIBRARY_DEFINED__ */

/* interface __MIDL_itf_vl_slice_0119 */
/* [local] */ 


#ifdef MVIMPACT_H_ // include guard of the main C++ header
	} // namespace mvIMPACT_C
} // namespace mvIMPACT
#endif // #ifdef MVIMPACT_H_



extern RPC_IF_HANDLE __MIDL_itf_vl_slice_0119_v0_0_c_ifspec;
extern RPC_IF_HANDLE __MIDL_itf_vl_slice_0119_v0_0_s_ifspec;

/* Additional Prototypes for ALL interfaces */

/* end of Additional Prototypes */

#ifdef __cplusplus
}
#endif

#endif


