
#ifndef __ostypes_h__
#define __ostypes_h__

// ostypes.h 
// type definitions for win32

// include configuration file for win32
#include <osconfig.h>
#include <system.h>


#ifdef __cplusplus

// include windows headers
#ifndef _WIN32_WINNT
#define _WIN32_WINNT	0x0500
#endif
#include <windows.h>
#include <windowsx.h>
#include <vfw.h>
#include <mmsystem.h>
#include <olectl.h>
// include c runtime headers
#include <assert.h>
#include <string.h>
#include <memory.h>
#pragma warning (disable:4663)
#include <limits.h>
#include <time.h>
#include <stdlib.h>
#include <stdio.h>
#include <tchar.h>
#include <direct.h>
#include <io.h>
#include <malloc.h>
#include <crtdbg.h>

#endif //__cplusplus

//**************************************************************
//
// vl_base
//
//**************************************************************


typedef long _IPL_FRESULT;
typedef char _IPL_CHAR;
typedef unsigned char _IPL_UCHAR;
typedef short _IPL_SHORT;
typedef unsigned short _IPL_USHORT;
typedef int _IPL_INT;
typedef unsigned int _IPL_UINT;
typedef long _IPL_LONG;
typedef unsigned long _IPL_ULONG;
typedef float _IPL_FLOAT;
typedef double _IPL_DOUBLE;
typedef char _IPL_STRING;
typedef void _IPL_VOID;
typedef unsigned short _IPL_WORD;
typedef unsigned long _IPL_DWORD;
typedef _IPL_LONG _IPL_BUFHANDLE;
typedef _IPL_LONG _IPL_ERRORID;
typedef /*IPL_LONG*/SYSTEMTIME _IPL_TIME;
typedef int _IPL_BOOL;
typedef int _IPL_FILE_HANDLE;
typedef _IPL_DWORD _IPL_PROCESS_ID;
typedef _IPL_DWORD _IPL_THREAD_ID;
typedef _IPL_DWORD _IPL_COLOR;
typedef _IPL_VOID* _IPL_HWND;
typedef _IPL_VOID* _IPL_HDC;
typedef _IPL_VOID* _IPL_HMENU;
typedef _IPL_VOID* _IPL_HKEY;
typedef _IPL_VOID* _IPL_HFILE;
typedef _IPL_VOID* _IPL_HTHREAD;
typedef _IPL_VOID* _IPL_HICON;
typedef _IPL_VOID* _IPL_HCURSOR;
typedef _IPL_VOID* _IPL_HMODULE;

/*

#ifdef __cplusplus

	#define AUTOTYPECONVERT(ipltype, orgtype, member) \
		ipltype() \
			{ member = 0; } \
		ipltype(orgtype r) \
			{ member = (ipltype)r; } \
		operator orgtype() \
			{ return (orgtype)member; }

#else

	#define AUTOTYPECONVERT(ipltype, orgtype, member)

#endif

struct IPL_HWND
{
	IPL_VOID* window;
	AUTOTYPECONVERT(IPL_HWND, HWND, window)
};
typedef struct IPL_HWND IPL_HWND;

struct IPL_HDC
{
	IPL_VOID* dc;
	AUTOTYPECONVERT(IPL_HDC, HDC, dc)
};
typedef struct IPL_HDC IPL_HDC;

struct IPL_HMENU
{
	IPL_VOID* menu;
	AUTOTYPECONVERT(IPL_HMENU, HMENU, menu)
};
typedef struct IPL_HMENU IPL_HMENU;

struct IPL_HKEY
{
	IPL_VOID* key;
	AUTOTYPECONVERT(IPL_HKEY, HKEY, key)
};
typedef struct IPL_HKEY IPL_HKEY;

struct IPL_COLOR
{
	IPL_ULONG color;
	AUTOTYPECONVERT(IPL_COLOR, COLORREF, color)
};
typedef struct IPL_COLOR IPL_COLOR;

struct IPL_HTHREAD
{
	IPL_VOID* thread;
	AUTOTYPECONVERT(IPL_HTHREAD, HANDLE, thread)
};
typedef struct IPL_HTHREAD IPL_HTHREAD;

struct IPL_HICON
{
	IPL_VOID* icon;
	AUTOTYPECONVERT(IPL_HICON, HICON, icon)
};
typedef struct IPL_HICON IPL_HICON;

struct IPL_CURSOR
{
	IPL_VOID* cursor;
	AUTOTYPECONVERT(IPL_CURSOR, HCURSOR, cursor)
};
typedef struct IPL_CURSOR IPL_CURSOR;

struct IPL_HMODULE
{
	IPL_VOID* instance;
	AUTOTYPECONVERT(IPL_HMODULE, HMODULE, instance)
};
typedef struct IPL_HMODULE IPL_HMODULE;
*/


//**************************************************************
//
// vl_blob
//
//**************************************************************

typedef _IPL_LONG _BL_BUFHANDLE;

//**************************************************************
//
// vl_blobloc
//
//**************************************************************

typedef _IPL_LONG _BLOC_BUFHANDLE;
typedef _IPL_LONG _BLOC_HANDLE;

//**************************************************************
//
// vl_device
//
//**************************************************************

typedef _IPL_LONG _DEV_HANDLE;

//**************************************************************
//
// vl_display
//
//**************************************************************

typedef _IPL_LONG _DISP_OOIHANDLE;
typedef _IPL_LONG _DISP_OOISETHANDLE;

//**************************************************************
//
// vl_gauge
//
//**************************************************************

typedef _IPL_LONG _GAU_BUFHANDLE;


//**************************************************************
//
// vl_pat
//
//**************************************************************

typedef _IPL_LONG _PAT_BUFHANDLE;

//**************************************************************
//
// vl_cr1d
//
//**************************************************************

typedef _IPL_LONG _CR1D_BUFHANDLE;

//**************************************************************
//
// vl_cr2d
//
//**************************************************************

typedef _IPL_LONG _CR2D_BUFHANDLE;


#endif // __ostypes_h__
