#! /usr/bin/python

"""
/**
\\xmlonly
mvIMPACT Base
\endxmlonly

\page dylth_page Dynamic line threshold example (Python)

\section dylth_section_purpose Purpose
This example shows how to use a line based (fast) dynamic threshold to binarize an image which has non-uniform illumination.

\section dylth_section_intro What it does
An image is loaded and the threshold function is applied and the result is displayed in
a window.

\section dylth_section_description How it works
First the input image is loaded into memory.

\code
## load the image
image = loadImage("milk.bmp")
\endcode

Then a window is opened showing the image and the user is requested to press space.

\code
## Open a window and display the image
window = Window(image)
runMessageLoop("Press space to apply the threshold function")
\endcode

Afterwards the threshold function is called.

\code
## Apply the threshold function
dynamicLineThreshold(image, image, pmBlackOnWhite, 30, 100)
\endcode

Finally the window is updated and the message loop is run again before the window
is destroyed and the program ends.

\code
## Update the window and wait for user input
window.redraw()
runMessageLoop()

del window
\endcode

\section dylth_section_source Source file

<matrixdoc>
*/
"""

from mvIMPACT.base import *

## load the image
image = loadImage("milk.bmp")

## Open a window and display the image
window = Window(image)
runMessageLoop("Press space to apply the threshold function")

## Apply the threshold function
dynamicLineThreshold(image, image, pmBlackOnWhite, 30, 100)

## Update the window and wait for user input
window.redraw()
runMessageLoop()

del window

##</matrixdoc>
