#include <vl_base.h>
#include <vl_file.h>
#include <vl_display.h>
#include <samples.h>

int main(int /*argc*/, char * /*argv[]*/)
{
	// load any supported file format, into image
	IPL_BUFHANDLE image = IPL_DONT_CARE;
	CHECKSDKCALL(IPL_FlImport(&image, NULL, FL_DONT_CARE, "screw.bmp"));

	// create an ooiset
	DISP_OOISETHANDLE oois = DISP_DONT_CARE;
	CHECKSDKCALL(DISP_OoiSetAlloc(&oois));

	// create an aoi in the set
	IPL_POINT aoi1points[5] =
	{
		{ 10, 10 },
		{ 110, 10 },
		{ 110, 110 },
		{ 10, 110 },
		{ 10, 10 },
	};
	DISP_OOIHANDLE aoi1 = DISP_DONT_CARE;
	CHECKSDKCALL(DISP_OoiAlloc(oois, &aoi1, DISP_AOI_TOOL, aoi1points, sizeof(aoi1points)/sizeof(aoi1points[0]),NULL));

	// set some ooi properties
	COLORREF color = PALETTERGB(0, 255, 0);
	CHECKSDKCALL(DISP_ControlOoi(oois, aoi1, DISP_OOI_COLOR, &color));
	IPL_CHAR* text = "Rectangle 1";
	CHECKSDKCALL(DISP_ControlOoi(oois, aoi1, DISP_OOI_TEXT, text));
	color = PALETTERGB(255, 0, 0);
	CHECKSDKCALL(DISP_ControlOoi(oois, aoi1, DISP_OOI_TEXT_COLOR, &color));

	// create another aoi in the set
	IPL_POINT aoi2points[5] =
	{
		{ 210, 210 },
		{ 310, 210 },
		{ 310, 310 },
		{ 210, 310 },
		{ 210, 210 },
	};
	DISP_OOIHANDLE aoi2 = DISP_DONT_CARE;
	CHECKSDKCALL(DISP_OoiAlloc(oois, &aoi2, DISP_AOI_TOOL, aoi2points, sizeof(aoi2points)/sizeof(aoi2points[0]), NULL));

	// set some ooi properties
	COLORREF color2 = PALETTERGB(255, 0, 0);
	CHECKSDKCALL(DISP_ControlOoi(oois, aoi2, DISP_OOI_COLOR, &color2));
	IPL_CHAR* text2 = "Rectangle 2";
	CHECKSDKCALL(DISP_ControlOoi(oois, aoi2, DISP_OOI_TEXT, text2));
	color2 = PALETTERGB(255, 0, 0);
	CHECKSDKCALL(DISP_ControlOoi(oois, aoi2, DISP_OOI_TEXT_COLOR, &color2));

	// create an loi in the set
	IPL_POINT loi1points[2] =
	{
		{ 150, 50 },
		{ 150, 150 },
	};
	DISP_OOIHANDLE loi1 = DISP_DONT_CARE;
	CHECKSDKCALL(DISP_OoiAlloc(oois, &loi1, DISP_LOI_TOOL, loi1points, sizeof(loi1points)/sizeof(loi1points[0]), NULL));

	// set some ooi properties
	COLORREF color3 = PALETTERGB(0, 0, 255);
	CHECKSDKCALL(DISP_ControlOoi(oois, loi1, DISP_OOI_COLOR, &color3));
	IPL_CHAR* text3 = "Line 1";
	CHECKSDKCALL(DISP_ControlOoi(oois, loi1, DISP_OOI_TEXT, text3));
	color3 = PALETTERGB(255, 0, 0);
	CHECKSDKCALL(DISP_ControlOoi(oois, loi1, DISP_OOI_TEXT_COLOR, &color3));


	// create another loi in the set
	IPL_POINT loi2points[2] =
	{
		{ 350, 250 },
		{ 350, 350 },
	};
	DISP_OOIHANDLE loi2 = DISP_DONT_CARE;
	CHECKSDKCALL(DISP_OoiAlloc(oois, &loi2, DISP_LOI_TOOL, loi2points, sizeof(loi2points)/sizeof(loi2points[0]), NULL));

	// set some ooi properties
	COLORREF color4 = PALETTERGB(255, 255, 255);
	CHECKSDKCALL(DISP_ControlOoi(oois, loi2, DISP_OOI_COLOR, &color4));
	IPL_CHAR* text4 = "Line 2";
	CHECKSDKCALL(DISP_ControlOoi(oois, loi2, DISP_OOI_TEXT, text4));
	color4 = PALETTERGB(255, 0, 0);
	CHECKSDKCALL(DISP_ControlOoi(oois, loi2, DISP_OOI_TEXT_COLOR, &color4));

	// associate the ooiset with the thread (and all windows created thereafter)
	CHECKSDKCALL(DISP_Control(DISP_OOISET, &oois));

	// open window to display image
	IPL_HWND hwnd = 0;
	CHECKSDKCALL(DISP_OpenWindow(image, &hwnd, 0, NULL));

	// keep sample alive until console window is closed or space bar is pressed
	CHECKSDKCALL(DISP_KeepRunning("Click the space bar to end program.\n"));

	// free allocated buffers
	CHECKSDKCALL(IPL_BufFreeAll());

	return 0;
}

