//----------------------------------------------------------------------
//----------------------------------------------------------------------
// MATRIX VISION GmbH
// mvIMPACT - mvBlueLYNX demo >>dispbm<<
// Wed Apr 16 10:22:01 CEST 2003
//----------------------------------------------------------------------
/*! \file dispbm.cpp
 *  \brief This sample shows how a \b Bayer \b Mosaic image can be displayed
 *         by using the \a mvBlueLYNX color \c LUT.
 *
 * \note The makro \c CHECKDEVSDKCALL (see: samples.h) is used to make sure that the
 *       device will be closed if an error occurred.
 *
 */
//----------------------------------------------------------------------
#include <stdio.h>

#include <vl_base.h>
#include <vl_device.h>
#include <vl_display.h>

#include <assert.h>
#include <samples.h>

//----------------------------------------------------------------------
//----------------------------------------------------------------------
int main( int /*argc*/, char * /*argv[]*/ )
{
	DEV_HANDLE device = IPL_DONT_CARE;
	CHECKDEVSDKCALL( DEV_Open( &device, "matrixvision.ddc" ), device );
    CHECKDEVSDKCALL( DEV_Control( device, DEV_SINGLE, 0 ), device );

	IPL_BUFHANDLE image = IPL_DONT_CARE;
	CHECKDEVSDKCALL( DEV_Grab( device, &image ), device );

#ifdef BAYER_NOT_SUPPORTED_BY_HARDWARE
	// Specify the buffer data type
	IPL_BUFFER_ATTRIBUTE Attribute = IPL_BAYERMOSAICBUF;
	CHECKDEVSDKCALL( IPL_BufControl( image, IPL_USAGETYPE, &Attribute ), device );
#endif	// BAYER_NOT_SUPPORTED_BY_HARDWARE

	IPL_HWND hwnd = 0;
	CHECKDEVSDKCALL( DISP_OpenWindow( image, &hwnd, 0, NULL ), device );
	CHECKDEVSDKCALL( DISP_UpdateWindow( hwnd, DISP_INVALIDATE ), device );

	printf(" Press [ENTER] to stop the demo...\n");

	while( !_kbhit( ))
	{
		CHECKDEVSDKCALL( DEV_Grab( device, &image ), device );
		CHECKDEVSDKCALL( DISP_UpdateWindow( hwnd, DISP_INVALIDATE ), device );
		CHECKDEVSDKCALL( DISP_KeepRunning( NULL ), device );
	}

    DEV_Close( device );
	IPL_BufFree( image );

	return 0;
}

//----------------------------------------------------------------------
//----------------------------------------------------------------------



