//----------------------------------------------------------------------
//----------------------------------------------------------------------
// MATRIX VISION GmbH
// mvIMPACT - mvBlueLYNX demo >>crtool<<
// Don Apr 29 14:28:38 CEST 2004
//----------------------------------------------------------------------
#ifndef __gui_h__
#define __gui_h__

//----------------------------------------------------------------------
#include <stdio.h>

//----------------------------------------------------------------------
#define FL_TYPE_NSET_STR 						"  Best|  Fast|  Salt noise|  Pepper noise|  None"
#define FL_TYPE_BEST_STR 						"* Best|  Fast|  Salt noise|  Pepper noise|  None"
#define FL_TYPE_FAST_STR 						"  Best|* Fast|  Salt noise|  Pepper noise|  None"
#define FL_TYPE_SALT_STR 						"  Best|  Fast|* Salt noise|  Pepper noise|  None"
#define FL_TYPE_PEPPER_STR 						"  Best|  Fast|  Salt noise|* Pepper noise|  None"
#define FL_TYPE_NONE_STR 						"  Best|  Fast|  Salt noise|  Pepper noise|* None"

#define IMG_CLEAN_NSET							0
#define IMG_CLEAN_BEST							1
#define IMG_CLEAN_FAST							2
#define IMG_CLEAN_SALT							3
#define IMG_CLEAN_PEPR							4
#define IMG_CLEAN_NONE							5

#define DEFAULT_FL_STRENGTH						1
#define MAX_FL_STRENGTH							3

#define FL_DEFECT_NSET_STR 						"  Too thin|  Too thick|  Not uniform|  None"
#define FL_DEFECT_THIN_STR 						"* Too thin|  Too thick|  Not uniform|  None"
#define FL_DEFECT_TICK_STR 						"  Too thin|* Too thick|  Not uniform|  None"
#define FL_DEFECT_NUNIFORM_STR 					"  Too thin|  Too thick|* Not uniform|  None"
#define FL_DEFECT_NONE_STR 						"  Too thin|  Too thick|  Not uniform|* None"

#define CELL_IMPR_NSET							0
#define CELL_IMPR_2THIN							1
#define CELL_IMPR_2THICK						2
#define CELL_IMPR_NU							3
#define CELL_IMPR_NONE							4

#define DEFAULT_DEFECT_SIZE						1
#define MAX_DEFECT_SIZE							4

#define SYMB_LOC_SC_NSET						0
#define SYMB_LOC_SC_BEST						1
#define SYMB_LOC_SC_FAST						2
#define SYMB_LOC_SC_NONE						3

#define SYMB_LOC_RS_NSET						0
#define SYMB_LOC_RS_BEST						1
#define SYMB_LOC_RS_FAST						2
#define SYMB_LOC_RS_NONE						3

#define BFN_NSET_STR							"  Best|  Fast|  None"
#define BFN_BEST_STR							"* Best|  Fast|  None"
#define BFN_FAST_STR							"  Best|* Fast|  None"
#define BFN_NONE_STR							"  Best|  Fast|* None"

#define DEFAULT_CELL_SIZE						5
#define MAX_CELL_SIZE							20

#define AM_NSET_STR								"  Automatic|  Manual"
#define AM_AUTO_STR								"* Automatic|  Manual"
#define AM_MANUAL_STR							"  Automatic|* Manual"

#define DEFAULT_THRESHOLD						127
#define MAX_THRESHOLD							255

#define TH_MODE_NSET							0
#define TH_MODE_AUTO							1
#define TH_MODE_MANUAL							2

#define DEFAULT_OBJ_CNT							4
#define MAX_OBJ_CNT								20
#define MAX_DISP_CNT							( 4 * MAX_OBJ_CNT )

#define POL_MENU_NSET_STR						"  Black on White|  White on Black|  Unknown"
#define POL_MENU_B2W_STR						"* Black on White|  White on Black|  Unknown"
#define POL_MENU_W2B_STR						"  Black on White|* White on Black|  Unknown"
#define POL_MENU_UNKNOWN_STR					"  Black on White|  White on Black|* Unknown"

#define POL_NSET								0
#define POL_B2W									1
#define POL_W2B									2
#define POL_UNKNOWN								3

#define DM_MENUE_NSET_STR						"  Printed|  Dotted|  Unknown"
#define DM_MENUE_PRINT_STR						"* Printed|  Dotted|  Unknown"
#define DM_MENUE_DOT_STR						"  Printed|* Dotted|  Unknown"
#define DM_MENUE_UNKNOWN_STR					"  Printed|  Dotted|* Unknown"

#define DM_TYPE_NSET							0
#define DM_TYPE_PRINTED							1
#define DM_TYPE_DOTTED							2
#define DM_TYPE_UNKNOWN							3

#define BC_TYPE_NSET							0
#define BC_TYPE_UNKNOWN							1

#define BC_MENUE_NSET_STR						"  Unknown"
#define BC_MENUE_UNKNOWN_STR					"* Unknown"

#define CT_MENUE_NSET_STR						"  Barcode|  DataMatrix ->|  Unknown"
#define CT_MENUE_BC_STR							"* Barcode|  DataMatrix ->|  Unknown"
#define CT_MENUE_DM_STR							"  Barcode|* DataMatrix ->|  Unknown"
#define CT_MENUE_UNKNOWN_STR					"  Barcode|  DataMatrix ->|* Unknown"

#define CT_TYPE_NSET							0
#define CT_TYPE_BARCODE							1
#define CT_TYPE_DATAMATRIX						2
#define CT_TYPE_UNKNOWN							3

#define DISP_IMG_NSET_STR						"  Live Image|  Preprocessed Image|  Binary Image|  Display Results ->"
#define DISP_IMG_LIVE_STR						"* Live Image|  Preprocessed Image|  Binary Image|  Display Results ->"
#define DISP_IMG_PP_STR							"  Live Image|* Preprocessed Image|  Binary Image|  Display Results ->"
#define DISP_IMG_BIN_STR						"  Live Image|  Preprocessed Image|* Binary Image|  Display Results ->"
#define DISP_IMG_RES_STR						"  Live Image|  Preprocessed Image|  Binary Image|* Display Results ->"

#define NSET_IMAGE								0
#define SNAPED_IMAGE							1
#define PP_IMAGE								2
#define BINARY_IMAGE							3
#define RES_OVL_IMAGE							4

#define DISP_RES_NSET_STR						"  One result|  All results"
#define DISP_RES_ONE_STR						"* One result|  All results"
#define DISP_RES_ALL_STR						"  One result|* All results"

#define DISP_NSET_RESULT						0
#define DISP_ONE_RESULT							1
#define DISP_ALL_RESULT							2

#define SE_NSET									0
#define SE_SET_TH								1
#define SE_SET_MAXCNT							2
#define SE_SET_LOCITER							3
#define SE_SET_FSTRENGTH						4
#define SE_SET_DEFSIZE							5
#define SE_SET_CSIZE							6
#define SE_SET_DECSET							7

#define DEFAULT_SPACING							20
#define DEFAULT_CONTRAST						20
#define DEFAULT_GAP_SIZE						20
#define DEFAULT_MIN_GAPS						20
#define DEFAULT_NOISE_TH						40

//----------------------------------------------------------------------
//----------------------------------------------------------------------
int evtPreProc( struct pgEvent *evt );
int evtClose( struct pgEvent *evt );
int evtCTRL( struct pgEvent *evt );
int evtLiveOFF( struct pgEvent *evt );
int evtLiveON( struct pgEvent *evt );
int evtDecode( struct pgEvent *evt );

void displ_img( );
void mk_disp( const pghandle widget, const int pos );
void get_s_len( );

void get_img4displ( unsigned char **shm_buffer, const long width, const long height );

pghandle mk_buttons( const pghandle parent );
void mk_statLineLabel( const pghandle parent );
void update_status_line( );
void display_bounding_box( const IPL_RECT rect, const char *data, const int xpos, const int ypos );
void display_line_results( const IPL_LINE line, const char *data, const int xpos, const int ypos );
void display_pts_results( const IPL_POINT *pts, const char *data, const int xpos, const int ypos );
void set_canvas( );
void displ_update( );
void redraw_img( );

void mk_spin_edit( const pghandle parent, const long value, const char *label );
void set_se_val( const int val );
void set_val_from_se( const int val );

void delete_se( );
void delete_th_scroller( );
void del_se_and_scrl( );
void del_widgets( );

void set_err_str( const char *msg, const int color );

//----------------------------------------------------------------------
#endif	// __gui_h__

//----------------------------------------------------------------------
//----------------------------------------------------------------------
