//----------------------------------------------------------------------
//----------------------------------------------------------------------
// MATRIX VISION GmbH
// mvIMPACT - mvBlueLYNX demo
// Tue May 20 14:35:47 CEST 2003
//----------------------------------------------------------------------
//----------------------------------------------------------------------
#ifndef __pgtools_h__
#define __pgtools_h__

//----------------------------------------------------------------------
//----------------------------------------------------------------------
#include <stdio.h>

//----------------------------------------------------------------------
#define MVCOLOR_WHITE						PALETTERGB( 255, 255, 255 )
#define MVCOLOR_GREY						PALETTERGB( 127, 127, 127 )
#define MVCOLOR_BLACK						PALETTERGB( 0, 0, 0 )
#define MVCOLOR_RED							PALETTERGB( 255, 0, 0 )
#define MVCOLOR_GREEN						PALETTERGB( 0, 255, 0 )
#define MVCOLOR_BLUE						PALETTERGB( 0, 0, 255 )
#define MVCOLOR_LBLUE						PALETTERGB( 0, 255, 255 )

#define MAX_CHAR_SIZE						256
#define MSG_SIZE							80

#define KB_ERROR							"KEYBOARD ERROR"

//----------------------------------------------------------------------
//----------------------------------------------------------------------
struct SStatusInfo
{
	pghandle wBox;
	pghandle wText;
	char *msg;
	int msg_len;
};

typedef struct SStatusInfo STATUS_INFO;

//----------------------------------------------------------------------
//----------------------------------------------------------------------
#ifdef __cplusplus
extern "C"{
#endif

//----------------------------------------------------------------------
void widget_delete( pghandle *widget );
void cp_chimg( unsigned char *src, unsigned char *dst, int sx, int sy, int width, int height, int spitch, int dpitch );
void cp_img( unsigned char *src, unsigned char *dst, int width, int height, int spitch, int dpitch );
void repl_txt_si( STATUS_INFO si );
void repl_txt( pghandle widget, char *text );
void draw_aoi( pgcontext gc, int x, int y, int w, int h, pgcolor color );
void draw_txt( pgcontext gc, int x, int y, char *text, pgcolor color );
pghandle mk_chb( pghandle parent, char *txt, pgevthandler chbox_cb );
pghandle mk_btn( pghandle parent, char *txt, int pos, int size, pgevthandler btn_cb );
pghandle mk_ctrl_btn( pghandle parent, char *txt, int pos, pgevthandler btn_cb, pghandle color );
pghandle mk_label( pghandle parent, char *txt, int pos );
pghandle mk_scroller( pghandle parent, int pos, int max_s, int def_s, pgevthandler scroll_cb );
pghandle mk_wBox( pghandle parent, int pat_pos, int side, int size );
pghandle mk_scroller_lable( pghandle parent, int pos, char *txt );
int set_min_max( char *name, int val, int min_val, int max_val );
pghandle mk_statline( pghandle parent, int pos, int size );
void get_str_size( int *x, int *y, pghandle font, char *str );
void mk_stll_si( pghandle parent, int pos, STATUS_INFO *si );
pghandle mk_stll( pghandle parent, int pos, pghandle *wText, char *str, int size );
void set_w_color( pghandle widget, pghandle color );
int check_if_file_exist( char *fname );
int mkPopupMenu( const pghandle wCanvas, const char *pMenuEntrys, const unsigned int EntryCnt );

inline void NotImplemented( )
{
	pgMessageDialog( "NOTE", "\nThis functionality is not implemented yet!\n\nBut it soon will be :o)\n", PG_MSGBTN_OK | PG_MSGICON_MESSAGE );
};

//----------------------------------------------------------------------
//----------------------------------------------------------------------
#ifdef __cplusplus
}
#endif

//----------------------------------------------------------------------
//----------------------------------------------------------------------
#endif	// __pgtools_h__
