#! /bin/make
#-------------------------------------------------------
TARGET:=$(shell basename `pwd`)
OSTYPE := $(shell uname | cut -d _ -f 1 | tr [:upper:] [:lower:])

#-------------------------------------------------------
MAJOR=1
MINOR=0
BUILD=0
VERSION=$(MAJOR).$(MINOR).$(BUILD)

#-------------------------------------------------------
MODULE_NAME=userlib
LIB_NAME=lib$(MODULE_NAME).so

#-------------------------------------------------------
mvIMPACT=../../../..

#-------------------------------------------------------
include $(mvIMPACT)/Makefile.all.inc

#-------------------------------------------------------
vpath %.cpp ..

#-------------------------------------------------------
INCFILES=								\
		-I../include

#-------------------------------------------------------
CPPFLAGS=$(CPPFLAGS_2)

#-------------------------------------------------------
OBJECTS=								\
		userlib.o

#-------------------------------------------------------
ifeq ($(TARGETARCH),ppc)
	ifeq ($(OSTYPE),cygwin)
		LIB_OUT=$(OSTYPE)
	else
		LIB_OUT=$(TARGET)
	endif
else
	LIB_OUT=i386
endif

LIBPATH=../lib/$(LIB_OUT)
OUTPUT=$(LIBPATH)/$(LIB_NAME)

#-------------------------------------------------------
#-------------------------------------------------------
.PHONY: default all strip clean install $(OUTPUT) new build clean_mod

#---------------------------------------------------
default: all

#---------------------------------------------------
all: $(OUTPUT)

#---------------------------------------------------
install:
	@echo "***"
	@echo "***Please copy manually lib/$(OUTPUT)* in /usr/lib"
	@echo "*** on your mvBlueLYNX or create symlinks appropriately"
	@echo "***"

#---------------------------------------------------
# NOTE: symbolic links made on CYGWIN are no UNIX symbolic links
#---------------------------------------------------
ifeq ($(OSTYPE),cygwin)
$(OUTPUT): ltarget $(OBJECTS)
	$(CXX) -shared -Wl,-soname,$(LIB_NAME) -o $(OUTPUT) $(OBJECTS) -lc $(LDOPT)

strip: all
	ls -lh $(OUTPUT)
	$(TOOLS)strip $(OUTPUT)
	ls -lh $(OUTPUT)

else
$(OUTPUT): ltarget $(OBJECTS)
	$(CXX) -shared -Wl,-soname,$(LIB_NAME).$(MAJOR) -o $(OUTPUT).$(VERSION) $(OBJECTS) -lc $(LDOPT)
	@( 	cd $(LIBPATH);											\
		rm -f $(LIB_NAME) $(LIB_NAME).$(MAJOR) ;				\
		ln -s $(LIB_NAME).$(VERSION) $(LIB_NAME).$(MAJOR) ;		\
		ln -s $(LIB_NAME).$(MAJOR) $(LIB_NAME) ;				\
	)

strip: all
	ls -lh $(OUTPUT).$(VERSION)
	$(TOOLS)strip $(OUTPUT).$(VERSION)
	ls -lh $(OUTPUT).$(VERSION)

endif

#---------------------------------------------------
ltarget:
	@mkdir -p $(LIBPATH)

#---------------------------------------------------
clean:
	@rm -rf $(LIBPATH)

clean_mod: clean

#-------------------------------------------------------
