#ifndef USERLIB_H_
#define USERLIB_H_

#ifndef __linux__

#		ifdef USERLIB_EXPORTS
#				define USERLIB_API __declspec(dllexport)
#		else
#				define USERLIB_API __declspec(dllimport)
#		endif

#		define WIN32_LEAN_AND_MEAN		

#		include <windows.h>

#else // #ifndef __linux__

#		define USERLIB_API

#endif // #ifndef __linux__


#ifdef __cplusplus
extern "C"{
#endif 

/// Inverts the buffer \a src and writes result into \a dest.
/// \a src and \a dest must not overlap each other.
USERLIB_API void invertBuffer(
	/// Pointer to destination buffer, must be at least <code>(height-1)*destpitch + width</code>
	/// big.
	unsigned char* dest, 
	/// Distance in bytes between start positions of two consecutive lines in the
	/// destination buffer
	int destpitch,
	/// Pointer to source buffer, must be at least <code>(height-1)*srcpitch + width</code>
	/// big.
	unsigned char* src, 
	/// Distance in bytes between start positions of two consecutive lines in the
	/// source buffer
	int srcpitch,
	/// Width of the source and destination buffers
	int width, 
	/// height of the source and destination buffers
	int height);


#ifdef __cplusplus
}
#endif 


#endif // #ifndef USERLIB_H_
