#include "userlib.h"

#include <stdlib.h>
#include <assert.h>
#include <limits.h>

void USERLIB_API invertBuffer(
	unsigned char* dest, 
	int destpitch,
	unsigned char* src, 
	int srcpitch,
	int width, 
	int height)
{
	assert(NULL != src && NULL != dest);
	assert(destpitch > 0 && srcpitch > 0 && width > 0 && height > 0);
	assert(destpitch >= width && srcpitch >= width);
	
	for(int y = 0; y < height; y++) {
		for(int x = 0; x < width; x++) {
			dest[y*destpitch + x] = UCHAR_MAX-src[y*srcpitch + x];
		}
	}
}

#ifndef __linux__
BOOL APIENTRY DllMain( HANDLE hModule, 
                       DWORD  ul_reason_for_call, 
                       LPVOID lpReserved
					 )
{
	switch (ul_reason_for_call)
	{
	case DLL_PROCESS_ATTACH:
	case DLL_THREAD_ATTACH:
	case DLL_THREAD_DETACH:
	case DLL_PROCESS_DETACH:
		break;
	}
    return TRUE;
}
#endif // #ifndef __linux__
