#ifndef USERLIB_MVIMPACT_H_
#define USERLIB_MVIMPACT_H_

#ifndef SWIG

#include "mvIMPACT.h"
#include "userlib.h"

#endif // #ifndef SWIG


//////////////////////////////////////////////////////////////
//	Declaration
//////////////////////////////////////////////////////////////

/// Wrapper function for invertBuffer which uses impact data structures
/// instead of C arrays. This makes it easier to wrap the function in Python.
void invertImage(Image &dest, const Image &src);


//////////////////////////////////////////////////////////////
//	Implementation
//////////////////////////////////////////////////////////////

#ifndef SWIG
inline void invertImage(Image &dest, const Image &src)
{
	assert(dest.getWidth() == src.getWidth() && dest.getHeight() == src.getHeight());
	
        src.prepareReadAccess(); unsigned char* srcPointer = (unsigned char*)src.getPointer();
	dest.prepareReadWriteAccess(); unsigned char* destPointer = (unsigned char*)dest.getPointer();
	
	invertBuffer(
		destPointer, dest.getPitch(),
		srcPointer, src.getPitch(),
		src.getWidth(), src.getHeight());
	
	dest.releaseAccess();
	src.releaseAccess();
	
}
#endif // #ifndef SWIG

#endif // #ifndef USERLIB_MVIMPACT_H_
